# @workwave-tidal/lab

## 1.12.2

### Patch Changes

- Updated dependencies [9007148]
- Updated dependencies [e132f1c]
- Updated dependencies [f7f35b2]
  - @workwave-tidal/core@3.6.5

## 1.12.1

### Patch Changes

- aae4297: ## Tidal Conversation

  - Prevent the `Rating` component from submitting multiple times when clicked repeatedly.
  - Improve the `OnRating` type definition to support asynchronous functions.

  See [CUI-650](https://workwave.atlassian.net/browse/CUI-650).

- 7c7109e: ## Tidal Conversation

  Update the layout of the Conversation component to improve its look&feel both on Windows and OS X.

  - removed the margin around the editor area at the bottom
  - added CSS rule to mitigate the visual differences between Windows and OS X when the scrollbars are visible.

  See [CUI-649](https://workwave.atlassian.net/browse/CUI-649).

## 1.12.0

### Minor Changes

- 0ef62e1: [See CUI-630](https://workwave.atlassian.net/browse/CUI-630)
  Add DataGridToolbar component

  This component allows to slot bulk action on any `DataGridPro` instance

### Patch Changes

- 415ac8b: Minor fixes on the css styles applied to the `InteractionHeader` and the `Avatar` component for the conversation package
  Augmented `slotProps` for `ConversationInteraction` allowing the customization for
  - MessageTypography
  - TimeTypography
  - SenderTypography

## 1.11.0

### Minor Changes

- 7d26ef2: [See CUI-643](https://workwave.atlassian.net/browse/CUI-643)

  - Allow `ConversationInteraction` to render `ReactNode` instead of plain string.
    This can be enabled by passing a new prop `contentType` and set it to `html`.
  - Export new components: `MessageTypography` and `InteractionMark`
  - Remove the `minWidth` from the `InteractionRoot` component
  - Remove hand icon while dragging

## 1.10.1

### Patch Changes

- ecf2b55: Removed unnecessary peer dependencies
- ecf2b55: Migrated all the component stories to use `@workwave-tidal/sandbox-utils` instead of `@workwave-tidal/sandbox`.
- Updated dependencies [7b4240c]
- Updated dependencies [91f3a0f]
- Updated dependencies [d00ddb6]
- Updated dependencies [3ef1922]
- Updated dependencies [ecf2b55]
  - @workwave-tidal/core@3.6.4

## 1.10.0

### Minor Changes

- 458c91e: ## `<FloatingConversation>`

  - By default, the popper instance should set the keepMounted property to true.
  - We must add a ResizeObserver to update the size of the fullscreen conversation.
  - Update the exposed slotProps to allow the user to control the initial open state and override the default bounce behavior
  - Put the cursor at the end of the pasted suggestion text
  - Improve the mouse-over state for the negative feedback suggestions
    - Rename `longPressDurationSeconds` to `longPressDurationMilliseconds`
    - Add `longPressDelayMilliseconds` to control the drag delay activation time

  See [CUI-643](https://workwave.atlassian.net/browse/CUI-643).

- 5195e26: ## FilePreview

  - Changed the `<FilePreviewMimeTypeIcon>` to accept unknown `mim` types.
  - When an unknown `mime` type is passed, it will now render a generic icon instead of throwing an error.
  - Expose the array of known `mime` types as a static property on the component.

  See [#596](https://github.com/WorkWave/tidal/issues/596).

## 1.9.1

### Patch Changes

- a2bfd3e: [See CUI-636](https://workwave.atlassian.net/browse/CUI-636)
  Add `useConversationApi`, `useOverlayContent`, and `useWaitingForResponse` to export

## 1.9.0

### Minor Changes

- 3ca5c63: [See CUI-636](https://workwave.atlassian.net/browse/CUI-636)
  Includes improvements over `Conversation` components:
  - allow to disable the send button while waiting for a response from the AI
  - render the `Conversation` inside a `Popover`
  - expose a helper component named `FloatingConversation` to improve dev experience
  - fix inconsistency for chips

### Patch Changes

- Updated dependencies [3ca5c63]
- Updated dependencies [5ee904e]
  - @workwave-tidal/core@3.6.3

## 1.8.2

### Patch Changes

- 485eacb: ## Toolbar Button

  Fixed type definition preventing to set `selectedIcon` when `onClick` is defined.

  See [#572](https://github.com/WorkWave/tidal/issues/572)

## 1.8.1

### Patch Changes

- 13f9eaf: ## Toolbar Button

  Add a property to the toolbar button to allow the control of the button selected state.
  The user-provided selection will supersede the default selection state.

  See [#572](https://github.com/WorkWave/tidal/issues/572).

## 1.8.0

### Minor Changes

- aacdc9f: [See CUI-636](https://workwave.atlassian.net/browse/CUI-636)
  Add Feedback form for Conversation

### Patch Changes

- d8a11ae: Move GlobalStyles to static object to improve performance
- 3738d9d: Modify glob pattern in lab build script to include css files
- Updated dependencies [d8a11ae]
- Updated dependencies [ce3261a]
  - @workwave-tidal/core@3.6.2

## 1.7.1

### Patch Changes

- Updated dependencies [e181038]
- Updated dependencies [41619d5]
  - @workwave-tidal/core@3.6.1

## 1.7.0

### Minor Changes

- 93c4786: [See Epic CUI-622](https://workwave.atlassian.net/browse/CUI-622)

  [CUI-623](https://workwave.atlassian.net/browse/CUI-623)

  Add a new component the `InteractionCustomSlot` that allow the consumer to render custom elements inside the `ConversationInteraction`
  The `InteractionCustomSlot` requires a placement prop that will drive the position of the children to render.

  Possible placements are:

  - 'below-message': right below the message and inside of the frame
  - 'outside-border': outside of the border of the frame of the message

  General updates:

  - Wrap the rating tooltips inside the `LocaleProvider` to allow for personalization.

  [CUI-624](https://workwave.atlassian.net/browse/CUI-624)

  - Update suggestions trigger from `IconButton` to `Button`
  - Update render for the send button in the Editor
  - Wrap suggestions texts inside the `LocaleProvider` to allow for personalization.

### Patch Changes

- 83e27b5: Add missing Masonry exports to lab
- Updated dependencies [6e64c5f]
- Updated dependencies [8259293]
- Updated dependencies [5b9c98e]
- Updated dependencies [86efe2d]
- Updated dependencies [05be647]
- Updated dependencies [de3e53f]
- Updated dependencies [c75fd20]
  - @workwave-tidal/core@3.6.0

## 1.6.0

### Minor Changes

- 115633e: Add experimental Masonry component

  CUI-605

### Patch Changes

- Updated dependencies [4d07c6a]
- Updated dependencies [bb97776]
- Updated dependencies [f7dd59e]
  - @workwave-tidal/core@3.5.0

## 1.5.0

### Minor Changes

- 879f926: See [CUI-615](https://workwave.atlassian.net/browse/CUI-615).

  Another round of improvements and new features to the Tidal Conversation component.

  - Make the web chat resizable
  - Add inputs to allow the user to provide the AWS credentials
  - Create a sendToAI hook to append the metadata to every message sent to the AI. The metadata to append is The current date is [HH:MM on MM-DD-YYYY], and the user is using the [PRODUCT NAME] product.
  - Create a reusable ConversationHeaderDefaultActions component
  - Add useConversationFullscreen helper hook to component stories (it may be promoted an official helper hook in the future)

## 1.4.0

### Minor Changes

- e0b07c7: ## Conversation Components

  See [CUI-614](https://workwave.atlassian.net/browse/CUI-614).

  - Complete internal refactor
  - Made interaction's reactions independent and pluggable
  - Add Conversation Support initial implementation
  - Move to a full React Context-based internal implementation
  - Made `@aws-sdk/client-bedrock-agent-runtime` a peer dependency
  - Updated the visual components to match the Figma designs
  - Add new examples

### Patch Changes

- Updated dependencies [17aa8c0]
- Updated dependencies [6753622]
- Updated dependencies [abfa507]
  - @workwave-tidal/core@3.4.0

## 1.3.0

### Minor Changes

- 7dcb6d2: ## Conversation component

  [See CUI-607](https://workwave.atlassian.net/browse/CUI-607)

  Add the `Conversation` component to the `lab` package.

### Patch Changes

- 2c5530a: [See CUI-588](https://workwave.atlassian.net/browse/CUI-588)
  fix(lab): CUI-588 FilePreview ActionBar was not disabled correctly
- Updated dependencies [6c56c17]
- Updated dependencies [a3a3a8b]
- Updated dependencies [fb33af7]
- Updated dependencies [5cc0ca6]
- Updated dependencies [575bd0e]
- Updated dependencies [e3c3edf]
- Updated dependencies [f7b3dd7]
- Updated dependencies [655895e]
- Updated dependencies [fc0ec77]
- Updated dependencies [4c3aa8c]
- Updated dependencies [cf11c14]
- Updated dependencies [a9c8f0b]
  - @workwave-tidal/core@3.3.0

## 1.2.1

### Patch Changes

- Updated dependencies [3b34478]
  - @workwave-tidal/core@3.2.1

## 1.2.0

### Patch Changes

- 6d6535b: Add Tidal License validation to the root package
- f2016ae: ## Improve runtime warnings

  Improved the warning of missing menu anchors to avoid false positives.

  See [CUI-576](https://workwave.atlassian.net/browse/CUI-576)

- 6d6535b: Bump `vite` to `5.4.11`
- Updated dependencies [5746df3]
- Updated dependencies [e2f7021]
- Updated dependencies [071e3b6]
- Updated dependencies [cc49155]
- Updated dependencies [6d6535b]
- Updated dependencies [9b7d493]
  - @workwave-tidal/core@3.2.0

## 1.1.1

### Patch Changes

- Updated dependencies [7f82ea8]
  - @workwave-tidal/core@3.1.1

## 1.1.0

### Minor Changes

- 2901ea5: [See CUI-568](https://workwave.atlassian.net/browse/CUI-568)
  Improve type docs, add more examples, refactor stories to the docs location.

### Patch Changes

- Updated dependencies [803f3ce]
- Updated dependencies [61ec976]
- Updated dependencies [5e4e86a]
- Updated dependencies [8e09605]
- Updated dependencies [cf79c5b]
- Updated dependencies [292ffb8]
- Updated dependencies [e45ba73]
- Updated dependencies [a65b0e2]
  - @workwave-tidal/core@3.1.0

## 1.0.1

### Patch Changes

- Updated dependencies [9604a52]
- Updated dependencies [f14d0e2]
- Updated dependencies [673b39f]
  - @workwave-tidal/core@3.0.1

## 1.0.0

### Major Changes

- 1f55c39: Tidal@3 release. Bump all packages to the next version.

### Minor Changes

- fa241e8: [See CUI-537](https://workwave.atlassian.net/browse/CUI-537)

  ## FilePreview component improvements

  - Border radius visual detail - the imageFilePreview variant, on all sizes there is a bit of a gap between image content and the border radius. It seemed to be there for all object-fit properties as well.
  - Add the possibility of having a secondary label that will be shown when the component is in the hover/focus state.
  - Add a progress bar variant using a determined progress bar with a label

- f4e09f5: [See CUI-521](https://workwave.atlassian.net/browse/CUI-521)

  The `Toolbar` component allows to render view (also views) based on the current value of the component.

- e0a2968: [See CUI-549](https://workwave.atlassian.net/browse/CUI-549)

  The `ToolbarHeader` allows the consumer to create an header component with a title and a list of actions.

  ## Components

  ### ToolbarHeader

  Root component

  ### ToolbarHeaderTitle

  Allows to render the title. If the `children` passed to this component is a `string` the component will wrap it into a `Typography`. Otherwise it will just wrap it into a `<div>` tag to allow custom components.

  ### ToolbarHeaderActions

  Allows to render the actions via the `ActionBarItem`.

- 911c1f8: [See CUI-503](https://workwave.atlassian.net/browse/CUI-503)

  The `ColorPicker` component has been promoted to the `@workwave-tidal/components` package.
  The `lab` version is not needed anymore. If you are using the `ColorPicker` you must import it from `@workwave-tidal/components` instead of `@workwave-tidal/lab`.

- 56c1956: [See CUI-493](https://workwave.atlassian.net/browse/CUI-493)

  Add tidal watermark & validate license logic

### Patch Changes

- be9a2c3: [See CUI-550](https://workwave.atlassian.net/browse/CUI-550)

  Fix `PestPacRail` component look and feel when in `dark mode`

- 7798e7a: [See CUI-560](https://workwave.atlassian.net/browse/CUI-560)

  Fix an issue for anchoring views to the ExpandableRail when mode was set to `collapsed`

- Updated dependencies [2d61f0b]
- Updated dependencies [e3a57b4]
- Updated dependencies [3848a7f]
- Updated dependencies [ec11d3e]
- Updated dependencies [0718995]
- Updated dependencies [e1cc7a8]
- Updated dependencies [17ae3d4]
- Updated dependencies [626c995]
- Updated dependencies [a1c1890]
- Updated dependencies [2ddc614]
- Updated dependencies [ddf0896]
- Updated dependencies [dec946c]
- Updated dependencies [5c6d983]
- Updated dependencies [3ed309a]
- Updated dependencies [a21a0ab]
- Updated dependencies [46ab04d]
- Updated dependencies [db7c618]
- Updated dependencies [4bd49b2]
- Updated dependencies [da92685]
- Updated dependencies [1f55c39]
- Updated dependencies [a1699fb]
- Updated dependencies [2ace751]
- Updated dependencies [41ecfe6]
- Updated dependencies [56c1956]
- Updated dependencies [c9c51d9]
- Updated dependencies [965cb16]
- Updated dependencies [cf35002]
- Updated dependencies [4d848f6]
- Updated dependencies [ee87bf1]
- Updated dependencies [44846a4]
- Updated dependencies [13e9638]
- Updated dependencies [397a2e6]
- Updated dependencies [34c3f12]
- Updated dependencies [d2efaf4]
- Updated dependencies [a5be55e]
- Updated dependencies [ae90aa7]
- Updated dependencies [de4c9a5]
- Updated dependencies [469e7f3]
- Updated dependencies [9cfd39a]
- Updated dependencies [82944d9]
- Updated dependencies [f9d400e]
- Updated dependencies [cbe6ddd]
- Updated dependencies [1aba0e1]
- Updated dependencies [6959a7e]
- Updated dependencies [9259036]
- Updated dependencies [db7c618]
- Updated dependencies [db7c618]
- Updated dependencies [753e488]
- Updated dependencies [0dd83a8]
  - @workwave-tidal/core@3.0.0

## 1.0.0-next.8

### Major Changes

- 1f55c39: Tidal@3 release. Bump all packages to the next version.

### Patch Changes

- Updated dependencies [a21a0ab]
- Updated dependencies [1f55c39]
  - @workwave-tidal/core@3.0.0-next.8

## 1.0.0-next.7

### Patch Changes

- Updated dependencies [44846a4]
  - @workwave-tidal/core@3.0.0-next.7

## 1.0.0-next.6

### Patch Changes

- Updated dependencies [a1699fb]
- Updated dependencies [13e9638]
- Updated dependencies [d2efaf4]
- Updated dependencies [753e488]
  - @workwave-tidal/core@3.0.0-next.6

## 1.0.0-next.5

### Minor Changes

- e0a2968: [See CUI-549](https://workwave.atlassian.net/browse/CUI-549)

  The `ToolbarHeader` allows the consumer to create an header component with a title and a list of actions.

  ## Components

  ### ToolbarHeader

  Root component

  ### ToolbarHeaderTitle

  Allows to render the title. If the `children` passed to this component is a `string` the component will wrap it into a `Typography`. Otherwise it will just wrap it into a `<div>` tag to allow custom components.

  ### ToolbarHeaderActions

  Allows to render the actions via the `ActionBarItem`.

### Patch Changes

- be9a2c3: [See CUI-550](https://workwave.atlassian.net/browse/CUI-550)

  Fix `PestPacRail` component look and feel when in `dark mode`

- 7798e7a: [See CUI-560](https://workwave.atlassian.net/browse/CUI-560)

  Fix an issue for anchoring views to the ExpandableRail when mode was set to `collapsed`

- Updated dependencies [ec11d3e]
- Updated dependencies [2a47323]
- Updated dependencies [3b18b25]
- Updated dependencies [2ace751]
- Updated dependencies [965cb16]
- Updated dependencies [cc94722]
- Updated dependencies [34c3f12]
  - @workwave-tidal/core@3.0.0-next.5

## 1.0.0-next.4

### Minor Changes

- fa241e8: [See CUI-537](https://workwave.atlassian.net/browse/CUI-537)

  ## FilePreview component improvements

  - Border radius visual detail - the imageFilePreview variant, on all sizes there is a bit of a gap between image content and the border radius. It seemed to be there for all object-fit properties as well.
  - Add the possibility of having a secondary label that will be shown when the component is in the hover/focus state.
  - Add a progress bar variant using a determined progress bar with a label

### Patch Changes

- Updated dependencies [cbe6ddd]
  - @workwave-tidal/core@3.0.0-next.4

## 1.0.0-next.3

### Minor Changes

- f4e09f5: [See CUI-521](https://workwave.atlassian.net/browse/CUI-521)

  The `Toolbar` component allows to render view (also views) based on the current value of the component.

### Patch Changes

- Updated dependencies [3848a7f]
- Updated dependencies [ddf0896]
- Updated dependencies [da92685]
- Updated dependencies [41ecfe6]
- Updated dependencies [ee87bf1]
- Updated dependencies [a5be55e]
  - @workwave-tidal/core@3.0.0-next.3

## 1.0.0-next.2

### Patch Changes

- Updated dependencies [5f3c6e8]
  - @workwave-tidal/core@3.0.0-next.2

## 1.0.0-next.1

### Patch Changes

- Updated dependencies [de4c9a5]
  - @workwave-tidal/core@3.0.0-next.1

## 1.0.0-next.0

### Minor Changes

- 911c1f8: [See CUI-503](https://workwave.atlassian.net/browse/CUI-503)

  The `ColorPicker` component has been promoted to the `@workwave-tidal/components` package.
  The `lab` version is not needed anymore. If you are using the `ColorPicker` you must import it from `@workwave-tidal/components` instead of `@workwave-tidal/lab`.

- 56c1956: [See CUI-493](https://workwave.atlassian.net/browse/CUI-493)

  Add tidal watermark & validate license logic

### Patch Changes

- Updated dependencies [2d61f0b]
- Updated dependencies [e3a57b4]
- Updated dependencies [0718995]
- Updated dependencies [e1cc7a8]
- Updated dependencies [a1c1890]
- Updated dependencies [2ddc614]
- Updated dependencies [dec946c]
- Updated dependencies [5c6d983]
- Updated dependencies [3ed309a]
- Updated dependencies [46ab04d]
- Updated dependencies [db7c618]
- Updated dependencies [4bd49b2]
- Updated dependencies [56c1956]
- Updated dependencies [c9c51d9]
- Updated dependencies [4d848f6]
- Updated dependencies [397a2e6]
- Updated dependencies [ae90aa7]
- Updated dependencies [469e7f3]
- Updated dependencies [9cfd39a]
- Updated dependencies [82944d9]
- Updated dependencies [1aba0e1]
- Updated dependencies [6959a7e]
- Updated dependencies [9259036]
- Updated dependencies [db7c618]
- Updated dependencies [db7c618]
- Updated dependencies [0dd83a8]
  - @workwave-tidal/core@3.0.0-next.0

## 0.7.0

### Minor Changes

- 0d400efa: [See CUI-526](https://workwave.atlassian.net/browse/CUI-526)

  Add ImportUtility illustration

- 61279bc4: [See CUI-527](https://workwave.atlassian.net/browse/CUI-527)

  The `FilePreview` component that implements the design named: `FileModule`
  The component will render two different variants:

  - standard: composed by a title, a subtitle, and an Icon element
  - image: composed mainly by an image

### Patch Changes

- @workwave-tidal/tidal@2.2.1

## 0.6.0

### Patch Changes

- 76991ab5: [See CUI-491](https://workwave.atlassian.net/browse/CUI-491)

  Fix typings MUI theme in module augmentation

  ```ts
  const theme: CssVarsThemeOptions = {
    components: {
      TidalActionBar: {
        styleOverrides: {
          root: ({ theme }) => ({
            // 👆 theme is now properly typed!
            backgroundColor: theme.vars.palette.primary.main,
          }),
        },
      },
    },
  };
  ```

- Updated dependencies [5e271fc2]
- Updated dependencies [76991ab5]
- Updated dependencies [6a64f1a5]
- Updated dependencies [f79bd365]
- Updated dependencies [2063912d]
  - @workwave-tidal/tidal@2.2.0

## 0.5.1

### Patch Changes

- @workwave-tidal/tidal@2.1.1

## 0.5.0

### Patch Changes

- Updated dependencies
  - @workwave-tidal/tidal@2.1.0

## 0.4.4

### Patch Changes

- @workwave-tidal/tidal@2.0.4

## 0.4.3

### Patch Changes

- Updated dependencies [3069f80d]
- Updated dependencies [031a86d9]
  - @workwave-tidal/tidal@2.0.3

## 0.4.2

### Patch Changes

- @workwave-tidal/styles@2.0.2
- @workwave-tidal/tidal@2.0.2

## 0.4.1

### Patch Changes

- c2e2feb4: See [CUI-473](https://workwave.atlassian.net/browse/CUI-473).

  Re-export `@mui/base` core utils from `@workwave-tidal/base`.
  To simplify the maintenance of the mono-repo peer dependencies, we are making `@mui/base` a direct dependency of `@workwave-tidal/base`. Any interested package will access it from `@workwave-tidal/base`.

  > [!WARNING]
  > Please remember that `@workwave-tidal/base` is considered a private package and should not be installed by the end users.

- b3e33b22: See [CUI-472](https://workwave.atlassian.net/browse/CUI-472).

  Until `tidal@2.0.0`, we allowed `MUI` and `tidal` peer dependencies using a range of versions.
  Having a version of `MUI` different from the version expected by `tidal` can lead to performance issues with the `TypeScript` compiler.
  We are converting all those dependencies to an exact version. Consumers can still install a different version, but it is highly discouraged.

- Updated dependencies [c2e2feb4]
- Updated dependencies [b3e33b22]
  - @workwave-tidal/styles@2.0.1
  - @workwave-tidal/tidal@2.0.1

## 0.4.0

### Patch Changes

- 55a30d3c: Removed `@mui/system` from `devDependencies`

  [See CUI-464](https://workwave.atlassian.net/browse/CUI-464)

- 69d556f0: Update lab components to use theme vars

  [See CUI-436](https://workwave.atlassian.net/browse/CUI-436)

- Updated dependencies [76b7f4ea]
- Updated dependencies [70738c39]
- Updated dependencies [f561d8bc]
- Updated dependencies [8e7360ac]
- Updated dependencies [f9f09f55]
- Updated dependencies [55a30d3c]
- Updated dependencies [69d556f0]
  - @workwave-tidal/tidal@2.0.0
  - @workwave-tidal/styles@2.0.0

## 0.3.0

### Patch Changes

- Updated dependencies [c575cf39]
- Updated dependencies [accfe880]
- Updated dependencies [fbfaefe1]
  - @workwave-tidal/tidal@1.3.0

## 0.2.0

### Patch Changes

- Updated dependencies [e8a2f8b5]
- Updated dependencies [a62204f7]
  - @workwave-tidal/tidal@1.2.0

## 0.1.1

### Patch Changes

- @workwave-tidal/tidal@1.1.1

## 0.1.0

### Patch Changes

- 7b83f544: Add a `<colorPicker>` component. The component is modular, and built to be extended.
  There are a few elements exported:

  - `<ColorPicker>` The root component. This component wraps a React.context for all the loaded modules.
  - `<ColorPalette>` Visual color palette, PhotoShop-like.
  - `<ColorInput>` Hexadecimal color input.
  - `<ColorSwatch>` Controlled set of color swatches.
  - `<ColorPickerContextProvider>` and `useColorPicker()`

  ```tsx
  const basicColors = [
    "#d0021b",
    "#f5a623",
    "#f8e71c",
    "#8b572a",
    "#7ed321",
    "#417505",
    "#bd10e0",
    "#9013fe",
    "#4a90e2",
    "#50e3c2",
    "#000000",
    "#4a4a4a",
    "#9b9b9b",
    "#ffffff",
  ];

  function Example() {
    const [color, setColor] = useState(() => basicColors[0]);

    return (
      <ColorPicker color={color} onChange={setColor} width={600} height={400}>
        <ColorInput />
        <ColorPalette />
        <ColorSwatch presets={basicColors} />
      </ColorPicker>
    );
  }
  ```

- Updated dependencies [b4adf1fd]
- Updated dependencies [ed58427d]
- Updated dependencies [03b61910]
  - @workwave-tidal/tidal@1.1.0
