"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ConversationApiProvider_exports = {};
__export(ConversationApiProvider_exports, {
  ConversationApiProvider: () => ConversationApiProvider,
  useConversationApi: () => useConversationApi,
  useOverlayContent: () => useOverlayContent,
  useWaitingForResponse: () => useWaitingForResponse
});
module.exports = __toCommonJS(ConversationApiProvider_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = require("react");
const conversationApiState = (0, import_react.createContext)({
  overlayContent: null,
  waitingForResponse: false
});
const conversationApi = (0, import_react.createContext)({
  setOverlay: () => {
  },
  setWaitingForResponse: () => {
  }
});
function apiReducer(state, action) {
  switch (action.type) {
    case "setOverlayContent":
      return {
        ...state,
        overlayContent: action.children
      };
    case "setWaitingForResponse":
      if (action.value === state.waitingForResponse) return state;
      return {
        ...state,
        waitingForResponse: action.value
      };
    default:
      return state;
  }
}
const initialState = {
  overlayContent: null,
  waitingForResponse: false
};
function useCreateContext() {
  const [state, dispatch] = (0, import_react.useReducer)(apiReducer, initialState);
  const api = (0, import_react.useMemo)(
    () => ({
      setOverlay: (children) => {
        dispatch({ type: "setOverlayContent", children });
      },
      setWaitingForResponse: (value) => {
        dispatch({ type: "setWaitingForResponse", value });
      }
    }),
    []
  );
  return { api, state };
}
function ConversationApiProvider(props) {
  const { children, api: apiRef } = props;
  const { api, state } = useCreateContext();
  (0, import_react.useImperativeHandle)(apiRef, () => api, [api]);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(conversationApi.Provider, { value: api, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(conversationApiState.Provider, { value: state, children }) });
}
function useConversationApi() {
  return (0, import_react.useContext)(conversationApi);
}
function useOverlayContent() {
  return (0, import_react.useContext)(conversationApiState).overlayContent;
}
function useWaitingForResponse() {
  return (0, import_react.useContext)(conversationApiState).waitingForResponse;
}
//# sourceMappingURL=ConversationApiProvider.js.map
