"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ConversationEditorProvider_exports = {};
__export(ConversationEditorProvider_exports, {
  ConversationEditorApiContext: () => ConversationEditorApiContext,
  ConversationEditorProvider: () => ConversationEditorProvider,
  conversationEditorContext: () => conversationEditorContext,
  useConversationEditor: () => useConversationEditor,
  useConversationEditorConfigureApi: () => useConversationEditorConfigureApi
});
module.exports = __toCommonJS(ConversationEditorProvider_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_hooks = require("@workwave-tidal/core/hooks");
var import_react = require("react");
const defaultConversationEditorContext = {};
const conversationEditorContext = (0, import_react.createContext)(defaultConversationEditorContext);
const ConversationEditorApiContext = (0, import_react.createContext)({
  registerEditor() {
  }
});
function conversationEditorReducer(state, action) {
  switch (action.type) {
    case "SET_EDITOR":
      if (state.editor === action.editor) return state;
      return { ...state, editor: action.editor };
    default:
      return state;
  }
}
function ConversationEditorProvider(props) {
  const { children } = props;
  const [ctx, dispatch] = (0, import_react.useReducer)(conversationEditorReducer, defaultConversationEditorContext);
  const ctxApi = (0, import_hooks.useConstant)(() => {
    return {
      registerEditor: (editor) => {
        dispatch({ type: "SET_EDITOR", editor });
      }
    };
  });
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(ConversationEditorApiContext.Provider, { value: ctxApi, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(conversationEditorContext.Provider, { value: ctx, children }) });
}
function useConversationEditorConfigureApi() {
  return (0, import_react.useContext)(ConversationEditorApiContext);
}
function useConversationEditor() {
  return (0, import_react.useContext)(conversationEditorContext).editor;
}
//# sourceMappingURL=ConversationEditorProvider.js.map
