"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ConversationOptionsProvider_exports = {};
__export(ConversationOptionsProvider_exports, {
  ConversationOptionsProvider: () => ConversationOptionsProvider,
  optionsContext: () => optionsContext,
  useConversationOptions: () => useConversationOptions
});
module.exports = __toCommonJS(ConversationOptionsProvider_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = require("react");
const defaultOptions = {
  scrollToEndAfterMessageSend: false,
  scrollThresholdBeforeShowScrollToBottom: 70,
  preventScrollToBottomOnMount: false,
  disableAutoReadFlow: false,
  hideScrollToBottomFab: false
};
const optionsContext = (0, import_react.createContext)(defaultOptions);
function ConversationOptionsProvider(props) {
  const {
    children,
    preventScrollToBottomOnMount = defaultOptions.preventScrollToBottomOnMount,
    scrollThresholdBeforeShowScrollToBottom = defaultOptions.scrollThresholdBeforeShowScrollToBottom,
    scrollToEndAfterMessageSend = defaultOptions.scrollToEndAfterMessageSend,
    disableAutoReadFlow = defaultOptions.disableAutoReadFlow,
    hideScrollToBottomFab = defaultOptions.hideScrollToBottomFab
  } = props;
  const contextValue = (0, import_react.useMemo)(
    () => ({
      preventScrollToBottomOnMount,
      scrollThresholdBeforeShowScrollToBottom,
      scrollToEndAfterMessageSend,
      disableAutoReadFlow,
      hideScrollToBottomFab
    }),
    [
      preventScrollToBottomOnMount,
      scrollThresholdBeforeShowScrollToBottom,
      scrollToEndAfterMessageSend,
      disableAutoReadFlow,
      hideScrollToBottomFab
    ]
  );
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(optionsContext.Provider, { value: contextValue, children });
}
function useConversationOptions() {
  return (0, import_react.useContext)(optionsContext);
}
//# sourceMappingURL=ConversationOptionsProvider.js.map
