"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ConversationPanel_exports = {};
__export(ConversationPanel_exports, {
  ConversationPanel: () => ConversationPanel
});
module.exports = __toCommonJS(ConversationPanel_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_useDrag = require("@workwave-tidal/core/hooks/useDrag");
var import_react = require("react");
var import_ConversationPanelHandle = require("./components/ConversationPanelHandle.js");
var import_useReferenceSize = require("./hooks/useReferenceSize.js");
const disableDragAndDrop = () => false;
function ConversationPanel(props) {
  const {
    sx,
    children,
    fullScreen,
    cornerSize = 14,
    handleSize = 4,
    onChangeSize,
    initialHeight,
    initialWidth,
    minHeight = 0,
    minWidth = 0,
    maxHeight,
    maxWidth,
    hidden,
    fullScreenHorizontalMarginUnits = 6,
    fullScreenVerticalMarginUnits = 20,
    fullScreenElementReference = document.body
  } = props;
  const { spacing } = (0, import_material.useTheme)();
  const acceptEvent = fullScreen ? disableDragAndDrop : void 0;
  const {
    dragInfo: { offsetX: offsetXCorner, offsetY: offsetYCorner },
    dragRef: dragRefCorner
  } = (0, import_useDrag.useDrag)({ persist: true, acceptEvent });
  const {
    dragInfo: { offsetY: offsetYTop },
    dragRef: dragRefTop
  } = (0, import_useDrag.useDrag)({ persist: true, acceptEvent });
  const {
    dragInfo: { offsetX: offsetXLeft },
    dragRef: dragRefLeft
  } = (0, import_useDrag.useDrag)({ persist: true, acceptEvent });
  const referenceSize = (0, import_useReferenceSize.useReferenceSize)(fullScreenElementReference);
  const offsetX = offsetXCorner + offsetXLeft;
  const offsetY = offsetYCorner + offsetYTop;
  const width = initialWidth - offsetX;
  const height = initialHeight - offsetY;
  const fullScreenWidth = `calc(${referenceSize.width}px - ${spacing(fullScreenHorizontalMarginUnits)})`;
  const fullScreenHeight = `calc(${referenceSize.height}px - ${spacing(fullScreenVerticalMarginUnits)})`;
  const boxStyle = fullScreen ? { width: fullScreenWidth, height: fullScreenHeight } : { width, height, minHeight, minWidth, maxHeight, maxWidth };
  (0, import_react.useEffect)(() => {
    if (typeof width === "string" || typeof height === "string") return;
    onChangeSize?.(width, height);
  }, [width, height, onChangeSize]);
  if (hidden) return null;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_material.Box, { sx, position: "relative", display: "flex", style: boxStyle, children: [
    children,
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_ConversationPanelHandle.ConversationPanelHandle,
      {
        ref: dragRefCorner,
        sx: {
          width: cornerSize,
          height: cornerSize,
          top: 0,
          left: 0,
          cursor: fullScreen ? "default" : "nwse-resize"
        }
      }
    ),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_ConversationPanelHandle.ConversationPanelHandle,
      {
        ref: dragRefTop,
        sx: {
          height: handleSize,
          top: 0,
          left: 0,
          cursor: fullScreen ? "default" : "ns-resize"
        }
      }
    ),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_ConversationPanelHandle.ConversationPanelHandle,
      {
        ref: dragRefLeft,
        sx: {
          width: handleSize,
          top: 0,
          bottom: 0,
          cursor: fullScreen ? "default" : "ew-resize"
        }
      }
    )
  ] });
}
//# sourceMappingURL=ConversationPanel.js.map
