"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var useReferenceSize_exports = {};
__export(useReferenceSize_exports, {
  useReferenceSize: () => useReferenceSize
});
module.exports = __toCommonJS(useReferenceSize_exports);
var import_react = require("react");
function useReferenceSize($reference) {
  const [size, setSize] = (0, import_react.useState)(() => {
    const { width, height } = $reference.getBoundingClientRect();
    return { width, height };
  });
  (0, import_react.useEffect)(() => {
    if (!$reference) return;
    const resizeObserver = new ResizeObserver((entries) => {
      for (const entry of entries) {
        if (entry.target === $reference) {
          const { width, height } = entry.contentRect;
          setSize({ width, height });
        }
      }
    });
    resizeObserver.observe($reference);
    return () => {
      resizeObserver.disconnect();
    };
  }, [$reference]);
  return size;
}
//# sourceMappingURL=useReferenceSize.js.map
