"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var EditorFooter_exports = {};
__export(EditorFooter_exports, {
  EditorFooter: () => EditorFooter
});
module.exports = __toCommonJS(EditorFooter_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_LexicalComposerContext = require("@lexical/react/LexicalComposerContext");
var import_material = require("@mui/material");
var import_components = require("@workwave-tidal/core/components");
var import_Editor = require("@workwave-tidal/core/components/Editor");
var import_hooks = require("@workwave-tidal/core/hooks");
var import_icons = require("@workwave-tidal/core/icons");
var import_react = require("react");
var import_ConversationApiProvider = require("../../../ConversationApiProvider.js");
var import_ConversationEditorProvider = require("../../../ConversationEditorProvider.js");
var import_LocaleProvider = require("../../../LocaleProvider.js");
var import_ConversationSuggestionsControls = require("../../../Suggestions/ConversationSuggestionsControls.js");
var import_SpeechToTextComponent = require("./components/SpeechToTextComponent.js");
var import_useSendAction = require("./hooks/useSendAction.js");
function EditorFooter(props) {
  const { onSend, children, hideSuggestions } = props;
  const texts = (0, import_LocaleProvider.useConversationTexts)();
  const [editor] = (0, import_LexicalComposerContext.useLexicalComposerContext)();
  const { registerEditor } = (0, import_ConversationEditorProvider.useConversationEditorConfigureApi)();
  (0, import_react.useEffect)(() => {
    registerEditor(editor);
  }, [editor, registerEditor]);
  const { disabled } = (0, import_components.useEditorData)();
  const waitingForResponse = (0, import_ConversationApiProvider.useWaitingForResponse)();
  const speechToTextApi = (0, import_react.useRef)(null);
  const handleSend = (0, import_useSendAction.useSendAction)({ onSend, speechToTextApi });
  const disableSendButton = disabled || waitingForResponse;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_jsx_runtime.Fragment, { children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_hooks.WormholeChildren, { children }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_Editor.EditorFooterAction, { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ConversationSuggestionsControls.ConversationSuggestionsControls, { hidden: hideSuggestions, disabled }) }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_Editor.EditorFooterAction, { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("span", { style: { marginLeft: "auto", minWidth: 1 } }) }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_Editor.EditorFooterAction, { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_SpeechToTextComponent.SpeechToTextComponent, { api: speechToTextApi, disabled }) }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_Editor.EditorFooterAction, { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Tooltip, { title: texts.footer.sendActionTooltip, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.IconButton, { sx: sendButtonSx, onClick: handleSend, disabled: disableSendButton, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons.Send, {}) }) }) })
  ] });
}
const sendButtonSx = (t) => ({
  color: t.vars.palette.primary.contrastText,
  background: t.vars.palette.primary.main,
  "& > svg": {
    // scale will not change the size of the button
    scale: 0.85
  },
  "&:hover": {
    background: t.vars.palette.primary.dark,
    color: t.vars.palette.primary.contrastText
  }
});
//# sourceMappingURL=EditorFooter.js.map
