"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var useComposeMessage_exports = {};
__export(useComposeMessage_exports, {
  useComposeMessage: () => useComposeMessage
});
module.exports = __toCommonJS(useComposeMessage_exports);
var import_react = require("react");
function useComposeMessage() {
  const [messages, setMessages] = (0, import_react.useState)([]);
  const addMessage = (0, import_react.useCallback)((textUntrimmed, _type) => {
    setMessages((prevMessages) => {
      if (!textUntrimmed) return prevMessages;
      const text = textUntrimmed.trim();
      if (prevMessages.length === 0) return [text];
      const lastMessage = prevMessages[prevMessages.length - 1];
      if (lastMessage.trim() === text) return prevMessages;
      if (text.startsWith(lastMessage)) {
        return [...prevMessages.slice(0, -1), text];
      }
      return [...prevMessages, text];
    });
  }, []);
  const clearMessage = (0, import_react.useCallback)(() => {
    setMessages([]);
  }, []);
  return {
    addMessage,
    clearMessage,
    message: messages.join(" ")
  };
}
//# sourceMappingURL=useComposeMessage.js.map
