"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var useSendAction_exports = {};
__export(useSendAction_exports, {
  useSendAction: () => useSendAction
});
module.exports = __toCommonJS(useSendAction_exports);
var import_LexicalComposerContext = require("@lexical/react/LexicalComposerContext");
var import_components = require("@workwave-tidal/core/components");
var import_lexical = require("lexical");
var import_react = require("react");
var import_ConversationOptionsProvider = require("../../../../ConversationOptionsProvider.js");
var import_ScrollApiProvider = require("../../../../ScrollApiProvider.js");
function useSendAction(props) {
  const { onSend, speechToTextApi } = props;
  const { scrollToEndAfterMessageSend } = (0, import_ConversationOptionsProvider.useConversationOptions)();
  const scrollToBottom = (0, import_ScrollApiProvider.useScrollbarScrollToBottom)();
  const onSendRef = (0, import_react.useRef)(onSend);
  (0, import_react.useEffect)(() => {
    onSendRef.current = onSend;
  }, [onSend]);
  const api = (0, import_components.useEditorAPI)();
  const [editor] = (0, import_LexicalComposerContext.useLexicalComposerContext)();
  const handleSend = (0, import_react.useCallback)(() => {
    const text = api.toString();
    if (text.trim() === "") return;
    onSendRef.current?.(text);
    if (scrollToEndAfterMessageSend) {
      setTimeout(scrollToBottom, 0);
    }
    editor.update(() => {
      const root = (0, import_lexical.$getRoot)();
      root.clear();
    });
    if (speechToTextApi.current !== false) {
      speechToTextApi.current?.stopRecording();
    }
  }, [api, editor, scrollToEndAfterMessageSend, scrollToBottom, speechToTextApi]);
  (0, import_react.useEffect)(() => {
    const unregister = editor.registerCommand(
      import_lexical.KEY_ENTER_COMMAND,
      (event) => {
        if (event === null) return false;
        if (event.shiftKey) return true;
        event.preventDefault();
        event.stopPropagation();
        handleSend();
        return true;
      },
      import_lexical.COMMAND_PRIORITY_HIGH
    );
    return () => {
      unregister();
    };
  }, [editor, handleSend]);
  return handleSend;
}
//# sourceMappingURL=useSendAction.js.map
