"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Fab_exports = {};
__export(Fab_exports, {
  Fab: () => Fab
});
module.exports = __toCommonJS(Fab_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_icons_material = require("@mui/icons-material");
var import_material = require("@mui/material");
function Fab(props) {
  const {
    sx,
    open,
    onClick,
    bounce,
    testId = "TidalConversationFab",
    className,
    fabAnimation = bounceAnimation,
    slots: { closeIcon = /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.Close, {}), openIcon = /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.SupportAgent, {}) } = {},
    slotsProps: { fab } = {},
    disabled
  } = props;
  const theme = (0, import_material.useTheme)();
  const transitionDuration = {
    enter: theme.transitions.duration.enteringScreen * 0.6,
    exit: theme.transitions.duration.leavingScreen * 0.6
  };
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    import_material.Fab,
    {
      color: "primary",
      ...fab,
      disabled,
      disableRipple: true,
      className,
      "data-testid": testId,
      sx: (t) => {
        const userSx = typeof sx === "function" ? sx(t) : Array.isArray(sx) ? sx[0] : sx;
        return {
          animation: bounce ? `${fabAnimation} 2.5s infinite` : void 0,
          ...userSx
        };
      },
      onClick,
      children: /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
        import_material.Box,
        {
          sx: {
            position: "relative",
            width: "100%",
            height: "100%",
            "& > *": {
              position: "absolute",
              top: "50%",
              left: "50%",
              translate: "-50% -50%"
            }
          },
          children: [
            /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
              import_material.Zoom,
              {
                in: open,
                timeout: transitionDuration,
                style: {
                  transitionDelay: `${open ? transitionDuration.exit : 0}ms`
                },
                unmountOnExit: true,
                children: closeIcon
              }
            ),
            /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
              import_material.Zoom,
              {
                in: !open,
                timeout: transitionDuration,
                style: {
                  transitionDelay: `${open ? 0 : transitionDuration.exit}ms`
                },
                unmountOnExit: true,
                children: openIcon
              }
            )
          ]
        }
      )
    }
  );
}
const bounceAnimation = import_material.keyframes`
  70% { translate: 0 0% }
  80% { translate: 0 -22% }
  90% { translate: 0 0% }
  95% { translate: 0 -12% }
  97% { translate: 0 0% }
  99% { translate: 0 -5% }
  100% { translate: 0 0 }
`;
//# sourceMappingURL=Fab.js.map
