"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var FormProvider_exports = {};
__export(FormProvider_exports, {
  FormProvider: () => FormProvider,
  useFormApi: () => useFormApi,
  useFormState: () => useFormState
});
module.exports = __toCommonJS(FormProvider_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = require("react");
var import_react2 = require("react");
const feedbackFormState = (0, import_react.createContext)({
  notes: "",
  suggestions: {}
});
const feedbackFormApi = (0, import_react.createContext)({
  setNotes: () => {
  },
  setSuggestion: () => {
  }
});
function formReducer(state, action) {
  switch (action.type) {
    case "setNotes":
      return { ...state, notes: action.notes };
    case "setSuggestion":
      return { ...state, suggestions: { ...state.suggestions, [action.id]: action.value } };
    default:
      return state;
  }
}
function initializer(suggestions) {
  return {
    notes: "",
    suggestions: Object.fromEntries(suggestions.map((s) => [s.id, Boolean(s.initiallyChecked)]))
  };
}
function useCreateContext(suggestions) {
  const [state, dispatch] = (0, import_react2.useReducer)(formReducer, suggestions, initializer);
  const api = (0, import_react.useMemo)(
    () => ({
      setNotes: (notes) => dispatch({ type: "setNotes", notes }),
      setSuggestion: (id, value) => dispatch({ type: "setSuggestion", id, value })
    }),
    []
  );
  return { api, state };
}
function FormProvider(props) {
  const { children, suggestions } = props;
  const { api, state } = useCreateContext(suggestions);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(feedbackFormApi.Provider, { value: api, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(feedbackFormState.Provider, { value: state, children }) });
}
function useFormState() {
  return (0, import_react.useContext)(feedbackFormState);
}
function useFormApi() {
  return (0, import_react.useContext)(feedbackFormApi);
}
//# sourceMappingURL=FormProvider.js.map
