"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Suggestions_exports = {};
__export(Suggestions_exports, {
  Suggestions: () => Suggestions
});
module.exports = __toCommonJS(Suggestions_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_components = require("@workwave-tidal/core/components");
var import_icons = require("@workwave-tidal/core/icons");
var import_FormProvider = require("./FormProvider.js");
function Suggestions(props) {
  const { suggestions } = props;
  const state = (0, import_FormProvider.useFormState)();
  const { setSuggestion } = (0, import_FormProvider.useFormApi)();
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Stack, { direction: "row", gap: 1, flexWrap: "wrap", children: suggestions.map((suggestion) => {
    const { id, color: checkedColor = "primary", ...rest } = suggestion;
    const checked = state.suggestions[id];
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_components.Chip,
      {
        variant: "filledOutline",
        size: "small",
        icon: checked ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons.Check, {}) : void 0,
        color: checked ? checkedColor : "default",
        onClick: () => setSuggestion(id, !checked),
        sx: {
          "&:hover": {
            // ATTENTION: This won't work with dark theme
            ...checked ? { color: (t) => t.vars.palette.common.white } : {}
          },
          [`&:hover .${import_material.chipClasses.icon}`]: {
            // ATTENTION: This won't work with dark theme
            ...checked ? { color: (t) => t.vars.palette.common.white } : {}
          }
        },
        ...rest
      },
      suggestion.id
    );
  }) });
}
//# sourceMappingURL=Suggestions.js.map
