"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var useActions_exports = {};
__export(useActions_exports, {
  useActions: () => useActions
});
module.exports = __toCommonJS(useActions_exports);
var import_react = require("react");
var import_ConversationApiProvider = require("../../ConversationApiProvider.js");
var import_FormProvider = require("../components/FormProvider.js");
function useActions(props) {
  const { onSubmit, onCancel } = props;
  const [loading, setLoading] = (0, import_react.useState)(() => false);
  const state = (0, import_FormProvider.useFormState)();
  const conversationApi = (0, import_ConversationApiProvider.useConversationApi)();
  const handleSubmit = async () => {
    setLoading(true);
    try {
      await onSubmit(state);
    } finally {
      setLoading(false);
      conversationApi.setOverlay(null);
    }
  };
  const handleCancel = () => {
    onCancel();
    conversationApi.setOverlay(null);
  };
  return { handleSubmit, loading, handleCancel };
}
//# sourceMappingURL=useActions.js.map
