"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var useFabProps_exports = {};
__export(useFabProps_exports, {
  useFabProps: () => useFabProps
});
module.exports = __toCommonJS(useFabProps_exports);
var import_react = require("react");
var import_FloatingConversationApiProvider = require("../components/FloatingConversationApiProvider.js");
function useFabProps(props) {
  const [fabRef, setFabRef] = (0, import_react.useState)(() => null);
  const { setFullScreen, setChatOpen } = (0, import_FloatingConversationApiProvider.useFloatingConversationApi)();
  const chatOpen = (0, import_FloatingConversationApiProvider.useChatOpen)();
  const rApi = (0, import_react.useRef)({ setFullScreen, setChatOpen });
  (0, import_react.useEffect)(() => {
    rApi.current.setFullScreen = setFullScreen;
    rApi.current.setChatOpen = setChatOpen;
  }, [setFullScreen, setChatOpen]);
  const initialOpenState = (0, import_react.useRef)(props?.slotProps?.fab?.open ?? false);
  (0, import_react.useEffect)(() => {
    rApi.current.setChatOpen(initialOpenState.current);
  }, []);
  const userControlledBounceState = typeof props?.slotProps?.fab?.open === "boolean";
  const userControlledBounce = props?.slotProps?.fab?.bounce ?? false;
  const rCallbacks = (0, import_react.useRef)({
    onClick: props?.slotProps?.fab?.onClick,
    onDragStart: props?.slotProps?.fab?.onDragStart
  });
  (0, import_react.useEffect)(() => {
    rCallbacks.current.onClick = props?.slotProps?.fab?.onClick;
    rCallbacks.current.onDragStart = props?.slotProps?.fab?.onDragStart;
  }, [props?.slotProps?.fab?.onClick, props?.slotProps?.fab?.onDragStart]);
  const handleClick = (0, import_react.useCallback)(() => {
    rApi.current.setChatOpen((prev) => !prev);
    rCallbacks.current.onClick?.();
  }, []);
  const handleOnDragStart = (0, import_react.useCallback)(() => {
    rApi.current.setFullScreen(false);
    rCallbacks.current.onDragStart?.();
  }, []);
  const fabProps = {
    ...props?.slotProps?.fab,
    open: chatOpen,
    // if the user doesn't control the `bounce` state, it will bounce only when the conversation is closed
    bounce: userControlledBounceState ? userControlledBounce : !chatOpen,
    onClick: handleClick,
    onDragStart: handleOnDragStart
  };
  return {
    fabProps,
    setFabRef,
    fabRef
  };
}
//# sourceMappingURL=useFabProps.js.map
