"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ConversationInteractions_exports = {};
__export(ConversationInteractions_exports, {
  ConversationInteractions: () => ConversationInteractions
});
module.exports = __toCommonJS(ConversationInteractions_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_icons_material = require("@mui/icons-material");
var import_react = require("react");
var import_ConversationOptionsProvider = require("../ConversationOptionsProvider.js");
var import_ScrollApiProvider = require("../ScrollApiProvider.js");
var import_ConversationsRoot = require("./components/ConversationsRoot.js");
var import_Root = require("./components/Root.js");
var import_ScrollToBottom = require("./components/ScrollToBottom.js");
var import_ScrollableArea = require("./components/ScrollableArea.js");
function ConversationInteractions(props) {
  const { testId, children, conversationEmpty } = props;
  const { handleScrollToBottom, scrollbarVisible, showFab, scrollIsAtBottom, scrollerRef } = useReactToScroll();
  useReadFlow(scrollIsAtBottom, handleScrollToBottom, children);
  if (import_react.Children.count(children) === 0) return conversationEmpty ?? null;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_ConversationsRoot.ConversationsRoot, { children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ScrollableArea.ScrollableArea, { ref: scrollerRef, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_Root.Root, { "data-testid": testId, "data-tidal": "ConversationInteractions", sx: { pr: scrollbarVisible ? 1 : 2 }, children }) }),
    showFab ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ScrollToBottom.ScrollToBottom, { onScrollToBottom: handleScrollToBottom, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.ArrowDownward, {}) }) : null
  ] });
}
function useReactToScroll() {
  const scrollerRef = (0, import_react.useRef)(null);
  const [showFab, setShowFab] = (0, import_react.useState)(false);
  const scrollIsAtBottom = (0, import_react.useRef)(false);
  const autoScrollToBottomDone = (0, import_react.useRef)(false);
  const { preventScrollToBottomOnMount, scrollThresholdBeforeShowScrollToBottom, hideScrollToBottomFab } = (0, import_ConversationOptionsProvider.useConversationOptions)();
  const { registerScrollToBottom } = (0, import_ScrollApiProvider.useScrollbarConfigureApi)();
  const scrollbarVisible = scrollerRef.current ? scrollerRef.current.scrollHeight > scrollerRef.current.clientHeight : false;
  const handleScrollToBottom = (0, import_react.useCallback)(() => {
    if (!scrollerRef.current) return;
    scrollerRef.current.scrollTo({ top: scrollerRef.current.scrollHeight ?? 0 });
  }, []);
  (0, import_react.useEffect)(() => {
    const scroller = scrollerRef.current;
    if (!scroller) return;
    const controller = new AbortController();
    const observer = new ResizeObserver((_) => {
      const scrollQty = scroller.scrollTop + scroller.clientHeight;
      scrollIsAtBottom.current = scrollQty >= scroller.scrollHeight;
      setShowFab(scrollQty + scrollThresholdBeforeShowScrollToBottom <= scroller.scrollHeight);
    });
    observer.observe(scroller);
    scroller.addEventListener(
      "scroll",
      () => {
        const scrollQty = scroller.scrollTop + scroller.clientHeight;
        scrollIsAtBottom.current = scrollQty >= scroller.scrollHeight;
        setShowFab(scrollQty + scrollThresholdBeforeShowScrollToBottom <= scroller.scrollHeight);
      },
      { signal: controller.signal }
    );
    return () => {
      controller.abort();
      observer.disconnect();
    };
  }, [scrollThresholdBeforeShowScrollToBottom]);
  (0, import_react.useEffect)(() => {
    const scroller = scrollerRef.current;
    if (!scroller) return;
    if (preventScrollToBottomOnMount) return;
    if (autoScrollToBottomDone.current) return;
    autoScrollToBottomDone.current = true;
    requestAnimationFrame(() => {
      scroller.scrollTo({ top: scroller.scrollHeight ?? 0 });
    });
  }, [preventScrollToBottomOnMount]);
  (0, import_react.useEffect)(() => {
    registerScrollToBottom(handleScrollToBottom);
  }, [registerScrollToBottom, handleScrollToBottom]);
  return {
    showFab: hideScrollToBottomFab ? false : showFab,
    scrollbarVisible,
    handleScrollToBottom,
    scrollIsAtBottom,
    scrollerRef
  };
}
function useReadFlow(scrollIsAtBottom, handleScrollToBottom, interactionElements) {
  const { disableAutoReadFlow } = (0, import_ConversationOptionsProvider.useConversationOptions)();
  (0, import_react.useEffect)(() => {
    if (disableAutoReadFlow) return;
    if (scrollIsAtBottom.current) {
      handleScrollToBottom();
    }
    interactionElements;
  }, [
    disableAutoReadFlow,
    interactionElements,
    handleScrollToBottom,
    // this is a mutable ref, but biome is not able to recognize it, adding it as a dependency is harmless
    scrollIsAtBottom
  ]);
}
//# sourceMappingURL=ConversationInteractions.js.map
