"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Rating_exports = {};
__export(Rating_exports, {
  Rating: () => Rating
});
module.exports = __toCommonJS(Rating_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_icons_material = require("@mui/icons-material");
var import_material = require("@mui/material");
var import_base = require("@workwave-tidal/core/base");
var import_react = require("react");
var import_ConversationApiProvider = require("../../ConversationApiProvider.js");
var import_LocaleProvider = require("../../LocaleProvider.js");
var import_InteractionCustomSlot = require("../components/Interaction/components/InteractionCustomSlot.js");
var import_InteractionIdProvider = require("../components/Interaction/components/InteractionIdProvider.js");
const buttonSx = {
  color: (t) => t.vars.palette.action.active,
  [`&.${import_material.buttonClasses.disabled}`]: {
    color: (t) => t.vars.palette.action.active
  }
};
function Rating(props) {
  const { onChange, reaction } = props;
  const {
    rating: { likeTooltip, dislikeTooltip }
  } = (0, import_LocaleProvider.useConversationTexts)();
  const id = (0, import_InteractionIdProvider.useInteractionId)();
  const conversationApi = (0, import_ConversationApiProvider.useConversationApi)();
  const reactionUnderSubmission = (0, import_react.useRef)(false);
  const reactionCommitted = Boolean(reaction);
  async function handleLike() {
    if (reactionUnderSubmission.current || reactionCommitted) return;
    reactionUnderSubmission.current = true;
    try {
      await onChange(id, "like", conversationApi);
    } catch (e) {
      if ((0, import_base.isDev)()) {
        console.log("Error while submitting reaction");
        console.log(e);
      }
      throw e;
    } finally {
      reactionUnderSubmission.current = false;
    }
  }
  async function handleDisLike() {
    if (reactionUnderSubmission.current || reactionCommitted) return;
    reactionUnderSubmission.current = true;
    try {
      await onChange(id, "dislike", conversationApi);
    } catch (e) {
      if ((0, import_base.isDev)()) {
        console.log("Error while submitting reaction");
        console.log(e);
      }
      throw e;
    } finally {
      reactionUnderSubmission.current = false;
    }
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_InteractionCustomSlot.InteractionCustomSlot, { placement: "outside-border", children: /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_material.Stack, { direction: "row", spacing: 0.5, children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Tooltip, { title: likeTooltip, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.IconButton, { disabled: reactionCommitted, size: "small", onClick: handleLike, sx: buttonSx, children: reaction === "like" ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.ThumbUp, {}) : /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.ThumbUpOffAlt, {}) }) }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Tooltip, { title: dislikeTooltip, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.IconButton, { disabled: reactionCommitted, size: "small", onClick: handleDisLike, sx: buttonSx, children: reaction === "dislike" ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.ThumbDown, {}) : /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.ThumbDownOffAlt, {}) }) })
  ] }) });
}
//# sourceMappingURL=Rating.js.map
