"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ConversationInteraction_exports = {};
__export(ConversationInteraction_exports, {
  ConversationInteraction: () => ConversationInteraction
});
module.exports = __toCommonJS(ConversationInteraction_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_hooks = require("@workwave-tidal/core/hooks");
var import_worms = require("../../worms.js");
var import_Avatar = require("./components/Avatar.js");
var import_InteractionHeader = require("./components/InteractionHeader.js");
var import_InteractionIdProvider = require("./components/InteractionIdProvider.js");
var import_InteractionLoading = require("./components/InteractionLoading.js");
var import_InteractionRoot = require("./components/InteractionRoot.js");
var import_MessageTypography = require("./components/MessageTypography.js");
var import_SenderTypography = require("./components/SenderTypography.js");
var import_TimeTypography = require("./components/TimeTypography.js");
function ConversationInteraction(props) {
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_InteractionIdProvider.InteractionIdProvider, { id: props.id, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(ConversationInteractionInner, { ...props }) });
}
function ConversationInteractionInner(props) {
  const {
    // -----------------------------------
    // functional props
    id,
    time,
    sender,
    avatar,
    message,
    // -----------------------------------
    // visual states
    loading,
    loadingComponent = /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_InteractionLoading.InteractionLoading, { ml: 2, mt: 2 }),
    // -----------------------------------
    // visual props
    sx,
    variant = "default",
    children,
    alignment = "left",
    className = "",
    contentType = "text",
    slotProps: {
      root: rootProps,
      avatar: avatarProps,
      interactionHeader: interactionHeaderProps,
      senderTypography: senderTypographyProps,
      timeTypography: timeTypographyProps,
      messageTypography: messageTypographyProps
    } = {}
  } = props;
  const ownerState = { alignment, variant };
  const showHeader = sender || time;
  const { worms: belowMessage } = (0, import_hooks.useWormhole)((0, import_worms.generateInteractionWormholeId)(id, "below-message"));
  const { worms: outsideBorder } = (0, import_hooks.useWormhole)((0, import_worms.generateInteractionWormholeId)(id, "outside-border"));
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_material.Stack, { gap: 0.5, "data-interaction-id": id, "data-tidal": "ConversationInteraction", children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_hooks.WormholeChildren, { children }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_InteractionRoot.InteractionRoot, { ownerState, ...rootProps, className, sx, children: [
      avatar ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_Avatar.Avatar, { ...avatarProps, children: avatar }) : null,
      /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_material.Stack, { gap: 0.25, children: [
        showHeader ? /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_InteractionHeader.InteractionHeader, { ownerState, ...interactionHeaderProps, children: [
          sender ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_SenderTypography.SenderTypography, { ...senderTypographyProps, children: sender }) : null,
          time ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_TimeTypography.TimeTypography, { ...timeTypographyProps, children: time }) : null
        ] }) : null,
        message ? contentType === "html" ? message : /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_MessageTypography.MessageTypography, { ...messageTypographyProps, children: message }) : null,
        belowMessage,
        loading ? loadingComponent : null
      ] })
    ] }),
    outsideBorder
  ] });
}
//# sourceMappingURL=ConversationInteraction.js.map
