"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ScrollToBottom_exports = {};
__export(ScrollToBottom_exports, {
  ScrollToBottom: () => ScrollToBottom
});
module.exports = __toCommonJS(ScrollToBottom_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_LocaleProvider = require("../../LocaleProvider.js");
function ScrollToBottom(props) {
  const {
    slotProps: { fab } = {},
    onScrollToBottom,
    children,
    animationDuration = 2.5
  } = props;
  const texts = (0, import_LocaleProvider.useConversationTexts)();
  const style = {
    "--fab-animation-duration": `${animationDuration}s`,
    ...fab?.style
  };
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Tooltip, { title: texts.scrollToBottomTooltip, placement: "bottom", children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(FabContainer, { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(Fab, { size: "small", color: "secondary", ...fab, onClick: onScrollToBottom, style, children }) }) });
}
const bounce = import_material.keyframes`
  70% { translate: 0 0% }
  80% { translate: 0 -15% }
  90% { translate: 0 0% }
  95% { translate: 0 -7% }
  97% { translate: 0 0% }
  99% { translate: 0 -3% }
  100% { translate: 0 0 }
`;
const Fab = (0, import_material.styled)((props) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Fab, { color: "secondary", size: "small", ...props }), {
  slot: "Fab"
})(() => ({
  animation: `${bounce} 1s infinite`,
  animationDuration: `var(--fab-animation-duration, 2.5s)`
}));
const FabContainer = (0, import_material.styled)(import_material.Box, {
  slot: "FabContainer"
})(({ theme: { spacing, zIndex } }) => ({
  position: "absolute",
  right: spacing(1),
  bottom: spacing(1),
  zIndex: zIndex.tooltip
}));
//# sourceMappingURL=ScrollToBottom.js.map
