"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ScrollApiProvider_exports = {};
__export(ScrollApiProvider_exports, {
  ScrollApiProvider: () => ScrollApiProvider,
  scrollbarApiContext: () => scrollbarApiContext,
  scrollbarContext: () => scrollbarContext,
  useScrollbarConfigureApi: () => useScrollbarConfigureApi,
  useScrollbarScrollToBottom: () => useScrollbarScrollToBottom
});
module.exports = __toCommonJS(ScrollApiProvider_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_hooks = require("@workwave-tidal/core/hooks");
var import_react = require("react");
const defaultScrollbarContext = {
  scrollToBottom: () => {
  },
  api: null
};
const scrollbarContext = (0, import_react.createContext)(defaultScrollbarContext);
const scrollbarApiContext = (0, import_react.createContext)({
  registerScrollToBottom() {
  }
});
function scrollbarReducer(state, action) {
  switch (action.type) {
    case "SET_SCROLL_TO_BOTTOM":
      if (state.scrollToBottom === action.scrollToBottom) return state;
      return { ...state, scrollToBottom: action.scrollToBottom };
    default:
      return state;
  }
}
function ScrollApiProvider(props) {
  const { children } = props;
  const [ctx, dispatch] = (0, import_react.useReducer)(scrollbarReducer, defaultScrollbarContext);
  const ctxApi = (0, import_hooks.useConstant)(() => {
    return {
      registerScrollToBottom: (scrollToBottom) => {
        dispatch({ type: "SET_SCROLL_TO_BOTTOM", scrollToBottom });
      }
    };
  });
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(scrollbarApiContext.Provider, { value: ctxApi, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(scrollbarContext.Provider, { value: ctx, children }) });
}
function useScrollbarConfigureApi() {
  return (0, import_react.useContext)(scrollbarApiContext);
}
function useScrollbarScrollToBottom() {
  return (0, import_react.useContext)(scrollbarContext).scrollToBottom;
}
//# sourceMappingURL=ScrollApiProvider.js.map
