"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ConversationSuggestion_exports = {};
__export(ConversationSuggestion_exports, {
  ConversationSuggestion: () => ConversationSuggestion
});
module.exports = __toCommonJS(ConversationSuggestion_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_components = require("@workwave-tidal/core/components");
var import_ConversationEditorProvider = require("../ConversationEditorProvider.js");
var import_useInsertSuggestion = require("./useInsertSuggestion.js");
function ConversationSuggestion(props) {
  const {
    sx,
    className,
    testId = "TidalConversationSuggestion",
    label,
    suggestion,
    slotProps: { chip } = {}
  } = props;
  const editor = (0, import_ConversationEditorProvider.useConversationEditor)();
  function onClick() {
    editor?.dispatchCommand(import_useInsertSuggestion.INSERT_SUGGESTION_COMMAND, suggestion);
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    import_components.Chip,
    {
      ...chip,
      sx: {
        "&:hover": {
          // ATTENTION: This won't work with dark theme
          color: (t) => t.vars.palette.common.white
        },
        ...sx
      },
      color: "primary",
      label,
      variant: "filledOutline",
      clickable: true,
      className,
      onClick,
      "data-tidal": "ConversationSuggestion",
      "data-testid": testId,
      size: "small"
    }
  );
}
//# sourceMappingURL=ConversationSuggestion.js.map
