"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ConversationSuggestionsControls_exports = {};
__export(ConversationSuggestionsControls_exports, {
  ConversationSuggestionsControls: () => ConversationSuggestionsControls
});
module.exports = __toCommonJS(ConversationSuggestionsControls_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_icons_material = require("@mui/icons-material");
var import_material = require("@mui/material");
var import_components = require("@workwave-tidal/core/components");
var import_hooks = require("@workwave-tidal/core/hooks");
var import_react = require("react");
var import_LocaleProvider = require("../LocaleProvider.js");
var import_WormholeIdProvider = require("../WormholeIdProvider.js");
var import_ConversationSuggestionsRoot = require("./components/ConversationSuggestionsRoot.js");
var import_useInsertSuggestion = require("./useInsertSuggestion.js");
function ConversationSuggestionsControls(props) {
  const {
    sx,
    testId = "TidalConversationSuggestions",
    hidden,
    className,
    disabled,
    slotProps: { root } = {}
  } = props;
  (0, import_useInsertSuggestion.useInsertSuggestion)();
  const { worms: suggestions } = (0, import_hooks.useWormhole)((0, import_WormholeIdProvider.useWormholeId)("editorSuggestions"));
  const [showSuggestions, setShowSuggestions] = (0, import_react.useState)(false);
  const suggestionRef = (0, import_react.useRef)(null);
  const {
    suggestionsControl: { trigger, suggestionsPanel }
  } = (0, import_LocaleProvider.useConversationTexts)();
  if (hidden) return null;
  if (import_react.Children.count(suggestions) === 0) return null;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_jsx_runtime.Fragment, { children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)("div", { ref: suggestionRef, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Button, { startIcon: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.AutoAwesome, {}), onClick: () => setShowSuggestions((p) => !p), disabled, children: trigger.label }) }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_components.Popover,
      {
        arrow: false,
        open: showSuggestions,
        placement: "top-start",
        anchorEl: suggestionRef.current || void 0,
        onClick: () => setShowSuggestions(false),
        onClickAway: () => setShowSuggestions(false),
        children: /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
          import_ConversationSuggestionsRoot.ConversationSuggestionsRoot,
          {
            useFlexGap: true,
            ...root,
            sx,
            className,
            "data-testid": testId,
            "data-tidal": "ConversationSuggestions",
            children: [
              /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Typography, { variant: "h6", sx: { width: "100%" }, gutterBottom: true, children: suggestionsPanel.title }),
              suggestions
            ]
          }
        )
      }
    )
  ] });
}
//# sourceMappingURL=ConversationSuggestionsControls.js.map
