"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var DataGridToolbar_exports = {};
__export(DataGridToolbar_exports, {
  DataGridToolbar: () => DataGridToolbar
});
module.exports = __toCommonJS(DataGridToolbar_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_x_data_grid_pro = require("@mui/x-data-grid-pro");
var import_hooks = require("@workwave-tidal/core/hooks");
var import_DataGridToolbarRoot = require("./components/DataGridToolbarRoot.js");
var import_GridToolbarQuickFilter = require("./components/GridToolbarQuickFilter.js");
var import_LoadingIndicator = require("./components/LoadingIndicator.js");
var import_LoadingProvider = require("./components/LoadingProvider.js");
var import_LocaleProvider = require("./components/LocaleProvider.js");
var import_SelectedRowsCount = require("./components/SelectedRowsCount.js");
var import_SelectionControl = require("./components/SelectionControl.js");
var import_UserActionControlsRoot = require("./components/UserActionControlsRoot.js");
var import_WormholeIdProvider = require("./components/WormholeIdProvider.js");
var import_useRowSelection = require("./hooks/useRowSelection.js");
function DataGridToolbar(props) {
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_LocaleProvider.LocaleProvider, { localeText: props.localeText, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_LoadingProvider.LoadingProvider, { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(_DataGridToolbar, { ...props }) }) });
}
function _DataGridToolbar(props) {
  const {
    showQuickFilter,
    exportProps,
    quickFilterProps,
    sx,
    className,
    testId,
    disableSelectAll = false,
    noSelectionContent
  } = props;
  const { noSelectedRows } = (0, import_useRowSelection.useRowSelection)();
  const { worms: insideToolbarContainer } = (0, import_hooks.useWormhole)((0, import_WormholeIdProvider.useWormholeId)("insideToolbarContainer"));
  const { worms: actions } = (0, import_hooks.useWormhole)((0, import_WormholeIdProvider.useWormholeId)("actions"));
  const loading = (0, import_LoadingProvider.useLoading)();
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_DataGridToolbarRoot.DataGridToolbarRoot, { "data-tidal": "DataGridToolbar", children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_x_data_grid_pro.GridToolbarContainer, { sx, className, "data-testid": testId, children: [
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_x_data_grid_pro.GridToolbarColumnsButton, {}),
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_x_data_grid_pro.GridToolbarFilterButton, {}),
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_x_data_grid_pro.GridToolbarDensitySelector, {}),
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_x_data_grid_pro.GridToolbarExport, { ...exportProps }),
      insideToolbarContainer,
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)("div", { style: { flex: 1 } }),
      showQuickFilter && /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_GridToolbarQuickFilter.GridToolbarQuickFilter, { ...quickFilterProps })
    ] }),
    noSelectedRows && noSelectionContent !== void 0 ? noSelectionContent : /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_UserActionControlsRoot.UserActionControlsRoot, { children: [
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_SelectedRowsCount.SelectedRowsCount, {}),
      /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_SelectionControl.SelectionControl, { disableSelectAll }),
      actions
    ] }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_LoadingIndicator.LoadingIndicator, { loading })
  ] });
}
//# sourceMappingURL=DataGridToolbar.js.map
