"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var BulkAction_exports = {};
__export(BulkAction_exports, {
  BulkAction: () => BulkAction
});
module.exports = __toCommonJS(BulkAction_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_react = require("react");
var import_LoadingProvider = require("../LoadingProvider.js");
var import_MenuStateProvider = require("./MenuStateProvider.js");
function BulkAction(props) {
  const { slotProps, onClick, _mode = "menuItem", ...rest } = props;
  const setLoading = (0, import_LoadingProvider.useSetLoading)();
  const loading = (0, import_LoadingProvider.useLoading)();
  const { onClose } = (0, import_MenuStateProvider.useMenuState)();
  const handleOnClick = (0, import_react.useCallback)(async () => {
    if (!onClick) return;
    setLoading(true);
    onClose();
    await onClick();
    setLoading(false);
  }, [onClick, setLoading, onClose]);
  if (_mode === "button") {
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Button, { variant: "text", ...rest, ...slotProps?.button, onClick: handleOnClick, disabled: loading });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.MenuItem, { ...rest, ...slotProps?.menuItem, onClick: handleOnClick, disabled: loading });
}
//# sourceMappingURL=BulkAction.js.map
