"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var BulkActions_exports = {};
__export(BulkActions_exports, {
  BulkActions: () => BulkActions
});
module.exports = __toCommonJS(BulkActions_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_hooks = require("@workwave-tidal/core/hooks");
var import_react = require("react");
var import_base = require("@workwave-tidal/core/base");
var import_WormholeIdProvider = require("../WormholeIdProvider.js");
var import_BulkAction = require("./BulkAction.js");
var import_BulkActionsMenu = require("./BulkActionsMenu.js");
var import_MenuStateProvider = require("./MenuStateProvider.js");
function _BulkActions(props) {
  const { maxVisibleActions = 1, children: actions } = props;
  if (!actions) return null;
  const childrenCount = import_react.Children.count(actions);
  if (childrenCount === 0) return null;
  const validActions = import_react.Children.toArray(actions).filter(
    (action) => isValidAction(action)
  );
  const validActionsCount = import_react.Children.count(validActions);
  if (validActionsCount !== childrenCount && (0, import_base.isDev)()) {
    console.warn("BulkActions: Only BulkAction components are allowed as children");
  }
  const _mode = validActionsCount <= maxVisibleActions ? "button" : "menuItem";
  const children = import_react.Children.map(validActions, (action) => {
    return (0, import_react.cloneElement)(action, { ...action.props, _mode });
  });
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_MenuStateProvider.MenuStateProvider, { children: [
    _mode === "button" && children,
    _mode === "menuItem" && /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_BulkActionsMenu.BulkActionsMenu, { children })
  ] });
}
function BulkActions(props) {
  const target = (0, import_WormholeIdProvider.useWormholeId)("actions");
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_hooks.Wormhole, { target, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(_BulkActions, { ...props }) });
}
function isValidAction(action) {
  if (!(0, import_react.isValidElement)(action)) return false;
  return action.type === import_BulkAction.BulkAction;
}
//# sourceMappingURL=BulkActions.js.map
