"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var LoadingIndicator_exports = {};
__export(LoadingIndicator_exports, {
  LoadingIndicator: () => LoadingIndicator
});
module.exports = __toCommonJS(LoadingIndicator_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_react = require("react");
const loadAnimation = import_material.keyframes`
  from {
    left: var(--startPosition);
  }
  65% {
    left: 100%;
  }
  100% {
    left: var(--startPosition);
  }
`;
const SuperCar = (0, import_material.styled)("div", {
  slot: "SuperCar"
})`
  animation: ${loadAnimation} infinite var(--duration, 3s);
  background: var(--color);
  position: absolute;
  width: var(--size);
  z-index: 10;
  height: 100%;
  left: 0;
  top: 0;
`;
function useStyles(props) {
  const { size, duration, color } = props;
  return (0, import_react.useMemo)(() => {
    return {
      root: {
        "--duration": duration ? `${duration}s` : void 0,
        "--startPosition": `-${size}px`,
        "--color": color,
        "--size": `${size}px`
      }
    };
  }, [color, duration, size]);
}
function LoadingIndicator(props) {
  const { size = 120, duration, loading } = props;
  const theme = (0, import_material.useTheme)();
  const styles = useStyles({
    size,
    duration,
    color: theme.palette.primary.main
  });
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(Root, { children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_material.LinearProgress,
      {
        variant: "determinate",
        value: 0,
        sx: (theme2) => ({
          height: 2,
          [`&.${import_material.linearProgressClasses.colorPrimary}`]: {
            backgroundColor: loading ? void 0 : theme2.vars.palette.divider
          }
        })
      }
    ),
    loading && /* @__PURE__ */ (0, import_jsx_runtime.jsx)(SuperCar, { style: styles.root })
  ] });
}
const Root = (0, import_material.styled)(import_material.Box, {
  slot: "Root"
})(() => ({
  position: "absolute",
  bottom: 0,
  left: 0,
  width: "100%",
  "& > *": {
    position: "absolute",
    width: "100%",
    left: 0,
    top: 0
  }
}));
//# sourceMappingURL=LoadingIndicator.js.map
