"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var SelectionControl_exports = {};
__export(SelectionControl_exports, {
  SelectionControl: () => SelectionControl
});
module.exports = __toCommonJS(SelectionControl_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_x_data_grid_pro = require("@mui/x-data-grid-pro");
var import_react = require("react");
var import_useRowSelection = require("../hooks/useRowSelection.js");
var import_LocaleProvider = require("./LocaleProvider.js");
function SelectionControl(props) {
  const { disableSelectAll } = props;
  const { allRowsSelected, selectedRows } = (0, import_useRowSelection.useRowSelection)();
  if (disableSelectAll) {
    if (selectedRows.length === 0) return null;
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(DeselectAllButton, {});
  }
  if (allRowsSelected) {
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(DeselectAllButton, {});
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(SelectAllButton, {});
}
function DeselectAllButton() {
  const texts = (0, import_LocaleProvider.useLocale)();
  const apiRef = (0, import_x_data_grid_pro.useGridApiContext)();
  const { selectionTextParams } = (0, import_useRowSelection.useRowSelection)();
  const handleOnClick = (0, import_react.useCallback)(() => {
    apiRef.current.selectRows(apiRef.current.getAllRowIds(), false);
  }, [apiRef]);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Button, { onClick: handleOnClick, "data-testid": "selection-control-deselect", children: texts.deselectAll(selectionTextParams) });
}
function SelectAllButton() {
  const texts = (0, import_LocaleProvider.useLocale)();
  const apiRef = (0, import_x_data_grid_pro.useGridApiContext)();
  const { selectionTextParams } = (0, import_useRowSelection.useRowSelection)();
  const handleOnClick = (0, import_react.useCallback)(() => {
    apiRef.current.selectRows(apiRef.current.getAllRowIds(), true);
  }, [apiRef]);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Button, { onClick: handleOnClick, "data-testid": "selection-control-select", children: texts.selectAll(selectionTextParams) });
}
//# sourceMappingURL=SelectionControl.js.map
