"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var useRowSelection_exports = {};
__export(useRowSelection_exports, {
  useRowSelection: () => useRowSelection
});
module.exports = __toCommonJS(useRowSelection_exports);
var import_x_data_grid_pro = require("@mui/x-data-grid-pro");
var import_react = require("react");
function useRowSelection() {
  const apiRef = (0, import_x_data_grid_pro.useGridApiContext)();
  const [selectedRows, setSelectedRows] = (0, import_react.useState)(() => {
    if (apiRef.current) {
      return Array.from(apiRef.current.getSelectedRows().keys());
    }
    return [];
  });
  const [totalRowsCount, setTotalRows] = (0, import_react.useState)(() => apiRef.current?.getRowsCount() ?? 0);
  (0, import_react.useEffect)(() => {
    const unsubscribeSelectionChange = apiRef.current.subscribeEvent("rowSelectionChange", (params) => {
      setSelectedRows([...params]);
    });
    const unsubscribeStateChange = apiRef.current.subscribeEvent("stateChange", (params) => {
      setTotalRows(params.rows.totalRowCount);
    });
    return () => {
      unsubscribeSelectionChange();
      unsubscribeStateChange();
    };
  }, [apiRef]);
  const selectionTextParams = {
    selectedRowsCount: selectedRows.length,
    totalRowsCount,
    gridApi: apiRef.current
  };
  return {
    selectionTextParams,
    selectedRows,
    totalRowsCount,
    allRowsSelected: selectedRows.length === totalRowsCount,
    noSelectedRows: selectedRows.length === 0
  };
}
//# sourceMappingURL=useRowSelection.js.map
