"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var SmallActionBar_exports = {};
__export(SmallActionBar_exports, {
  ActionBarSmall: () => ActionBarSmall
});
module.exports = __toCommonJS(SmallActionBar_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_react = require("react");
var import_ActionBar = require("@workwave-tidal/core/components/ActionBar");
var import_base = require("@workwave-tidal/core/base");
var import_ActionBarPlacer = require("./ActionBarPlacer.js");
function ActionBarSmall(props) {
  const { actions, disabled } = props;
  const createFirstActionSx = useCreateFirstActionSx();
  if (!Array.isArray(actions)) return null;
  if (actions.length === 0) return null;
  if (actions.length > 1 && (0, import_base.isDev)()) {
    console.warn('Only 1 action is allowed when using size="small", the other actions will be ignored');
  }
  const firstAction = actions[0];
  const actionProps = {
    mode: "default",
    color: "default",
    divider: false,
    sx: createFirstActionSx(firstAction.props.sx)
  };
  if (typeof firstAction.props.onClick === "function") {
    actionProps.onClick = createOnClickWithStopPropagation(firstAction.props.onClick);
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ActionBarPlacer.ActionBarPlacer, { size: "small", children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ActionBar.ActionBar, { limit: 1, disabled, children: (0, import_react.cloneElement)(firstAction, {
    ...actionProps,
    key: firstAction.props.id
  }) }) });
}
function createOnClickWithStopPropagation(onClick) {
  return (event) => {
    event.stopPropagation();
    onClick?.(event);
  };
}
function useCreateFirstActionSx() {
  const theme = (0, import_material.useTheme)();
  return (0, import_react.useCallback)(
    (actionSx = {}) => {
      const baseSx = {
        padding: `1px`,
        background: theme.vars.palette.common.white,
        border: `1px solid ${theme.vars.palette.grey[300]}`,
        "&:hover": {
          background: theme.vars.palette.common.white
        }
      };
      if (typeof actionSx === "function") {
        return {
          ...actionSx(theme),
          ...baseSx
        };
      }
      return {
        ...actionSx,
        ...baseSx
      };
    },
    [theme]
  );
}
//# sourceMappingURL=SmallActionBar.js.map
