"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Progress_exports = {};
__export(Progress_exports, {
  Progress: () => Progress
});
module.exports = __toCommonJS(Progress_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_constants = require("../constants.js");
function Progress(props) {
  const { progressTitle, size, value, ...circularProgressProps } = props;
  const progress = clamp(value, 0, 100);
  const progressVariant = typeof value === "number" ? "determinate" : void 0;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_material.Stack, { alignItems: "center", justifyContent: "center", gap: 1, paddingX: 1, overflow: "hidden", children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_material.CircularProgress,
      {
        ...circularProgressProps,
        value: progress,
        color: "primary",
        size: import_constants.LOADING_SIZE_BY_SIZE[size],
        variant: progressVariant
      }
    ),
    progressTitle && size !== "small" && /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Typography, { variant: "body2", noWrap: true, maxWidth: "100%", children: progressTitle })
  ] });
}
function clamp(progress, min, max) {
  if (typeof progress !== "number") return progress;
  const clampedProgress = Math.min(Math.max(progress, min), max);
  if (progress !== clampedProgress) {
    console.warn("value should be in the range [0, 100]");
  }
  return clampedProgress;
}
//# sourceMappingURL=Progress.js.map
