"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var StandardFilePreview_exports = {};
__export(StandardFilePreview_exports, {
  StandardFilePreview: () => StandardFilePreview
});
module.exports = __toCommonJS(StandardFilePreview_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_cssClasses = require("../../cssClasses.js");
var import_ActionBar = require("./components/ActionBar.js");
var import_FilePreviewSubtitle = require("./components/FilePreviewSubtitle.js");
var import_FilePreviewTitle = require("./components/FilePreviewTitle.js");
var import_Icon = require("./components/Icon.js");
var import_Root = require("./components/Root.js");
function StandardFilePreview(props) {
  const {
    testId = "FilePreview",
    icon,
    title,
    subtitle,
    actions,
    tooltip,
    onClick,
    disabled,
    actionsVisibility = "onHoverOrFocus",
    error,
    loading,
    progress
  } = props;
  const hoverSubtitle = props.hoverSubtitle ?? subtitle;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Tooltip, { title: tooltip, PopperProps: popperProps, children: /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
    import_Root.Root,
    {
      "data-testid": testId,
      "data-tidal": "FilePreview",
      actionsVisibility,
      onClick: disabled ? void 0 : onClick,
      disabled,
      hasError: error,
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_Icon.Icon, { icon, error, loading, progress }),
        /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_material.Stack, { flexShrink: 0, minWidth: 0, children: [
          typeof title === "string" ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_FilePreviewTitle.FilePreviewTitle, { children: title }) : title,
          typeof subtitle === "string" ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_FilePreviewSubtitle.FilePreviewSubtitle, { className: import_cssClasses.cssClasses.subtitle, children: subtitle }) : /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Box, { className: import_cssClasses.cssClasses.subtitle, children: subtitle }),
          typeof hoverSubtitle === "string" ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_FilePreviewSubtitle.FilePreviewSubtitle, { className: import_cssClasses.cssClasses.hoverSubtitle, children: hoverSubtitle }) : /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Box, { className: import_cssClasses.cssClasses.hoverSubtitle, children: hoverSubtitle }),
          /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
            import_material.Box,
            {
              position: "relative",
              visibility: "hidden",
              height: 0,
              overflow: "hidden",
              display: "flex",
              flexDirection: "column",
              children: [
                typeof subtitle === "string" ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_FilePreviewSubtitle.FilePreviewSubtitle, { children: subtitle }) : /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Box, { children: subtitle }),
                typeof hoverSubtitle === "string" ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_FilePreviewSubtitle.FilePreviewSubtitle, { children: hoverSubtitle }) : /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Box, { children: hoverSubtitle })
              ]
            }
          )
        ] }),
        /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ActionBar.ActionBar, { actions, disabled })
      ]
    }
  ) });
}
const popperProps = {
  modifiers: [
    {
      name: "offset",
      options: {
        offset: [0, -8]
      }
    }
  ]
};
//# sourceMappingURL=StandardFilePreview.js.map
