"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Root_exports = {};
__export(Root_exports, {
  Root: () => Root
});
module.exports = __toCommonJS(Root_exports);
var import_material = require("@mui/material");
var import_cssClasses = require("../../../cssClasses.js");
const excludedProps = ["actionsVisibility", "hasError", "disabled"];
const Root = (0, import_material.styled)(import_material.Box, {
  name: "StandardFilePreview",
  slot: "Root",
  shouldForwardProp: (prop) => !excludedProps.includes(prop.toString())
})(({ theme, actionsVisibility, hasError, disabled, onClick }) => {
  const { lobsterRed, slateBlueGray } = theme.vars.palette.tidalColors;
  return {
    position: "relative",
    display: "grid",
    gridTemplateColumns: "auto 1fr auto",
    height: 58,
    minWidth: 160,
    overflow: "hidden",
    gap: theme.spacing(1),
    padding: theme.spacing(1),
    borderRadius: theme.spacing(0.5),
    borderWidth: 1,
    borderStyle: "solid",
    borderColor: hasError ? lobsterRed[500] : slateBlueGray[100],
    color: theme.palette.action.active,
    textTransform: "none",
    cursor: typeof onClick === "function" && !disabled ? "pointer" : "auto",
    transition: "background 0.25s ease",
    "&:hover": {
      backgroundColor: theme.palette.action.hover,
      borderColor: hasError ? lobsterRed[500] : slateBlueGray[300]
    },
    "&:focus-within": {
      backgroundColor: theme.palette.action.focus,
      borderColor: hasError ? lobsterRed[500] : slateBlueGray[500]
    },
    ...disabled && {
      color: theme.palette.text.disabled,
      "& *": {
        color: theme.palette.text.disabled
      }
    },
    ...actionsVisibility === "onHoverOrFocus" && {
      [`& .${import_cssClasses.cssClasses.actionBarPlacer}`]: {
        opacity: 0,
        translate: "20% 0",
        transition: "opacity 0.2s ease, translate 0.3s ease"
      }
    },
    // this will make the hoverSubtitle component invisible
    [`& .${import_cssClasses.cssClasses.hoverSubtitle}`]: hoverSubtitleOffRules,
    [`& .${import_cssClasses.cssClasses.subtitle}`]: hoverSubtitleOnRules,
    // this will make hover effect to not work on touch interfaces
    "@media (pointer: coarse)": {
      [`& .${import_cssClasses.cssClasses.actionBarPlacer}`]: actionBarPlacerOnRules
    },
    [`&:hover .${import_cssClasses.cssClasses.actionBarPlacer}`]: actionBarPlacerOnRules,
    [`&:focus-within .${import_cssClasses.cssClasses.actionBarPlacer}`]: actionBarPlacerOnRules,
    [`&:hover .${import_cssClasses.cssClasses.hoverSubtitle}`]: hoverSubtitleOnRules,
    [`&:focus-within .${import_cssClasses.cssClasses.hoverSubtitle}`]: hoverSubtitleOnRules,
    [`&:hover .${import_cssClasses.cssClasses.subtitle}`]: hoverSubtitleOffRules,
    [`&:focus-within .${import_cssClasses.cssClasses.subtitle}`]: hoverSubtitleOffRules
  };
});
const actionBarPlacerOnRules = {
  opacity: 1,
  translate: "0 0",
  transition: "opacity 0.2s ease, translate 0.3s ease"
};
const hoverSubtitleOnRules = {
  display: "inline-block"
};
const hoverSubtitleOffRules = {
  display: "none"
};
//# sourceMappingURL=Root.js.map
