"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Masonry_exports = {};
__export(Masonry_exports, {
  Masonry: () => Masonry
});
module.exports = __toCommonJS(Masonry_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = require("react");
var import_MasonryItem = require("./MasonryItem.js");
var import_MasonryRoot = require("./components/MasonryRoot.js");
var import_useMasonryState = require("./hooks/useMasonryState.js");
var import_findLayoutItem = require("./utils/findLayoutItem.js");
const Masonry = (0, import_react.forwardRef)(function Masonry2(props, ref) {
  const {
    activeDrag,
    children,
    columns,
    containerPadding,
    handleDrag,
    handleDragStart,
    handleDragStop,
    isBounded,
    isDraggable,
    layout,
    margin,
    maxRows,
    rowHeight,
    style,
    transformScale,
    width,
    wrapperRef
  } = (0, import_useMasonryState.useMasonryState)(props);
  const createMasonryItem = (child) => {
    if (!child || !child.key) return;
    const layoutItem = (0, import_findLayoutItem.findLayoutItem)(layout, String(child.key));
    if (!layoutItem) return;
    const draggable = typeof layoutItem.isDraggable === "boolean" ? layoutItem.isDraggable : !layoutItem.isStatic && isDraggable;
    const bounded = draggable && isBounded && layoutItem.isBounded !== false;
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_MasonryItem.MasonryItem,
      {
        ...layoutItem,
        columns,
        containerPadding,
        containerWidth: width,
        isBounded: bounded,
        isDraggable: draggable,
        margin,
        maxRows,
        onDrag: handleDrag,
        onDragStart: handleDragStart,
        onDragStop: handleDragStop,
        rowHeight,
        transformScale,
        children: child
      }
    );
  };
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_MasonryRoot.MasonryRoot, { ref: wrapperRef, "data-tidal": "MasonryAutoSizeWrapper", children: /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("div", { className: "react-grid-layout", ref, style, children: [
    import_react.Children.map(children, (child) => createMasonryItem(child)),
    activeDrag && /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_MasonryItem.MasonryItem,
      {
        width: activeDrag.width,
        height: activeDrag.height,
        x: activeDrag.x,
        y: activeDrag.y,
        id: activeDrag.id,
        className: `react-grid-placeholder`,
        containerWidth: width,
        columns,
        margin,
        containerPadding: containerPadding || margin,
        maxRows,
        rowHeight,
        isDraggable: false,
        isBounded: false,
        transformScale,
        children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("div", {})
      }
    )
  ] }) });
});
//# sourceMappingURL=Masonry.js.map
