"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var useMasonryState_exports = {};
__export(useMasonryState_exports, {
  useMasonryState: () => useMasonryState
});
module.exports = __toCommonJS(useMasonryState_exports);
var import_hooks = require("@workwave-tidal/core/hooks");
var import_react = require("react");
var import_compact = require("../utils/compact.js");
var import_findLayoutItem = require("../utils/findLayoutItem.js");
var import_getDefaultMasonryProps = require("../utils/getDefaultMasonryProps.js");
var import_getLayoutBottom = require("../utils/getLayoutBottom.js");
var import_moveElement = require("../utils/moveElement.js");
var import_synchronizeLayoutWithChildren = require("../utils/synchronizeLayoutWithChildren.js");
function useMasonryState(inProps) {
  const { width: initialWidth } = inProps;
  const props = (0, import_getDefaultMasonryProps.getDefaultMasonryProps)(inProps);
  const {
    allowOverlap,
    autoHeight,
    children,
    columns,
    compactType,
    containerPadding,
    initialLayout,
    margin,
    preventCollision,
    rowHeight,
    style: inStyle
  } = props;
  const rWrapper = (0, import_react.useRef)(null);
  const { width: wrapperWidth = 0 } = (0, import_hooks.useElementSize)(rWrapper.current);
  const [oldLayout, setOldLayout] = (0, import_react.useState)();
  const [activeDrag, setActiveDrag] = (0, import_react.useState)();
  const [layout, setLayout] = (0, import_react.useState)(
    initialLayout ? (0, import_synchronizeLayoutWithChildren.synchronizeLayoutWithChildren)(initialLayout, children, columns, compactType, allowOverlap) : []
  );
  const [oldDragItem, setOldDragItem] = (0, import_react.useState)();
  const style = (0, import_react.useMemo)(() => {
    const bottom = (0, import_getLayoutBottom.getLayoutBottom)(layout);
    const paddingY = containerPadding[1];
    const marginY = margin[1];
    const height = `${bottom * rowHeight + (bottom - 1) * marginY + paddingY * 2}px`;
    return {
      ...inStyle,
      height: autoHeight ? height : void 0
    };
  }, [layout, containerPadding, margin, rowHeight, autoHeight, inStyle]);
  (0, import_react.useEffect)(() => {
    setLayout((0, import_synchronizeLayoutWithChildren.synchronizeLayoutWithChildren)(initialLayout, children, columns, compactType, allowOverlap));
  }, [initialLayout, children, columns, compactType, allowOverlap]);
  const handleDragStart = (0, import_react.useCallback)(
    (id, x, y) => {
      const layoutItem = (0, import_findLayoutItem.findLayoutItem)(layout, id);
      if (!layoutItem) return;
      const placeholder = {
        id,
        width: layoutItem.width,
        height: layoutItem.height,
        x: layoutItem.x,
        y: layoutItem.y,
        placeholder: true
      };
      setOldDragItem(layoutItem);
      setOldLayout(layout);
      setActiveDrag(placeholder);
    },
    [layout]
  );
  const handleDrag = (0, import_react.useCallback)(
    (id, x, y) => {
      const layoutItem = (0, import_findLayoutItem.findLayoutItem)(layout, id);
      if (!layoutItem) return;
      const placeholder = {
        id,
        width: layoutItem.width,
        height: layoutItem.height,
        x: layoutItem.x,
        y: layoutItem.y,
        placeholder: true
      };
      const isUserAction = true;
      const nextLayout = (0, import_moveElement.moveElement)(
        layout,
        layoutItem,
        compactType,
        columns,
        x,
        y,
        isUserAction,
        preventCollision,
        allowOverlap
      );
      setLayout(allowOverlap ? nextLayout : (0, import_compact.compact)(nextLayout, compactType, columns));
      setActiveDrag(placeholder);
    },
    [layout, compactType, columns, preventCollision, allowOverlap]
  );
  const handleDragStop = (0, import_react.useCallback)(
    (id, x, y) => {
      if (!activeDrag) return;
      const layoutItem = (0, import_findLayoutItem.findLayoutItem)(layout, id);
      if (!layoutItem) return;
      const isUserAction = true;
      const nextLayout = (0, import_moveElement.moveElement)(
        layout,
        layoutItem,
        compactType,
        columns,
        x,
        y,
        isUserAction,
        preventCollision,
        allowOverlap
      );
      setActiveDrag(void 0);
      setOldDragItem(void 0);
      setOldLayout(void 0);
      setLayout(allowOverlap ? nextLayout : (0, import_compact.compact)(nextLayout, compactType, columns));
    },
    [layout, activeDrag, compactType, columns, preventCollision, allowOverlap]
  );
  return {
    ...props,
    activeDrag,
    handleDrag,
    handleDragStart,
    handleDragStop,
    layout,
    oldDragItem,
    oldLayout,
    style,
    width: initialWidth ?? wrapperWidth,
    wrapperRef: rWrapper
  };
}
//# sourceMappingURL=useMasonryState.js.map
