"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var compactLayoutItem_exports = {};
__export(compactLayoutItem_exports, {
  compactLayoutItem: () => compactLayoutItem
});
module.exports = __toCommonJS(compactLayoutItem_exports);
var import_getFirstLayoutItemCollision = require("./getFirstLayoutItemCollision.js");
var import_getLayoutBottom = require("./getLayoutBottom.js");
var import_resolveCompactCollision = require("./resolveCompactCollision.js");
function compactLayoutItem(statics, layoutItem, compactType, cols, fullLayout, allowOverlap) {
  const compactVertical = compactType === "vertical";
  const compactHorizontal = compactType === "horizontal";
  if (compactVertical) {
    layoutItem.y = Math.min((0, import_getLayoutBottom.getLayoutBottom)(statics), layoutItem.y);
    while (layoutItem.y > 0 && !(0, import_getFirstLayoutItemCollision.getFirstLayoutItemCollision)(statics, layoutItem)) {
      layoutItem.y -= 1;
    }
  } else if (compactHorizontal) {
    while (layoutItem.x > 0 && !(0, import_getFirstLayoutItemCollision.getFirstLayoutItemCollision)(statics, layoutItem)) {
      layoutItem.x -= 1;
    }
  }
  let collides;
  while (collides = (0, import_getFirstLayoutItemCollision.getFirstLayoutItemCollision)(statics, layoutItem)) {
    if (compactHorizontal) {
      (0, import_resolveCompactCollision.resolveCompactCollision)(fullLayout, layoutItem, collides.x + collides.width, "x");
    } else {
      (0, import_resolveCompactCollision.resolveCompactCollision)(fullLayout, layoutItem, collides.y + collides.height, "y");
    }
    if (compactHorizontal && layoutItem.x + layoutItem.width > cols) {
      layoutItem.x = cols - layoutItem.width;
      layoutItem.y += 1;
      while (layoutItem.x > 0 && !(0, import_getFirstLayoutItemCollision.getFirstLayoutItemCollision)(statics, layoutItem)) {
        layoutItem.x -= 1;
      }
    }
  }
  layoutItem.y = Math.max(layoutItem.y, 0);
  layoutItem.x = Math.max(layoutItem.x, 0);
  return layoutItem;
}
//# sourceMappingURL=compactLayoutItem.js.map
