"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var getMasonryItemPosition_exports = {};
__export(getMasonryItemPosition_exports, {
  getMasonryItemPosition: () => getMasonryItemPosition
});
module.exports = __toCommonJS(getMasonryItemPosition_exports);
var import_getGridColumnWidth = require("./getGridColumnWidth.js");
function getMasonryItemPosition(positionParams, x, y, width, height, dragging) {
  const { containerPadding, margin, rowHeight } = positionParams;
  const colWidth = (0, import_getGridColumnWidth.getGridColumnWidth)(positionParams);
  const [marginX, marginY] = margin;
  const [paddingX, paddingY] = containerPadding;
  const widthPx = Number.isFinite(width) ? Math.round(width * colWidth + Math.max(0, width - 1) * marginX) : width;
  const heightPx = Number.isFinite(height) ? Math.round(height * rowHeight + Math.max(0, height - 1) * marginY) : height;
  if (dragging) {
    return {
      top: Math.round(dragging.top),
      left: Math.round(dragging.left),
      width: widthPx,
      height: heightPx
    };
  }
  return {
    top: Math.round((rowHeight + marginY) * y + paddingY),
    left: Math.round((colWidth + marginX) * x + paddingX),
    width: widthPx,
    height: heightPx
  };
}
//# sourceMappingURL=getMasonryItemPosition.js.map
