"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var resolveCompactCollision_exports = {};
__export(resolveCompactCollision_exports, {
  resolveCompactCollision: () => resolveCompactCollision
});
module.exports = __toCommonJS(resolveCompactCollision_exports);
var import_hasCollision = require("./hasCollision.js");
function getSizePropByAxis(axis) {
  return axis === "x" ? "width" : "height";
}
function resolveCompactCollision(layout, currentItem, moveToCoord, axis) {
  const sizeProp = getSizePropByAxis(axis);
  const itemIndex = layout.findIndex((l) => l.id === currentItem.id);
  currentItem[axis] += 1;
  for (let i = itemIndex + 1; i < layout.length; i++) {
    const nextItem = layout[i];
    if (nextItem.isStatic) continue;
    if (nextItem.y > currentItem.y + currentItem.height) break;
    if ((0, import_hasCollision.hasCollision)(currentItem, nextItem)) {
      resolveCompactCollision(layout, nextItem, moveToCoord + currentItem[sizeProp], axis);
    }
  }
  currentItem[axis] = moveToCoord;
}
//# sourceMappingURL=resolveCompactCollision.js.map
