"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var synchronizeLayoutWithChildren_exports = {};
__export(synchronizeLayoutWithChildren_exports, {
  synchronizeLayoutWithChildren: () => synchronizeLayoutWithChildren
});
module.exports = __toCommonJS(synchronizeLayoutWithChildren_exports);
var import_react = require("react");
var import_compact = require("./compact.js");
var import_correctLayoutBounds = require("./correctLayoutBounds.js");
var import_findLayoutItem = require("./findLayoutItem.js");
var import_getLayoutBottom = require("./getLayoutBottom.js");
function synchronizeLayoutWithChildren(layout, children, columns, compactType, allowOverlap) {
  const nextLayout = [];
  import_react.Children.forEach(children, (child) => {
    if (child?.key == null) return;
    const exists = (0, import_findLayoutItem.findLayoutItem)(layout, String(child.key));
    if (exists) {
      nextLayout.push(exists);
    } else {
      nextLayout.push({
        height: 1,
        id: String(child.key),
        width: 1,
        x: 0,
        y: (0, import_getLayoutBottom.getLayoutBottom)(layout)
      });
    }
  });
  const correctedLayout = (0, import_correctLayoutBounds.correctLayoutBounds)(nextLayout, columns);
  return allowOverlap ? correctedLayout : (0, import_compact.compact)(correctedLayout, compactType, columns, allowOverlap);
}
//# sourceMappingURL=synchronizeLayoutWithChildren.js.map
