"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var DrawerView_exports = {};
__export(DrawerView_exports, {
  DrawerView: () => DrawerView
});
module.exports = __toCommonJS(DrawerView_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_useWarnOnce = require("../../useWarnOnce.js");
var import_constants = require("../constants.js");
var import_useAnchor = require("../hooks/useAnchor.js");
var import_useToolbar = require("../hooks/useToolbar.js");
var import_ActiveViewProvider = require("./ActiveViewProvider.js");
const placeholderRect = new DOMRect(0, 0, 0, 0);
function DrawerView(props) {
  const {
    view,
    children,
    placement = "left",
    customPlacement,
    railId = import_constants.DEFAULT_RAIL_VIEW_ID,
    drawerProps,
    onClose
  } = props;
  const { componentsProps: drawerComponentsProps, sx: drawerSx, ...drawerPropsRest } = drawerProps ?? {};
  const { isActive, setViews, views } = (0, import_useToolbar.useToolbar)();
  const warnOnce = (0, import_useWarnOnce.useWarnOnce)();
  const $rail = (0, import_useAnchor.useAnchor)(railId);
  const showView = isActive(view);
  if (showView && !$rail) {
    warnOnce("rail anchor not found");
  }
  const handleClose = (_, reason) => {
    if (typeof onClose === "function") {
      onClose(reason, views, setViews);
      return;
    }
    setViews();
  };
  const rect = $rail?.getBoundingClientRect() ?? placeholderRect;
  const cssProps = customPlacement ? customPlacement(rect, placement) : placement === "right" ? { right: rect?.width ?? 0 } : { left: rect?.right ?? 0 };
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ActiveViewProvider.ActiveViewProvider, { view, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    import_material.Drawer,
    {
      open: showView,
      anchor: placement,
      componentsProps: {
        backdrop: {
          sx: { backgroundColor: "transparent" },
          ...drawerComponentsProps?.backdrop ?? {}
        },
        root: drawerComponentsProps?.root
      },
      onClose: handleClose,
      sx: (theme) => ({
        [`& .${import_material.drawerClasses.paper}`]: {
          ...cssProps
        },
        ...typeof drawerSx === "function" ? drawerSx(theme) : drawerSx ?? {}
      }),
      ...drawerPropsRest,
      children
    }
  ) });
}
//# sourceMappingURL=DrawerView.js.map
