"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ExpandableRail_exports = {};
__export(ExpandableRail_exports, {
  ExpandableRail: () => ExpandableRail
});
module.exports = __toCommonJS(ExpandableRail_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_react = require("react");
var import_useToolbar = require("../../hooks/useToolbar.js");
var import_constants = require("../../constants.js");
var import_ToolbarRail = require("../ToolbarRail/ToolbarRail.js");
var import_ExpandableRailContextProvider = require("./ExpandableRailContextProvider/ExpandableRailContextProvider.js");
var import_Root = require("./components/Root.js");
var import_RoundToggleButton = require("./components/RoundToggleButton.js");
function ExpandableRail(props) {
  const {
    children,
    mode,
    setMode,
    collapsedSize,
    expandedSize,
    disableRoundToggleButton,
    sx: stackPropsSx,
    placement = "left",
    ...stackProps
  } = props;
  const [railWidth, setRailWidth] = (0, import_react.useState)(() => expandedSize);
  const theme = (0, import_material.useTheme)();
  const { registerAnchor } = (0, import_useToolbar.useToolbar)();
  const rootRef = (0, import_react.useRef)(null);
  registerAnchor(import_constants.DEFAULT_RAIL_VIEW_ID, rootRef.current);
  const localSx = {
    width: railWidth,
    height: "100%"
  };
  const sx = stackPropsSx === void 0 ? localSx : typeof stackPropsSx === "function" ? { ...stackPropsSx(theme), ...localSx } : { ...stackPropsSx, ...localSx };
  const backgroundColor = stackProps.backgroundColor ?? theme.palette.workwaveBlue;
  const color = stackProps.color ?? theme.palette.common.white;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ExpandableRailContextProvider.ExpandableRailContextProvider, { mode, setMode, placement, children: /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_Root.Root, { ref: rootRef, "data-id": "ToolbarRailExpandableRoot", children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Box, { height: "100%", display: "flex", overflow: "hidden", width: "100%", children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_material.Collapse,
      {
        orientation: "horizontal",
        in: mode === "expanded",
        collapsedSize,
        onEnter: () => setRailWidth(expandedSize),
        onExited: () => setRailWidth(collapsedSize),
        children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
          import_ToolbarRail.ToolbarRail,
          {
            disableAutoRegisterAnchor: true,
            enableLastChildGroup: true,
            ...stackProps,
            sx,
            backgroundColor,
            color,
            children
          }
        )
      }
    ) }),
    !disableRoundToggleButton && /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_RoundToggleButton.RoundToggleButton, { color, backgroundColor, placement })
  ] }) });
}
//# sourceMappingURL=ExpandableRail.js.map
