"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var RoundToggleButton_exports = {};
__export(RoundToggleButton_exports, {
  RoundToggleButton: () => RoundToggleButton
});
module.exports = __toCommonJS(RoundToggleButton_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_icons_material = require("@mui/icons-material");
var import_material = require("@mui/material");
var import_classes = require("../../../classes.js");
var import_useToolbar = require("../../../hooks/useToolbar.js");
var import_useToolbarRailExpandable = require("../../../hooks/useToolbarRailExpandable.js");
function RoundToggleButton(props) {
  const { color, backgroundColor, collapsedText = "Collapse", expandedText = "Expand", placement } = props;
  const { setViews } = (0, import_useToolbar.useToolbar)();
  const { mode, setMode } = (0, import_useToolbarRailExpandable.useToolbarRailExpandable)();
  const onClick = () => {
    setViews();
    setMode((prev) => prev === "expanded" ? "collapsed" : "expanded");
  };
  const tooltip = mode === "expanded" ? collapsedText : expandedText;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(RoundToggleButtonPlacer, { color, className: import_classes.cssClasses.roundToggleButton, placement, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Tooltip, { placement: "right", title: tooltip, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    import_material.IconButton,
    {
      size: "small",
      onClick,
      color: "inherit",
      sx: (theme) => ({
        backgroundColor,
        boxShadow: theme.shadows[5],
        border: `1px solid ${theme.palette.common.white}`,
        "&:hover": {
          backgroundColor
        }
      }),
      children: placement === "left" ? mode === "expanded" ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.ChevronLeft, {}) : /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.ChevronRight, {}) : mode === "expanded" ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.ChevronRight, {}) : /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.ChevronLeft, {})
    }
  ) }) });
}
const RoundToggleButtonPlacer = (0, import_material.styled)(import_material.Box)(({ theme, placement }) => {
  return {
    position: "absolute",
    top: theme.spacing(1),
    zIndex: theme.zIndex.tooltip,
    opacity: 1,
    ...placement === "left" && {
      right: 0,
      translate: "50% 0"
    },
    ...placement === "right" && {
      left: 0,
      translate: "-50% 0"
    }
  };
});
//# sourceMappingURL=RoundToggleButton.js.map
