"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ExpandableRailListItem_exports = {};
__export(ExpandableRailListItem_exports, {
  ExpandableRailListItem: () => ExpandableRailListItem
});
module.exports = __toCommonJS(ExpandableRailListItem_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_icons_material = require("@mui/icons-material");
var import_material = require("@mui/material");
var import_react = require("react");
var import_useWarnOnce = require("../../useWarnOnce.js");
var import_useToolbar = require("../hooks/useToolbar.js");
var import_useToolbarRailExpandable = require("../hooks/useToolbarRailExpandable.js");
function ExpandableRailListItem(props) {
  const {
    avatar,
    icon,
    primary,
    rightAdornment = /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons_material.ChevronRight, {}),
    onClick,
    listItemProps,
    listItemButtonProps,
    anchorId
  } = props;
  const { mode, placement } = (0, import_useToolbarRailExpandable.useToolbarRailExpandable)();
  const { registerAnchor } = (0, import_useToolbar.useToolbar)();
  const listItemRef = (0, import_react.useRef)(null);
  const warnOnce = (0, import_useWarnOnce.useWarnOnce)();
  (0, import_react.useEffect)(() => {
    if (!!avatar && !!icon) {
      warnOnce(
        `[ToolbarRailExpandableItem] You cannot defined both "avatar" and "icon". The "avatar" will take precedence.`
      );
    }
  }, [warnOnce, avatar, icon]);
  const defaultAvatarText = primary ? primary.toString().substring(0, 2) : "";
  const leftAdornment = avatar ? (
    // Avatar
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.ListItemAvatar, { children: avatar })
  ) : icon ? (
    // Icon
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.ListItemIcon, { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(IconContainer, { children: icon }) })
  ) : (
    // Default Avatar
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.ListItemAvatar, { children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Avatar, { children: defaultAvatarText }) })
  );
  const theme = (0, import_material.useTheme)();
  const listItemTextSx = typeof listItemProps?.sx === "function" ? listItemProps.sx(theme) : listItemProps?.sx;
  const tooltip = mode === "collapsed" ? primary : "";
  const listItemButtonSx = typeof listItemButtonProps?.sx === "function" ? listItemButtonProps.sx(theme) : listItemButtonProps?.sx;
  if (anchorId) {
    registerAnchor(anchorId, listItemRef.current);
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(import_material.ListItemButton, { onClick, sx: { ...listItemButtonSx, flex: 0 }, ...listItemButtonProps, ref: listItemRef, children: [
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Tooltip, { title: tooltip, placement: "right", arrow: true, children: leftAdornment }),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_material.ListItemText,
      {
        primary,
        ...listItemProps,
        sx: {
          ...listItemTextSx,
          flexShrink: 1,
          transition: mode === "collapsed" ? "opacity 0.1s ease, visibility 0.1s ease 0.1s" : "opacity 0.1s ease, visibility 0s",
          opacity: mode === "expanded" ? 1 : 0.3,
          visibility: mode === "expanded" ? "visible" : "hidden"
        },
        primaryTypographyProps: { noWrap: true, ...listItemProps?.primaryTypographyProps },
        secondaryTypographyProps: { noWrap: true, ...listItemProps?.secondaryTypographyProps }
      }
    ),
    /* @__PURE__ */ (0, import_jsx_runtime.jsx)(RightAdornmentContainer, { children: rightAdornment })
  ] });
}
const IconContainer = (0, import_material.styled)(import_material.Box)(() => ({
  width: 40,
  height: 40,
  display: "flex",
  alignItems: "center",
  justifyContent: "center"
}));
const RightAdornmentContainer = (0, import_material.styled)(import_material.Box)(() => ({
  flexShrink: 0,
  flexGrow: 0,
  display: "inline-flex"
}));
//# sourceMappingURL=ExpandableRailListItem.js.map
