"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ExpandableRailListItemToggle_exports = {};
__export(ExpandableRailListItemToggle_exports, {
  ExpandableRailListItemToggle: () => ExpandableRailListItemToggle
});
module.exports = __toCommonJS(ExpandableRailListItemToggle_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_icons = require("@workwave-tidal/core/icons");
var import_useToolbar = require("../hooks/useToolbar.js");
var import_useToolbarRailExpandable = require("../hooks/useToolbarRailExpandable.js");
var import_ExpandableRailListItem = require("./ExpandableRailListItem.js");
function ExpandableRailListItemToggle(props) {
  const { iconWidth = 40, collapsedText = "Collapse", expandedText = "Expand", listItemProps } = props;
  const { setViews } = (0, import_useToolbar.useToolbar)();
  const { placement } = (0, import_useToolbarRailExpandable.useToolbarRailExpandable)();
  const theme = (0, import_material.useTheme)();
  const { mode, setMode } = (0, import_useToolbarRailExpandable.useToolbarRailExpandable)();
  const iconSx = {
    width: iconWidth,
    paddingLeft: 1,
    height: iconWidth,
    color: theme.vars.palette.common.white,
    translate: "-3px 0"
  };
  const text = mode === "expanded" ? collapsedText : expandedText;
  const leftPlacementIcon = mode === "expanded" ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons.KeyboardDoubleArrowLeft, { sx: iconSx }) : /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons.KeyboardDoubleArrowRight, { sx: iconSx });
  const rightPlacementIcon = mode === "expanded" ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons.KeyboardDoubleArrowRight, { sx: iconSx }) : /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_icons.KeyboardDoubleArrowLeft, { sx: iconSx });
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    import_ExpandableRailListItem.ExpandableRailListItem,
    {
      onClick: () => {
        setViews();
        setMode((prev) => prev === "expanded" ? "collapsed" : "expanded");
      },
      primary: text,
      icon: placement === "left" ? leftPlacementIcon : rightPlacementIcon,
      rightAdornment: null,
      listItemProps
    },
    "toggle-expanded"
  );
}
//# sourceMappingURL=ExpandableRailListItemToggle.js.map
