"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ToolbarButton_exports = {};
__export(ToolbarButton_exports, {
  ToolbarButton: () => ToolbarButton
});
module.exports = __toCommonJS(ToolbarButton_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_react = require("react");
var import_useToolbar = require("../../hooks/useToolbar.js");
var import_useToolbarRail = require("../ToolbarRail/hooks/useToolbarRail.js");
var import_classes = require("./classes.js");
var import_Badge = require("./components/Badge.js");
var import_Icon = require("./components/Icon.js");
var import_Label = require("./components/Label.js");
var import_Root = require("./components/Root.js");
var import_useToolbarButton = require("./hooks/useToolbarButton.js");
function ToolbarButton(props) {
  const {
    className = "",
    hoverBulge = true,
    indicator,
    label,
    testId = `${import_classes.toolbarButtonName}-root`,
    tooltip = label,
    tooltipPlacement = "right",
    value,
    anchorId,
    showLabel: forceShowLabel,
    selectedIcon,
    ...rest
  } = props;
  const rootRef = (0, import_react.useRef)(null);
  const { icon, onClick, selected } = (0, import_useToolbarButton.useToolbarButton)(props);
  const { registerAnchor } = (0, import_useToolbar.useToolbar)();
  const { showLabels } = (0, import_useToolbarRail.useToolbarRail)();
  const showLabel = typeof forceShowLabel === "boolean" ? forceShowLabel : showLabels;
  if (anchorId) {
    registerAnchor(anchorId, rootRef.current);
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Tooltip, { title: tooltip, placement: tooltipPlacement, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("span", { children: /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
    import_Root.Root,
    {
      ref: rootRef,
      "data-testid": testId,
      "data-tidal": import_classes.toolbarButtonName,
      onClick,
      "aria-pressed": selected,
      hoverBulge,
      selected,
      showLabels: showLabel,
      ...rest,
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_Icon.Icon, { className: import_classes.toolbarButtonClasses.icon, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
          import_Badge.Badge,
          {
            className: import_classes.toolbarButtonClasses.badge,
            anchorOrigin: badgeAnchorOrigin,
            color: "error",
            invisible: !indicator,
            overlap: "rectangular",
            variant: "dot",
            children: selected ? selectedIcon : icon
          }
        ) }),
        showLabel && /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_Label.Label, { className: import_classes.toolbarButtonClasses.label, children: label })
      ]
    }
  ) }) });
}
const badgeAnchorOrigin = {
  horizontal: "right",
  vertical: "top"
};
//# sourceMappingURL=ToolbarButton.js.map
