"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Root_exports = {};
__export(Root_exports, {
  Root: () => Root
});
module.exports = __toCommonJS(Root_exports);
var import_material = require("@mui/material");
var import_classes = require("../classes.js");
const excludedProps = ["hoverBulge", "showLabels", "selected"];
const Root = (0, import_material.styled)(import_material.ButtonBase, {
  name: import_classes.toolbarButtonName,
  overridesResolver: (_props, styles) => [styles.root],
  shouldForwardProp: (prop) => !excludedProps.includes(prop),
  slot: "Root"
})(({ theme, hoverBulge, showLabels, selected }) => ({
  display: "flex",
  alignItems: "center",
  alignSelf: "center",
  color: theme.vars.palette.common.white,
  cursor: "pointer",
  flexDirection: "column",
  fontSize: theme.typography.caption.fontSize,
  gap: theme.spacing(0.75),
  height: theme.spacing(7),
  margin: `0 ${theme.spacing(1)}`,
  userSelect: "none",
  width: theme.spacing(7),
  "&:focus-within": {
    outline: "none"
  },
  "&:disabled": {
    color: (0, import_material.alpha)(theme.palette.common.white, theme.palette.action.disabledOpacity),
    cursor: "default",
    pointerEvents: "none"
  },
  [`& .${import_classes.toolbarButtonClasses.icon}`]: {
    color: "inherit"
  },
  ...selected && {
    [`& .${import_classes.toolbarButtonClasses.icon}`]: {
      backgroundColor: theme.vars.palette.primary.dark
    }
  },
  [`&:focus-within .${import_classes.toolbarButtonClasses.icon}`]: {
    backgroundColor: (0, import_material.alpha)(theme.palette.tidalColors.oceanBlue[500], 0.3)
  },
  [`&:hover .${import_classes.toolbarButtonClasses.icon}`]: {
    backgroundColor: (0, import_material.alpha)(theme.palette.tidalColors.oceanBlue[500], 0.5)
  },
  ...showLabels && {
    [`& .${import_classes.toolbarButtonClasses.icon}`]: {
      borderRadius: "100px",
      height: theme.spacing(4)
    }
  },
  ...hoverBulge && {
    [`& .${import_material.svgIconClasses.root}`]: {
      transition: "transform 0.2s cubic-bezier(0.17, 0.67, 0.55, 1.09)"
    },
    [`&:hover .${import_material.svgIconClasses.root}`]: {
      transform: "scale(1.15)"
    }
  }
}));
//# sourceMappingURL=Root.js.map
