"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ToolbarContextProvider_exports = {};
__export(ToolbarContextProvider_exports, {
  ToolbarContextProvider: () => ToolbarContextProvider
});
module.exports = __toCommonJS(ToolbarContextProvider_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = require("react");
var import_context = require("./context.js");
function ToolbarContextProvider(props) {
  const { getAnchor, registerAnchor } = useAnchors();
  const { isActive, setViews, toggleView, views } = useViewsApi(props);
  const contextValue = (0, import_react.useMemo)(() => {
    return {
      getAnchor,
      registerAnchor,
      isActive,
      setViews,
      toggleView,
      views
    };
  }, [getAnchor, registerAnchor, isActive, setViews, toggleView, views]);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_context.toolbarContext.Provider, { value: contextValue, children: props.children });
}
function useViewsApi(props) {
  const { onChangeViews, views, matchView = defaultMatchView } = props;
  const toggleView = (0, import_react.useCallback)(
    (view) => {
      const viewsSet = new Set(views);
      viewsSet.has(view) ? viewsSet.delete(view) : viewsSet.add(view);
      onChangeViews(Array.from(viewsSet));
    },
    [onChangeViews, views]
  );
  const setViews = (0, import_react.useCallback)(
    (...views2) => {
      onChangeViews(views2);
    },
    [onChangeViews]
  );
  const isActive = (0, import_react.useCallback)(
    (view) => {
      return matchView(views, view);
    },
    [matchView, views]
  );
  return {
    views,
    toggleView,
    setViews,
    isActive
  };
}
function useAnchors() {
  const anchors = (0, import_react.useRef)({});
  const registerAnchor = (0, import_react.useCallback)((id, anchor) => {
    anchors.current[id] = anchor;
  }, []);
  const getAnchor = (0, import_react.useCallback)((id) => {
    if (Object.keys(anchors.current ?? {}).length === 0) return null;
    if (anchors.current[id]) {
      return anchors.current[id];
    }
    return null;
  }, []);
  (0, import_react.useEffect)(() => {
    return () => {
      anchors.current = {};
    };
  }, []);
  return {
    registerAnchor,
    getAnchor
  };
}
function defaultMatchView(currentViews, viewToMatch) {
  return currentViews.indexOf(viewToMatch) !== -1;
}
//# sourceMappingURL=ToolbarContextProvider.js.map
