"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ToolbarRail_exports = {};
__export(ToolbarRail_exports, {
  ToolbarRail: () => ToolbarRail
});
module.exports = __toCommonJS(ToolbarRail_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_react = require("react");
var import_tinycolor2 = __toESM(require("tinycolor2"), 1);
var import_classes = require("../../classes.js");
var import_constants = require("../../constants.js");
var import_useToolbar = require("../../hooks/useToolbar.js");
var import_ToolbarRailContext = require("./context/ToolbarRailContext.js");
function ToolbarRail(props) {
  const { anchorId = import_constants.DEFAULT_RAIL_VIEW_ID, disableAutoRegisterAnchor, showLabels, ...stackProps } = props;
  const { registerAnchor } = (0, import_useToolbar.useToolbar)();
  const railRef = (0, import_react.useRef)(null);
  if (!disableAutoRegisterAnchor) {
    registerAnchor(anchorId, railRef.current);
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ToolbarRailContext.ToolbarRailContext, { showLabels, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(ToolbarRailComponent, { ...stackProps, ref: railRef }) });
}
const ToolbarRailComponent = (0, import_material.styled)(import_material.Stack, {
  name: import_classes.toolbarName,
  slot: "Rail",
  shouldForwardProp: (prop) => prop !== "enableLastChildGroup" && prop !== "disableChildCustomization"
})(
  ({ theme, backgroundColor: bgColor, color: textColor, enableLastChildGroup, disableChildCustomization }) => {
    const backgroundColor = getColorIfValid(bgColor, theme.palette.workwaveBlue);
    const color = getColorIfValid(textColor, theme.palette.common.white);
    return {
      flexShrink: 0,
      paddingBottom: theme.spacing(3),
      paddingTop: theme.spacing(3),
      gap: theme.spacing(1),
      position: "relative",
      zIndex: theme.zIndex.drawer + 10,
      overflowY: "auto",
      overflowX: "hidden",
      backgroundColor,
      color,
      ...disableChildCustomization ? {} : {
        [`& .${import_material.svgIconClasses.root}`]: {
          color
        },
        [`& .${import_material.avatarClasses.root}`]: {
          backgroundColor: color,
          color: backgroundColor
        },
        [`& .${import_material.avatarClasses.root} .${import_material.svgIconClasses.root}`]: {
          color: backgroundColor
        },
        [`& .${import_material.listItemButtonClasses.root}.${import_material.listItemButtonClasses.selected}`]: {
          backgroundColor: (0, import_material.alpha)(color, theme.palette.action.selectedOpacity)
        },
        [`& .${import_material.listItemButtonClasses.root}:hover`]: {
          backgroundColor: (0, import_material.alpha)(color, theme.palette.action.hoverOpacity)
        },
        [`& .${import_material.listItemButtonClasses.root}:focus-within`]: {
          backgroundColor: (0, import_material.alpha)(color, theme.palette.action.focusOpacity)
        }
      },
      ...enableLastChildGroup && {
        "& > *:last-child": {
          marginTop: "auto"
        }
      }
    };
  }
);
function getColorIfValid(desired, fallback) {
  if (!desired) return fallback;
  const tColorInstance = (0, import_tinycolor2.default)(desired);
  if (!tColorInstance.isValid()) {
    console.warn(`Invalid color, ${desired}. Return fallback color ${fallback}`);
    return fallback;
  }
  return desired;
}
//# sourceMappingURL=ToolbarRail.js.map
