"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ToolbarView_exports = {};
__export(ToolbarView_exports, {
  ToolbarView: () => ToolbarView
});
module.exports = __toCommonJS(ToolbarView_exports);
var import_jsx_runtime = require("react/jsx-runtime");
var import_material = require("@mui/material");
var import_react = require("react");
var import_useToolbar = require("../hooks/useToolbar.js");
var import_ActiveViewProvider = require("./ActiveViewProvider.js");
const defaultTimeout = {
  enter: 320,
  exit: 120
};
function ToolbarView(props) {
  const { view, children, animate, collapseProps, testId = view, anchorId } = props;
  const { isActive, registerAnchor } = (0, import_useToolbar.useToolbar)();
  const ref = (0, import_react.useRef)(null);
  if (anchorId) {
    registerAnchor(anchorId, ref.current);
  }
  const showView = isActive(view);
  if (!animate) {
    return showView ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ActiveViewProvider.ActiveViewProvider, { view, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_material.Box, { ref, "data-toolbar-view": view, children }) }) : null;
  }
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ActiveViewProvider.ActiveViewProvider, { view, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    import_material.Collapse,
    {
      "data-view": view,
      "data-testid": testId,
      sx: { flexShrink: 0, ...collapseProps?.sx },
      orientation: "horizontal",
      timeout: defaultTimeout,
      ...collapseProps,
      mountOnEnter: true,
      unmountOnExit: true,
      in: showView,
      children
    }
  ) });
}
//# sourceMappingURL=ToolbarView.js.map
