import { jsx, jsxs } from "react/jsx-runtime";
import { ConversationApiProvider } from "./components/ConversationApiProvider.js";
import { ConversationEditorProvider } from "./components/ConversationEditorProvider.js";
import { ConversationOptionsProvider } from "./components/ConversationOptionsProvider.js";
import { ConversationOverlay } from "./components/ConversationOverlay.js";
import { ConversationTextsProvider } from "./components/LocaleProvider.js";
import { Root } from "./components/Root.js";
import { ScrollApiProvider } from "./components/ScrollApiProvider.js";
import { WormholeIdProvider } from "./components/WormholeIdProvider.js";
function Conversation(props) {
  const {
    children,
    localeText,
    slotProps: { root } = {},
    api
  } = props;
  return /* @__PURE__ */ jsx(ConversationTextsProvider, { localeText, children: /* @__PURE__ */ jsx(ScrollApiProvider, { children: /* @__PURE__ */ jsx(ConversationApiProvider, { api, children: /* @__PURE__ */ jsx(ConversationOptionsProvider, { ...props, children: /* @__PURE__ */ jsx(ConversationEditorProvider, { children: /* @__PURE__ */ jsx(WormholeIdProvider, { children: /* @__PURE__ */ jsxs(Root, { ...root, "data-tidal": "Conversation", children: [
    children,
    /* @__PURE__ */ jsx(ConversationOverlay, {})
  ] }) }) }) }) }) }) });
}
export {
  Conversation
};
//# sourceMappingURL=Conversation.js.map
