import { jsx } from "react/jsx-runtime";
import { useConstant } from "@workwave-tidal/core/hooks";
import { createContext, useContext, useReducer } from "react";
const defaultConversationEditorContext = {};
const conversationEditorContext = createContext(defaultConversationEditorContext);
const ConversationEditorApiContext = createContext({
  registerEditor() {
  }
});
function conversationEditorReducer(state, action) {
  switch (action.type) {
    case "SET_EDITOR":
      if (state.editor === action.editor) return state;
      return { ...state, editor: action.editor };
    default:
      return state;
  }
}
function ConversationEditorProvider(props) {
  const { children } = props;
  const [ctx, dispatch] = useReducer(conversationEditorReducer, defaultConversationEditorContext);
  const ctxApi = useConstant(() => {
    return {
      registerEditor: (editor) => {
        dispatch({ type: "SET_EDITOR", editor });
      }
    };
  });
  return /* @__PURE__ */ jsx(ConversationEditorApiContext.Provider, { value: ctxApi, children: /* @__PURE__ */ jsx(conversationEditorContext.Provider, { value: ctx, children }) });
}
function useConversationEditorConfigureApi() {
  return useContext(ConversationEditorApiContext);
}
function useConversationEditor() {
  return useContext(conversationEditorContext).editor;
}
export {
  ConversationEditorApiContext,
  ConversationEditorProvider,
  conversationEditorContext,
  useConversationEditor,
  useConversationEditorConfigureApi
};
//# sourceMappingURL=ConversationEditorProvider.js.map
