import { jsx } from "react/jsx-runtime";
import { createContext, useContext, useMemo } from "react";
const defaultOptions = {
  scrollToEndAfterMessageSend: false,
  scrollThresholdBeforeShowScrollToBottom: 70,
  preventScrollToBottomOnMount: false,
  disableAutoReadFlow: false,
  hideScrollToBottomFab: false
};
const optionsContext = createContext(defaultOptions);
function ConversationOptionsProvider(props) {
  const {
    children,
    preventScrollToBottomOnMount = defaultOptions.preventScrollToBottomOnMount,
    scrollThresholdBeforeShowScrollToBottom = defaultOptions.scrollThresholdBeforeShowScrollToBottom,
    scrollToEndAfterMessageSend = defaultOptions.scrollToEndAfterMessageSend,
    disableAutoReadFlow = defaultOptions.disableAutoReadFlow,
    hideScrollToBottomFab = defaultOptions.hideScrollToBottomFab
  } = props;
  const contextValue = useMemo(
    () => ({
      preventScrollToBottomOnMount,
      scrollThresholdBeforeShowScrollToBottom,
      scrollToEndAfterMessageSend,
      disableAutoReadFlow,
      hideScrollToBottomFab
    }),
    [
      preventScrollToBottomOnMount,
      scrollThresholdBeforeShowScrollToBottom,
      scrollToEndAfterMessageSend,
      disableAutoReadFlow,
      hideScrollToBottomFab
    ]
  );
  return /* @__PURE__ */ jsx(optionsContext.Provider, { value: contextValue, children });
}
function useConversationOptions() {
  return useContext(optionsContext);
}
export {
  ConversationOptionsProvider,
  optionsContext,
  useConversationOptions
};
//# sourceMappingURL=ConversationOptionsProvider.js.map
