import { useEffect, useState } from "react";
function useReferenceSize($reference) {
  const [size, setSize] = useState(() => {
    const { width, height } = $reference.getBoundingClientRect();
    return { width, height };
  });
  useEffect(() => {
    if (!$reference) return;
    const resizeObserver = new ResizeObserver((entries) => {
      for (const entry of entries) {
        if (entry.target === $reference) {
          const { width, height } = entry.contentRect;
          setSize({ width, height });
        }
      }
    });
    resizeObserver.observe($reference);
    return () => {
      resizeObserver.disconnect();
    };
  }, [$reference]);
  return size;
}
export {
  useReferenceSize
};
//# sourceMappingURL=useReferenceSize.js.map
