import { jsx } from "react/jsx-runtime";
import { useConversationTexts } from "../LocaleProvider.js";
import { EditorFooter } from "./components/EditorFooter/EditorFooter.js";
import { TidalEditor } from "./components/TidalEditor.js";
function ConversationEditor(props) {
  const { onSend, children, hideSuggestions, ...editorProps } = props;
  const texts = useConversationTexts();
  return /* @__PURE__ */ jsx(
    TidalEditor,
    {
      height: "5rem",
      variant: "plain",
      placeholderText: texts.editorPlaceholderText,
      ...editorProps,
      sx: {
        margin: 0,
        borderRadius: 1,
        ...editorProps?.sx
      },
      componentsProps: {
        footer: {
          sx: { gap: 0.5 },
          ...editorProps?.componentsProps?.footer
        }
      },
      children: /* @__PURE__ */ jsx(EditorFooter, { onSend, hideSuggestions, children })
    }
  );
}
export {
  ConversationEditor
};
//# sourceMappingURL=ConversationEditor.js.map
