import { jsx } from "react/jsx-runtime";
import { useLexicalComposerContext } from "@lexical/react/LexicalComposerContext";
import { $createParagraphNode, $createTextNode, $getRoot } from "lexical";
import { useEffect } from "react";
import { SpeechToText } from "../../../../SpeechToText/SpeechToText.js";
import { useComposeMessage } from "../hooks/useComposeMessage.js";
function SpeechToTextComponent(props) {
  const { api, ...speechProps } = props;
  const [editor] = useLexicalComposerContext();
  const { addMessage, message, clearMessage } = useComposeMessage();
  useEffect(() => {
    if (!message) return;
    editor.update(() => {
      const paragraph = $createParagraphNode();
      paragraph.append($createTextNode(message));
      const root = $getRoot();
      root.clear();
      root.append(paragraph);
    });
  }, [message, editor]);
  function handleStartSpeech() {
    editor.focus();
  }
  return /* @__PURE__ */ jsx(SpeechToText, { ...speechProps, onChange: addMessage, api, onEnd: clearMessage, onStart: handleStartSpeech });
}
export {
  SpeechToTextComponent
};
//# sourceMappingURL=SpeechToTextComponent.js.map
