import { useCallback, useState } from "react";
function useComposeMessage() {
  const [messages, setMessages] = useState([]);
  const addMessage = useCallback((textUntrimmed, _type) => {
    setMessages((prevMessages) => {
      if (!textUntrimmed) return prevMessages;
      const text = textUntrimmed.trim();
      if (prevMessages.length === 0) return [text];
      const lastMessage = prevMessages[prevMessages.length - 1];
      if (lastMessage.trim() === text) return prevMessages;
      if (text.startsWith(lastMessage)) {
        return [...prevMessages.slice(0, -1), text];
      }
      return [...prevMessages, text];
    });
  }, []);
  const clearMessage = useCallback(() => {
    setMessages([]);
  }, []);
  return {
    addMessage,
    clearMessage,
    message: messages.join(" ")
  };
}
export {
  useComposeMessage
};
//# sourceMappingURL=useComposeMessage.js.map
