import { jsx, jsxs } from "react/jsx-runtime";
import { Stack, Typography } from "@mui/material";
import { FaqQuestion } from "@workwave-tidal/core/illustrations/FaqQuestion";
import { useWaitingForResponse } from "../ConversationApiProvider.js";
import { InteractionLoading } from "../Interactions/components/Interaction/components/InteractionLoading.js";
import { useConversationTexts } from "../LocaleProvider.js";
import { ConversationSuggestion } from "../Suggestions/ConversationSuggestion.js";
function ConversationEmpty(props) {
  const { suggestions = [] } = props;
  const { conversationEmpty } = useConversationTexts();
  const waitingForResponse = useWaitingForResponse();
  return /* @__PURE__ */ jsx(Stack, { alignItems: "center", justifyContent: "center", flex: 1, position: "relative", children: /* @__PURE__ */ jsxs(Stack, { direction: "column", alignItems: "center", justifyContent: "center", spacing: 1, useFlexGap: true, children: [
    /* @__PURE__ */ jsx(FaqQuestion, { sx: { fontSize: 80 } }),
    waitingForResponse ? /* @__PURE__ */ jsx(InteractionLoading, {}) : /* @__PURE__ */ jsx(Typography, { children: conversationEmpty.title }),
    /* @__PURE__ */ jsx(
      Stack,
      {
        useFlexGap: true,
        sx: ({ spacing, vars: { palette } }) => ({
          flexDirection: "row",
          padding: `${spacing(1)} ${spacing(3)}`,
          alignItems: "flex-start",
          justifyContent: "center",
          flexWrap: "wrap",
          gap: spacing(1),
          maxWidth: 500,
          minWidth: 300,
          minHeight: 50,
          maxHeight: 500
        }),
        children: suggestions.map(({ suggestion, label }) => /* @__PURE__ */ jsx(ConversationSuggestion, { label: label ?? suggestion, suggestion }, suggestion))
      }
    )
  ] }) });
}
export {
  ConversationEmpty
};
//# sourceMappingURL=ConversationEmpty.js.map
