import { jsx, jsxs } from "react/jsx-runtime";
import { Box, CircularProgress, circularProgressClasses } from "@mui/material";
import { forwardRef } from "react";
import { Fab } from "./components/Fab.js";
import { usePressAndDrag } from "./hooks/usePressAndDrag.js";
const ConversationFab = forwardRef(function ConversationFab2(props, outerRef) {
  const {
    onMouseDown,
    onMouseUp,
    onMouseLeave,
    progress,
    disableBounceAnimation,
    progressZoomScale,
    circularProgressSize,
    sx
  } = usePressAndDrag(props);
  return /* @__PURE__ */ jsxs(
    Box,
    {
      ref: outerRef,
      "data-id": "fab",
      onMouseDown,
      onMouseUp,
      onMouseLeave,
      sx,
      children: [
        /* @__PURE__ */ jsx(Fab, { ...props, bounce: disableBounceAnimation ? false : props.bounce }),
        /* @__PURE__ */ jsx(
          CircularProgress,
          {
            size: circularProgressSize,
            value: progress,
            variant: "determinate",
            sx: {
              scale: progressZoomScale,
              [`& .${circularProgressClasses.circle}`]: {
                transition: "none"
              }
            }
          }
        )
      ]
    }
  );
});
export {
  ConversationFab
};
//# sourceMappingURL=ConversationFab.js.map
