import { jsx, jsxs } from "react/jsx-runtime";
import { ClickAwayListener, Typography } from "@mui/material";
import { useConversationApi } from "../ConversationApiProvider.js";
import { Footer } from "./components/Footer.js";
import { FormProvider } from "./components/FormProvider.js";
import { FeedbackTextsProvider } from "./components/LocaleProvider.js";
import { Notes } from "./components/Notes.js";
import { Root } from "./components/Root.js";
import { Suggestions } from "./components/Suggestions.js";
function Feedback(props) {
  const { suggestions, localeText } = props;
  return /* @__PURE__ */ jsx(FeedbackTextsProvider, { localeText, children: /* @__PURE__ */ jsx(FormProvider, { suggestions, children: /* @__PURE__ */ jsx(FeedbackContent, { ...props }) }) });
}
function FeedbackContent(props) {
  const { title, suggestions } = props;
  const api = useConversationApi();
  return /* @__PURE__ */ jsx(ClickAwayListener, { onClickAway: () => api.setOverlay(null), children: /* @__PURE__ */ jsxs(Root, { children: [
    /* @__PURE__ */ jsx(Typography, { variant: "h6", children: title }),
    /* @__PURE__ */ jsx(Suggestions, { suggestions }),
    /* @__PURE__ */ jsx(Notes, {}),
    /* @__PURE__ */ jsx(Footer, { ...props })
  ] }) });
}
export {
  Feedback
};
//# sourceMappingURL=Feedback.js.map
