import { jsx, jsxs } from "react/jsx-runtime";
import { Button, CircularProgress, Stack, styled } from "@mui/material";
import { useActions } from "../hooks/useActions.js";
import { useLocale } from "./LocaleProvider.js";
function Footer(props) {
  const { handleCancel, handleSubmit, loading } = useActions(props);
  const {
    footer: { submit, cancel }
  } = useLocale();
  return /* @__PURE__ */ jsxs(Root, { children: [
    /* @__PURE__ */ jsx(Button, { onClick: handleCancel, children: cancel }),
    /* @__PURE__ */ jsx(
      Button,
      {
        onClick: handleSubmit,
        disabled: loading,
        variant: "contained",
        endIcon: loading ? /* @__PURE__ */ jsx(CircularProgress, { color: "inherit", size: 12 }) : null,
        children: submit
      }
    )
  ] });
}
const Root = styled((props) => /* @__PURE__ */ jsx(Stack, { ...props, component: "footer" }), {
  slot: "Footer"
})(({ theme }) => ({
  flexDirection: "row",
  alignItems: "center",
  justifyContent: "flex-end",
  gap: theme.spacing(1)
}));
export {
  Footer
};
//# sourceMappingURL=Footer.js.map
