import { jsx } from "react/jsx-runtime";
import { createContext, useContext, useMemo } from "react";
const defaultLocaleText = {
  fields: {
    note: {
      label: "Additional details (optional)"
    }
  },
  footer: {
    submit: "Submit",
    cancel: "Cancel"
  }
};
const localeContext = createContext(defaultLocaleText);
function FeedbackTextsProvider(props) {
  const { children, localeText } = props;
  const contextValue = useMemo(
    () => ({
      ...defaultLocaleText,
      ...localeText
    }),
    [localeText]
  );
  return /* @__PURE__ */ jsx(localeContext.Provider, { value: contextValue, children });
}
function useLocale() {
  return useContext(localeContext);
}
export {
  FeedbackTextsProvider,
  defaultLocaleText,
  localeContext,
  useLocale
};
//# sourceMappingURL=LocaleProvider.js.map
