import { jsx } from "react/jsx-runtime";
import { TextField } from "@workwave-tidal/core/components";
import { useFormApi, useFormState } from "./FormProvider.js";
import { useLocale } from "./LocaleProvider.js";
function Notes() {
  const state = useFormState();
  const { setNotes } = useFormApi();
  const {
    fields: {
      note: { label }
    }
  } = useLocale();
  return /* @__PURE__ */ jsx(
    TextField,
    {
      multiline: true,
      minRows: 2,
      maxRows: 5,
      sx: { mt: 1 },
      label,
      value: state.notes,
      onChange: (e) => setNotes(e.target.value)
    }
  );
}
export {
  Notes
};
//# sourceMappingURL=Notes.js.map
