import { jsx } from "react/jsx-runtime";
import { Stack, chipClasses } from "@mui/material";
import { Chip } from "@workwave-tidal/core/components";
import { Check } from "@workwave-tidal/core/icons";
import { useFormApi, useFormState } from "./FormProvider.js";
function Suggestions(props) {
  const { suggestions } = props;
  const state = useFormState();
  const { setSuggestion } = useFormApi();
  return /* @__PURE__ */ jsx(Stack, { direction: "row", gap: 1, flexWrap: "wrap", children: suggestions.map((suggestion) => {
    const { id, color: checkedColor = "primary", ...rest } = suggestion;
    const checked = state.suggestions[id];
    return /* @__PURE__ */ jsx(
      Chip,
      {
        variant: "filledOutline",
        size: "small",
        icon: checked ? /* @__PURE__ */ jsx(Check, {}) : void 0,
        color: checked ? checkedColor : "default",
        onClick: () => setSuggestion(id, !checked),
        sx: {
          "&:hover": {
            // ATTENTION: This won't work with dark theme
            ...checked ? { color: (t) => t.vars.palette.common.white } : {}
          },
          [`&:hover .${chipClasses.icon}`]: {
            // ATTENTION: This won't work with dark theme
            ...checked ? { color: (t) => t.vars.palette.common.white } : {}
          }
        },
        ...rest
      },
      suggestion.id
    );
  }) });
}
export {
  Suggestions
};
//# sourceMappingURL=Suggestions.js.map
