import { useState } from "react";
import { useConversationApi } from "../../ConversationApiProvider.js";
import { useFormState } from "../components/FormProvider.js";
function useActions(props) {
  const { onSubmit, onCancel } = props;
  const [loading, setLoading] = useState(() => false);
  const state = useFormState();
  const conversationApi = useConversationApi();
  const handleSubmit = async () => {
    setLoading(true);
    try {
      await onSubmit(state);
    } finally {
      setLoading(false);
      conversationApi.setOverlay(null);
    }
  };
  const handleCancel = () => {
    onCancel();
    conversationApi.setOverlay(null);
  };
  return { handleSubmit, loading, handleCancel };
}
export {
  useActions
};
//# sourceMappingURL=useActions.js.map
