import { Fragment, jsx, jsxs } from "react/jsx-runtime";
import { Popper } from "@mui/material";
import { ConversationPanel } from "../ConversationPanel/ConversationPanel.js";
import { ConversationFab } from "../Fab/ConversationFab.js";
import { FloatingConversationApiProvider } from "./components/FloatingConversationApiProvider.js";
import { useFloatingConversation } from "./hooks/useFloatingConversation.js";
function FloatingConversation(props) {
  return /* @__PURE__ */ jsx(FloatingConversationApiProvider, { children: /* @__PURE__ */ jsx(_FloatingConversation, { ...props }) });
}
function _FloatingConversation(props) {
  const { children } = props;
  const { setFabRef, fabProps, popperProps, conversationPanelProps } = useFloatingConversation(props);
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsx(ConversationFab, { ...fabProps, ref: setFabRef }),
    /* @__PURE__ */ jsx(Popper, { ...popperProps, children: /* @__PURE__ */ jsx(ConversationPanel, { ...conversationPanelProps, children }) })
  ] });
}
export {
  FloatingConversation
};
//# sourceMappingURL=FloatingConversation.js.map
