import { jsx } from "react/jsx-runtime";
import { createContext, useContext, useState } from "react";
const initialState = {
  chatOpen: false,
  fullscreen: false
};
const floatingConversationApiState = createContext(initialState);
const floatingConversationApi = createContext({
  setChatOpen: () => {
  },
  setFullScreen: () => {
  }
});
function useCreateContext() {
  const [chatOpen, setChatOpen] = useState(false);
  const [fullscreen, setFullScreen] = useState(false);
  const state = { chatOpen, fullscreen };
  const api = { setChatOpen, setFullScreen };
  return { api, state };
}
function FloatingConversationApiProvider(props) {
  const { children } = props;
  const { api, state } = useCreateContext();
  return /* @__PURE__ */ jsx(floatingConversationApi.Provider, { value: api, children: /* @__PURE__ */ jsx(floatingConversationApiState.Provider, { value: state, children }) });
}
function useFloatingConversationApi() {
  return useContext(floatingConversationApi);
}
function useChatOpen() {
  return useContext(floatingConversationApiState).chatOpen;
}
function useFullscreen() {
  return useContext(floatingConversationApiState).fullscreen;
}
export {
  FloatingConversationApiProvider,
  useChatOpen,
  useFloatingConversationApi,
  useFullscreen
};
//# sourceMappingURL=FloatingConversationApiProvider.js.map
