import { jsx, jsxs } from "react/jsx-runtime";
import { ActionBar } from "@workwave-tidal/core/components/ActionBar";
import { WormholeChildren, useWormhole } from "@workwave-tidal/core/hooks/useWormhole";
import { useConversationTexts } from "../LocaleProvider.js";
import { useWormholeId } from "../WormholeIdProvider.js";
import { ConversationHeaderRoot } from "./components/ConversationHeaderRoot.js";
function ConversationHeader(props) {
  const {
    sx,
    testId,
    children,
    className,
    slotProps: { actionBar, root } = {}
  } = props;
  const texts = useConversationTexts();
  const { worms: content } = useWormhole(useWormholeId("headerContent"));
  const { worms: actions } = useWormhole(useWormholeId("headerActions"));
  return /* @__PURE__ */ jsxs(
    ConversationHeaderRoot,
    {
      "data-tidal": "ConversationHeader",
      "data-testid": testId,
      ...root,
      sx,
      className,
      children: [
        content,
        /* @__PURE__ */ jsx(ActionBar, { limit: 1, menuTooltip: texts.header.overflowMenuTooltip, ...actionBar, children: actions }),
        /* @__PURE__ */ jsx(WormholeChildren, { children })
      ]
    }
  );
}
export {
  ConversationHeader
};
//# sourceMappingURL=ConversationHeader.js.map
