import { jsx, jsxs } from "react/jsx-runtime";
import { Close, Fullscreen, Minimize } from "@mui/icons-material";
import { ActionBarItem } from "@workwave-tidal/core/components/ActionBar";
import { useConversationTexts } from "../LocaleProvider.js";
import { ConversationHeaderActions } from "./components/ConversationHeaderActions.js";
function ConversationHeaderDefaultActions(props) {
  const { clearInteractions, children, setChatOpen, fullScreen, setFullScreen } = props;
  const texts = useConversationTexts();
  function onMinimize() {
    setChatOpen?.(false);
  }
  function onToggleFullScreen() {
    setFullScreen?.((p) => !p);
  }
  return /* @__PURE__ */ jsxs(ConversationHeaderActions, { children: [
    setChatOpen ? /* @__PURE__ */ jsx(ActionBarItem, { icon: /* @__PURE__ */ jsx(Minimize, {}), label: "", onClick: onMinimize, tooltip: texts.header.minimizeToolTip }) : void 0,
    setFullScreen ? /* @__PURE__ */ jsx(
      ActionBarItem,
      {
        icon: /* @__PURE__ */ jsx(Fullscreen, {}),
        label: fullScreen ? texts.header.exitFullscreenToolTip : texts.header.enterFullscreenToolTip,
        onClick: onToggleFullScreen,
        mode: "menu"
      }
    ) : void 0,
    clearInteractions ? /* @__PURE__ */ jsx(ActionBarItem, { icon: /* @__PURE__ */ jsx(Close, {}), label: texts.header.clearChatToolTip, onClick: clearInteractions, mode: "menu" }) : void 0,
    children
  ] });
}
export {
  ConversationHeaderDefaultActions
};
//# sourceMappingURL=ConversationHeaderDefaultActions.js.map
