import { jsx } from "react/jsx-runtime";
import { Box, keyframes, styled } from "@mui/material";
function InteractionLoading(props) {
  return /* @__PURE__ */ jsx(DotFlashingContainer, { ...props, children: /* @__PURE__ */ jsx(DotFlashing, {}) });
}
const DotFlashingContainer = styled(Box, {
  slot: "DotFlashingContainer"
})(({ theme }) => ({
  display: "flex",
  justifyContent: "flex-start",
  alignItems: "center",
  position: "relative"
}));
const DotFlashing = styled("div")(
  ({
    theme: {
      vars: { palette }
    }
  }) => ({
    position: "relative",
    width: "8px",
    height: "8px",
    borderRadius: "5px",
    backgroundColor: palette.action.active,
    color: palette.action.active,
    animation: `${dotFlashingAnimation} 1s infinite linear alternate`,
    animationDelay: "0.5s",
    "&::before": {
      content: '" "',
      display: "inline-block",
      position: "absolute",
      top: 0,
      left: "-15px",
      width: "8px",
      height: "8px",
      borderRadius: "5px",
      backgroundColor: palette.action.active,
      color: palette.action.active,
      animation: `${dotFlashingAnimation} 1s infinite alternate`,
      animationDelay: "0s"
    },
    "&::after": {
      content: '" "',
      display: "inline-block",
      position: "absolute",
      top: 0,
      left: "15px",
      width: "8px",
      height: "8px",
      borderRadius: "5px",
      backgroundColor: palette.action.active,
      color: palette.action.active,
      animation: `${dotFlashingAnimation} 1s infinite alternate`,
      animationDelay: "1s"
    }
  })
);
const dotFlashingAnimation = keyframes`
  0% {
    background-color: rgba(9, 27, 42, 0.6);
  }
  50%, 100% {
    background-color: rgba(9, 27, 42, 0.2);
  }
`;
export {
  InteractionLoading
};
//# sourceMappingURL=InteractionLoading.js.map
