import { jsx, jsxs } from "react/jsx-runtime";
import {
  Badge as MuiBadge,
  Stack,
  badgeClasses,
  styled
} from "@mui/material";
import { MessageTypography } from "./MessageTypography.js";
function InteractionMark(props) {
  const { children, referenceId, highlightMarkOnBadgeHover, inlineBadge } = props;
  return /* @__PURE__ */ jsxs(Root, { highlightMarkOnBadgeHover, children: [
    /* @__PURE__ */ jsx(MessageTypography, { component: "span", ...props.slotProps?.typography, children: /* @__PURE__ */ jsx(Mark, { "data-reference": referenceId, children }) }),
    " ",
    /* @__PURE__ */ jsx(Badge, { badgeContent: referenceId, color: "infoMedium", ...props.slotProps?.badge, children: " " }),
    " ",
    !inlineBadge && /* @__PURE__ */ jsx("br", {})
  ] });
}
const Root = styled((props) => /* @__PURE__ */ jsx(Stack, { ...props, component: "span" }), {
  slot: "Root",
  shouldForwardProp: (prop) => prop !== "highlightMarkOnBadgeHover"
})(
  ({
    theme: {
      vars: { palette }
    },
    highlightMarkOnBadgeHover
  }) => ({
    display: "inline",
    ...highlightMarkOnBadgeHover && {
      [`&:has(.${badgeClasses.root}:hover) mark`]: {
        background: palette.tidalColors.sunnyYellow[500]
      }
    }
  })
);
const Badge = styled(MuiBadge, {
  slot: "Badge"
})(() => ({
  [`& .${badgeClasses.badge}`]: {
    position: "static",
    transform: "none"
  }
}));
const Mark = styled("mark", {
  slot: "Mark"
})(
  ({
    theme: {
      vars: { palette }
    }
  }) => ({
    background: "transparent",
    fontWeight: "inherit",
    color: "inherit",
    textWrap: "pretty",
    transition: "background 0.2s ease",
    "&.is-active": {
      background: palette.tidalColors.sunnyYellow[500]
    }
  })
);
export {
  InteractionMark
};
//# sourceMappingURL=InteractionMark.js.map
