import { Stack, styled } from "@mui/material";
const InteractionRoot = styled(Stack, {
  slot: "ConversationInteraction-Root"
})(
  ({
    theme: {
      spacing,
      vars: { palette }
    },
    ownerState: { alignment, variant }
  }) => ({
    flex: 0,
    padding: spacing(2),
    gap: spacing(1),
    flexDirection: alignment === "right" ? "row-reverse" : "row",
    textAlign: alignment === "right" ? "right" : "left",
    borderWidth: 1,
    borderStyle: "solid",
    borderColor: "transparent",
    borderRadius: "4px",
    alignItems: "flex-start",
    ...variant === "default" && {
      maxWidth: `min(75%, 700px)`,
      backgroundColor: palette.tidalColors.slateBlueGray[50],
      alignSelf: "flex-end"
    },
    ...variant === "outlined" && {
      width: "100%",
      borderColor: palette.divider,
      // FIXME: this will not work with dark theme
      backgroundColor: palette.common.white
    }
  })
);
export {
  InteractionRoot
};
//# sourceMappingURL=InteractionRoot.js.map
