import { jsx } from "react/jsx-runtime";
import { Box, Fab as MuiFab, Tooltip, keyframes, styled } from "@mui/material";
import { useConversationTexts } from "../../LocaleProvider.js";
function ScrollToBottom(props) {
  const {
    slotProps: { fab } = {},
    onScrollToBottom,
    children,
    animationDuration = 2.5
  } = props;
  const texts = useConversationTexts();
  const style = {
    "--fab-animation-duration": `${animationDuration}s`,
    ...fab?.style
  };
  return /* @__PURE__ */ jsx(Tooltip, { title: texts.scrollToBottomTooltip, placement: "bottom", children: /* @__PURE__ */ jsx(FabContainer, { children: /* @__PURE__ */ jsx(Fab, { size: "small", color: "secondary", ...fab, onClick: onScrollToBottom, style, children }) }) });
}
const bounce = keyframes`
  70% { translate: 0 0% }
  80% { translate: 0 -15% }
  90% { translate: 0 0% }
  95% { translate: 0 -7% }
  97% { translate: 0 0% }
  99% { translate: 0 -3% }
  100% { translate: 0 0 }
`;
const Fab = styled((props) => /* @__PURE__ */ jsx(MuiFab, { color: "secondary", size: "small", ...props }), {
  slot: "Fab"
})(() => ({
  animation: `${bounce} 1s infinite`,
  animationDuration: `var(--fab-animation-duration, 2.5s)`
}));
const FabContainer = styled(Box, {
  slot: "FabContainer"
})(({ theme: { spacing, zIndex } }) => ({
  position: "absolute",
  right: spacing(1),
  bottom: spacing(1),
  zIndex: zIndex.tooltip
}));
export {
  ScrollToBottom
};
//# sourceMappingURL=ScrollToBottom.js.map
