import { jsx } from "react/jsx-runtime";
import { createContext, useContext, useMemo } from "react";
const defaultLocaleText = {
  footer: {
    sendActionTooltip: "Send"
  },
  editorPlaceholderText: "Type a message...",
  header: {
    minimizeToolTip: "Minimize",
    enterFullscreenToolTip: "Toggle fullscreen",
    exitFullscreenToolTip: "Exit fullscreen",
    clearChatToolTip: "Clear chat",
    overflowMenuTooltip: "More actions"
  },
  rating: {
    likeTooltip: "Good response",
    dislikeTooltip: "Bad response"
  },
  suggestionsControl: {
    trigger: {
      label: "Suggestions"
    },
    suggestionsPanel: {
      title: "Suggestions"
    }
  },
  scrollToBottomTooltip: "Scroll to bottom",
  conversationEmpty: {
    title: "How can I help you?"
  }
};
const localeContext = createContext(defaultLocaleText);
function ConversationTextsProvider(props) {
  const { children, localeText } = props;
  const contextValue = useMemo(
    () => ({
      ...defaultLocaleText,
      ...localeText
    }),
    [localeText]
  );
  return /* @__PURE__ */ jsx(localeContext.Provider, { value: contextValue, children });
}
function useConversationTexts() {
  return useContext(localeContext);
}
export {
  ConversationTextsProvider,
  defaultLocaleText,
  localeContext,
  useConversationTexts
};
//# sourceMappingURL=LocaleProvider.js.map
