import { jsx } from "react/jsx-runtime";
import { useConstant } from "@workwave-tidal/core/hooks";
import { createContext, useContext, useReducer } from "react";
const defaultScrollbarContext = {
  scrollToBottom: () => {
  },
  api: null
};
const scrollbarContext = createContext(defaultScrollbarContext);
const scrollbarApiContext = createContext({
  registerScrollToBottom() {
  }
});
function scrollbarReducer(state, action) {
  switch (action.type) {
    case "SET_SCROLL_TO_BOTTOM":
      if (state.scrollToBottom === action.scrollToBottom) return state;
      return { ...state, scrollToBottom: action.scrollToBottom };
    default:
      return state;
  }
}
function ScrollApiProvider(props) {
  const { children } = props;
  const [ctx, dispatch] = useReducer(scrollbarReducer, defaultScrollbarContext);
  const ctxApi = useConstant(() => {
    return {
      registerScrollToBottom: (scrollToBottom) => {
        dispatch({ type: "SET_SCROLL_TO_BOTTOM", scrollToBottom });
      }
    };
  });
  return /* @__PURE__ */ jsx(scrollbarApiContext.Provider, { value: ctxApi, children: /* @__PURE__ */ jsx(scrollbarContext.Provider, { value: ctx, children }) });
}
function useScrollbarConfigureApi() {
  return useContext(scrollbarApiContext);
}
function useScrollbarScrollToBottom() {
  return useContext(scrollbarContext).scrollToBottom;
}
export {
  ScrollApiProvider,
  scrollbarApiContext,
  scrollbarContext,
  useScrollbarConfigureApi,
  useScrollbarScrollToBottom
};
//# sourceMappingURL=ScrollApiProvider.js.map
