import { jsx } from "react/jsx-runtime";
import { Mic } from "@mui/icons-material";
import { IconButton, Tooltip } from "@mui/material";
import { useImperativeHandle } from "react";
import { Recording } from "./components/Recoding.js";
import { useSpeechToText } from "./hooks/useSpeechToText.js";
function SpeechToText(props) {
  const { api, disabled } = props;
  const speechApi = useSpeechToText(props);
  useImperativeHandle(api, () => speechApi, [speechApi]);
  if (speechApi === false) return null;
  const { recording, toggleRecording } = speechApi;
  return /* @__PURE__ */ jsx(Tooltip, { title: recording ? "Disable voice to text" : "Enable voice to text", placement: "top", children: /* @__PURE__ */ jsx(IconButton, { disabled, onClick: toggleRecording, color: recording ? "error" : "default", children: recording ? /* @__PURE__ */ jsx(Recording, {}) : /* @__PURE__ */ jsx(Mic, {}) }) });
}
export {
  SpeechToText
};
//# sourceMappingURL=SpeechToText.js.map
