import { jsx } from "react/jsx-runtime";
import { Chip } from "@workwave-tidal/core/components";
import { useConversationEditor } from "../ConversationEditorProvider.js";
import { INSERT_SUGGESTION_COMMAND } from "./useInsertSuggestion.js";
function ConversationSuggestion(props) {
  const {
    sx,
    className,
    testId = "TidalConversationSuggestion",
    label,
    suggestion,
    slotProps: { chip } = {}
  } = props;
  const editor = useConversationEditor();
  function onClick() {
    editor?.dispatchCommand(INSERT_SUGGESTION_COMMAND, suggestion);
  }
  return /* @__PURE__ */ jsx(
    Chip,
    {
      ...chip,
      sx: {
        "&:hover": {
          // ATTENTION: This won't work with dark theme
          color: (t) => t.vars.palette.common.white
        },
        ...sx
      },
      color: "primary",
      label,
      variant: "filledOutline",
      clickable: true,
      className,
      onClick,
      "data-tidal": "ConversationSuggestion",
      "data-testid": testId,
      size: "small"
    }
  );
}
export {
  ConversationSuggestion
};
//# sourceMappingURL=ConversationSuggestion.js.map
