import { Fragment, jsx, jsxs } from "react/jsx-runtime";
import { AutoAwesome } from "@mui/icons-material";
import { Button, Typography } from "@mui/material";
import { Popover } from "@workwave-tidal/core/components";
import { useWormhole } from "@workwave-tidal/core/hooks";
import { Children, useRef, useState } from "react";
import { useConversationTexts } from "../LocaleProvider.js";
import { useWormholeId } from "../WormholeIdProvider.js";
import {
  ConversationSuggestionsRoot
} from "./components/ConversationSuggestionsRoot.js";
import { useInsertSuggestion } from "./useInsertSuggestion.js";
function ConversationSuggestionsControls(props) {
  const {
    sx,
    testId = "TidalConversationSuggestions",
    hidden,
    className,
    disabled,
    slotProps: { root } = {}
  } = props;
  useInsertSuggestion();
  const { worms: suggestions } = useWormhole(useWormholeId("editorSuggestions"));
  const [showSuggestions, setShowSuggestions] = useState(false);
  const suggestionRef = useRef(null);
  const {
    suggestionsControl: { trigger, suggestionsPanel }
  } = useConversationTexts();
  if (hidden) return null;
  if (Children.count(suggestions) === 0) return null;
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsx("div", { ref: suggestionRef, children: /* @__PURE__ */ jsx(Button, { startIcon: /* @__PURE__ */ jsx(AutoAwesome, {}), onClick: () => setShowSuggestions((p) => !p), disabled, children: trigger.label }) }),
    /* @__PURE__ */ jsx(
      Popover,
      {
        arrow: false,
        open: showSuggestions,
        placement: "top-start",
        anchorEl: suggestionRef.current || void 0,
        onClick: () => setShowSuggestions(false),
        onClickAway: () => setShowSuggestions(false),
        children: /* @__PURE__ */ jsxs(
          ConversationSuggestionsRoot,
          {
            useFlexGap: true,
            ...root,
            sx,
            className,
            "data-testid": testId,
            "data-tidal": "ConversationSuggestions",
            children: [
              /* @__PURE__ */ jsx(Typography, { variant: "h6", sx: { width: "100%" }, gutterBottom: true, children: suggestionsPanel.title }),
              suggestions
            ]
          }
        )
      }
    )
  ] });
}
export {
  ConversationSuggestionsControls
};
//# sourceMappingURL=ConversationSuggestionsControls.js.map
