import { jsx } from "react/jsx-runtime";
import { useConstant } from "@workwave-tidal/core/hooks";
import { createContext, useContext } from "react";
const wormholeIdContext = createContext(window.crypto.randomUUID());
function WormholeIdProvider(props) {
  const { children } = props;
  const id = useConstant(() => window.crypto.randomUUID());
  return /* @__PURE__ */ jsx(wormholeIdContext.Provider, { value: id, children });
}
function useWormholeId(worm) {
  const ctx = useContext(wormholeIdContext);
  return `${ctx}-${worm}`;
}
export {
  WormholeIdProvider,
  useWormholeId,
  wormholeIdContext
};
//# sourceMappingURL=WormholeIdProvider.js.map
