import { jsx } from "react/jsx-runtime";
import { Button, MenuItem } from "@mui/material";
import { useCallback } from "react";
import { useLoading, useSetLoading } from "../LoadingProvider.js";
import { useMenuState } from "./MenuStateProvider.js";
function BulkAction(props) {
  const { slotProps, onClick, _mode = "menuItem", ...rest } = props;
  const setLoading = useSetLoading();
  const loading = useLoading();
  const { onClose } = useMenuState();
  const handleOnClick = useCallback(async () => {
    if (!onClick) return;
    setLoading(true);
    onClose();
    await onClick();
    setLoading(false);
  }, [onClick, setLoading, onClose]);
  if (_mode === "button") {
    return /* @__PURE__ */ jsx(Button, { variant: "text", ...rest, ...slotProps?.button, onClick: handleOnClick, disabled: loading });
  }
  return /* @__PURE__ */ jsx(MenuItem, { ...rest, ...slotProps?.menuItem, onClick: handleOnClick, disabled: loading });
}
export {
  BulkAction
};
//# sourceMappingURL=BulkAction.js.map
