import { Fragment, jsx, jsxs } from "react/jsx-runtime";
import { Button, Menu } from "@mui/material";
import { ExpandLess, ExpandMore } from "@workwave-tidal/core/icons";
import { useLocale } from "../LocaleProvider.js";
import { useMenuState } from "./MenuStateProvider.js";
const menuButtonId = "bulk-action-menu-button";
const menuId = "bulk-action-menu";
function BulkActionsMenu(props) {
  const { children } = props;
  const { open, onOpen, menuButtonAnchorEl, onClose } = useMenuState();
  const texts = useLocale();
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsx(
      Button,
      {
        id: menuButtonId,
        "aria-controls": open ? menuId : void 0,
        "aria-haspopup": "true",
        "aria-expanded": open ? "true" : void 0,
        onClick: onOpen,
        endIcon: open ? /* @__PURE__ */ jsx(ExpandLess, {}) : /* @__PURE__ */ jsx(ExpandMore, {}),
        children: texts.menuButton
      }
    ),
    /* @__PURE__ */ jsx(
      Menu,
      {
        id: menuId,
        anchorEl: menuButtonAnchorEl,
        open,
        onClose,
        MenuListProps: {
          "aria-labelledby": menuButtonId
        },
        children
      }
    )
  ] });
}
export {
  BulkActionsMenu
};
//# sourceMappingURL=BulkActionsMenu.js.map
