import { jsx } from "react/jsx-runtime";
import { createContext, useContext, useMemo, useState } from "react";
const menuContext = createContext({
  menuButtonAnchorEl: null,
  onOpen: () => void 0,
  onClose: () => void 0,
  open: false
});
function MenuStateProvider(props) {
  const { children } = props;
  const [menuButtonAnchorEl, setMenuButtonAnchorEl] = useState(null);
  const value = useMemo(() => {
    return {
      menuButtonAnchorEl,
      onOpen: (event) => {
        setMenuButtonAnchorEl(event.currentTarget);
      },
      onClose: () => {
        setMenuButtonAnchorEl(null);
      },
      open: Boolean(menuButtonAnchorEl)
    };
  }, [menuButtonAnchorEl]);
  return /* @__PURE__ */ jsx(menuContext.Provider, { value, children });
}
function useMenuState() {
  return useContext(menuContext);
}
export {
  MenuStateProvider,
  menuContext,
  useMenuState
};
//# sourceMappingURL=MenuStateProvider.js.map
