import { jsx } from "react/jsx-runtime";
import { createContext, useContext, useState } from "react";
const loadingStateContext = createContext(false);
const loadingApiContext = createContext(() => void 0);
function LoadingProvider(props) {
  const { children } = props;
  const [loading, setLoading] = useState(() => false);
  return /* @__PURE__ */ jsx(loadingStateContext.Provider, { value: loading, children: /* @__PURE__ */ jsx(loadingApiContext.Provider, { value: setLoading, children }) });
}
function useLoading() {
  return useContext(loadingStateContext);
}
function useSetLoading() {
  return useContext(loadingApiContext);
}
export {
  LoadingProvider,
  useLoading,
  useSetLoading
};
//# sourceMappingURL=LoadingProvider.js.map
