import { jsx } from "react/jsx-runtime";
import { Button } from "@mui/material";
import { useGridApiContext } from "@mui/x-data-grid-pro";
import { useCallback } from "react";
import { useRowSelection } from "../hooks/useRowSelection.js";
import { useLocale } from "./LocaleProvider.js";
function SelectionControl(props) {
  const { disableSelectAll } = props;
  const { allRowsSelected, selectedRows } = useRowSelection();
  if (disableSelectAll) {
    if (selectedRows.length === 0) return null;
    return /* @__PURE__ */ jsx(DeselectAllButton, {});
  }
  if (allRowsSelected) {
    return /* @__PURE__ */ jsx(DeselectAllButton, {});
  }
  return /* @__PURE__ */ jsx(SelectAllButton, {});
}
function DeselectAllButton() {
  const texts = useLocale();
  const apiRef = useGridApiContext();
  const { selectionTextParams } = useRowSelection();
  const handleOnClick = useCallback(() => {
    apiRef.current.selectRows(apiRef.current.getAllRowIds(), false);
  }, [apiRef]);
  return /* @__PURE__ */ jsx(Button, { onClick: handleOnClick, "data-testid": "selection-control-deselect", children: texts.deselectAll(selectionTextParams) });
}
function SelectAllButton() {
  const texts = useLocale();
  const apiRef = useGridApiContext();
  const { selectionTextParams } = useRowSelection();
  const handleOnClick = useCallback(() => {
    apiRef.current.selectRows(apiRef.current.getAllRowIds(), true);
  }, [apiRef]);
  return /* @__PURE__ */ jsx(Button, { onClick: handleOnClick, "data-testid": "selection-control-select", children: texts.selectAll(selectionTextParams) });
}
export {
  SelectionControl
};
//# sourceMappingURL=SelectionControl.js.map
