import { jsx } from "react/jsx-runtime";
import { Box, Stack, styled } from "@mui/material";
function UserActionControlsRoot(props) {
  const { children, ...stackProps } = props;
  return /* @__PURE__ */ jsx(Root, { ...stackProps, children: /* @__PURE__ */ jsx(Grid, { children }) });
}
const Grid = styled(Box, {
  slot: "Grid"
})(({ theme: { spacing, breakpoints } }) => ({
  position: "relative",
  display: "grid",
  gridTemplateColumns: "1fr 1fr",
  gridTemplateRows: "auto",
  gap: spacing(1),
  [breakpoints.up("sm")]: {
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "center",
    margin: "0 auto"
  },
  [breakpoints.down("sm")]: {
    // force the first child to span the full width
    "& > *:first-child": {
      gridColumn: "1 / -1",
      textAlign: "center"
    }
  }
}));
const Root = styled(Stack, {
  slot: "Root"
})(
  ({
    theme: {
      vars: { palette }
    }
  }) => ({
    justifyContent: "center",
    background: palette.grey[50]
  })
);
export {
  UserActionControlsRoot
};
//# sourceMappingURL=UserActionControlsRoot.js.map
