import { jsx, jsxs } from "react/jsx-runtime";
import { Tooltip } from "@mui/material";
import { ActionBar } from "./components/ActionBar/ActionBar.js";
import { Content } from "./components/Content.js";
import { Root } from "./components/Root.js";
function ImageFilePreview(props) {
  const {
    testId = "FilePreview",
    actions,
    tooltip,
    onClick,
    disabled,
    actionsVisibility = "onHoverOrFocus",
    error,
    loading,
    size,
    ...imageProps
  } = props;
  return /* @__PURE__ */ jsx(Tooltip, { title: tooltip, PopperProps: popperProps, children: /* @__PURE__ */ jsxs(
    Root,
    {
      "data-tidal": "FilePreview",
      onClick: disabled ? void 0 : onClick,
      "data-testid": testId,
      actionsVisibility,
      disabled,
      hasError: error,
      size,
      children: [
        /* @__PURE__ */ jsx(Content, { error, loading, size, ...imageProps }),
        /* @__PURE__ */ jsx(ActionBar, { actions, size, disabled })
      ]
    }
  ) });
}
const popperProps = {
  modifiers: [
    {
      name: "offset",
      options: {
        offset: [0, -8]
      }
    }
  ]
};
export {
  ImageFilePreview
};
//# sourceMappingURL=ImageFilePreview.js.map
