import { jsx } from "react/jsx-runtime";
import { ActionBar as TidalActionBar } from "@workwave-tidal/core/components/ActionBar";
import { cloneElement } from "react";
import { cssClasses } from "../../../../../cssClasses.js";
import { ActionBarPlacer } from "./ActionBarPlacer.js";
function MediumOrLargeActionBar(props) {
  const { actions, size, disabled } = props;
  if (!Array.isArray(actions)) return null;
  if (actions.length === 0) return null;
  const limit = actions.length < 3 ? actions.length : 0;
  return /* @__PURE__ */ jsx(ActionBarPlacer, { className: cssClasses.actionBarPlacer, size, children: /* @__PURE__ */ jsx(TidalActionBar, { limit, disabled, children: actions?.map((action) => {
    const props2 = {
      mode: "default",
      color: "default",
      divider: false
    };
    if (typeof action.props.onClick === "function") {
      props2.onClick = createOnClickWithStopPropagation(action.props.onClick);
    }
    return cloneElement(action, { ...props2, key: action.props.id });
  }) }) });
}
function createOnClickWithStopPropagation(onClick) {
  return (event) => {
    event.stopPropagation();
    onClick?.(event);
  };
}
export {
  MediumOrLargeActionBar
};
//# sourceMappingURL=MediumOrLargeActionBar.js.map
