import { jsx } from "react/jsx-runtime";
import { Error as ErrorIcon } from "@mui/icons-material";
import { FilePreviewThumbnail } from "../../FilePreviewThumbnail.js";
import { Progress } from "../../Progress.js";
import { IconContainer } from "./IconContainer.js";
function Content(props) {
  const { error, loading, progress, progressTitle, size, ...rest } = props;
  if (error) {
    return /* @__PURE__ */ jsx(IconContainer, { children: /* @__PURE__ */ jsx(ErrorIcon, { sx: (theme) => ({ color: theme.vars.palette.tidalColors.lobsterRed["500"] }) }) });
  }
  if (loading) {
    return /* @__PURE__ */ jsx(IconContainer, { children: /* @__PURE__ */ jsx(Progress, { progressTitle, size, value: progress }) });
  }
  return /* @__PURE__ */ jsx(FilePreviewThumbnail, { ...rest });
}
export {
  Content
};
//# sourceMappingURL=Content.js.map
