import { styled } from "@mui/material";
import {
  Root as StandardFilePreviewRoot
} from "../../StandardFilePreview/components/Root.js";
const excludedProps = ["actionsVisibility", "hasError", "disabled", "size"];
const Root = styled(StandardFilePreviewRoot, {
  name: "ImageFilePreviewProps",
  slot: "Root",
  shouldForwardProp: (prop) => !excludedProps.includes(prop.toString())
})(({ size }) => {
  return {
    display: "block",
    minWidth: 0,
    width: widthBySize[size],
    height: heightBySize[size],
    overflow: size === "small" ? "visible" : "hidden",
    gap: 0,
    padding: 0
  };
});
const widthBySize = {
  small: 58,
  medium: 160,
  large: 320
};
const heightBySize = {
  small: 58,
  medium: 120,
  large: 240
};
export {
  Root
};
//# sourceMappingURL=Root.js.map
