import { jsx, jsxs } from "react/jsx-runtime";
import { CircularProgress, Stack, Typography } from "@mui/material";
import { LOADING_SIZE_BY_SIZE } from "../constants.js";
function Progress(props) {
  const { progressTitle, size, value, ...circularProgressProps } = props;
  const progress = clamp(value, 0, 100);
  const progressVariant = typeof value === "number" ? "determinate" : void 0;
  return /* @__PURE__ */ jsxs(Stack, { alignItems: "center", justifyContent: "center", gap: 1, paddingX: 1, overflow: "hidden", children: [
    /* @__PURE__ */ jsx(
      CircularProgress,
      {
        ...circularProgressProps,
        value: progress,
        color: "primary",
        size: LOADING_SIZE_BY_SIZE[size],
        variant: progressVariant
      }
    ),
    progressTitle && size !== "small" && /* @__PURE__ */ jsx(Typography, { variant: "body2", noWrap: true, maxWidth: "100%", children: progressTitle })
  ] });
}
function clamp(progress, min, max) {
  if (typeof progress !== "number") return progress;
  const clampedProgress = Math.min(Math.max(progress, min), max);
  if (progress !== clampedProgress) {
    console.warn("value should be in the range [0, 100]");
  }
  return clampedProgress;
}
export {
  Progress
};
//# sourceMappingURL=Progress.js.map
