import { jsx, jsxs } from "react/jsx-runtime";
import { Box, Stack, Tooltip } from "@mui/material";
import { cssClasses } from "../../cssClasses.js";
import { ActionBar } from "./components/ActionBar.js";
import { FilePreviewSubtitle } from "./components/FilePreviewSubtitle.js";
import { FilePreviewTitle } from "./components/FilePreviewTitle.js";
import { Icon } from "./components/Icon.js";
import { Root } from "./components/Root.js";
function StandardFilePreview(props) {
  const {
    testId = "FilePreview",
    icon,
    title,
    subtitle,
    actions,
    tooltip,
    onClick,
    disabled,
    actionsVisibility = "onHoverOrFocus",
    error,
    loading,
    progress
  } = props;
  const hoverSubtitle = props.hoverSubtitle ?? subtitle;
  return /* @__PURE__ */ jsx(Tooltip, { title: tooltip, PopperProps: popperProps, children: /* @__PURE__ */ jsxs(
    Root,
    {
      "data-testid": testId,
      "data-tidal": "FilePreview",
      actionsVisibility,
      onClick: disabled ? void 0 : onClick,
      disabled,
      hasError: error,
      children: [
        /* @__PURE__ */ jsx(Icon, { icon, error, loading, progress }),
        /* @__PURE__ */ jsxs(Stack, { flexShrink: 0, minWidth: 0, children: [
          typeof title === "string" ? /* @__PURE__ */ jsx(FilePreviewTitle, { children: title }) : title,
          typeof subtitle === "string" ? /* @__PURE__ */ jsx(FilePreviewSubtitle, { className: cssClasses.subtitle, children: subtitle }) : /* @__PURE__ */ jsx(Box, { className: cssClasses.subtitle, children: subtitle }),
          typeof hoverSubtitle === "string" ? /* @__PURE__ */ jsx(FilePreviewSubtitle, { className: cssClasses.hoverSubtitle, children: hoverSubtitle }) : /* @__PURE__ */ jsx(Box, { className: cssClasses.hoverSubtitle, children: hoverSubtitle }),
          /* @__PURE__ */ jsxs(
            Box,
            {
              position: "relative",
              visibility: "hidden",
              height: 0,
              overflow: "hidden",
              display: "flex",
              flexDirection: "column",
              children: [
                typeof subtitle === "string" ? /* @__PURE__ */ jsx(FilePreviewSubtitle, { children: subtitle }) : /* @__PURE__ */ jsx(Box, { children: subtitle }),
                typeof hoverSubtitle === "string" ? /* @__PURE__ */ jsx(FilePreviewSubtitle, { children: hoverSubtitle }) : /* @__PURE__ */ jsx(Box, { children: hoverSubtitle })
              ]
            }
          )
        ] }),
        /* @__PURE__ */ jsx(ActionBar, { actions, disabled })
      ]
    }
  ) });
}
const popperProps = {
  modifiers: [
    {
      name: "offset",
      options: {
        offset: [0, -8]
      }
    }
  ]
};
export {
  StandardFilePreview
};
//# sourceMappingURL=StandardFilePreview.js.map
