import { jsx } from "react/jsx-runtime";
import { Box, styled } from "@mui/material";
import { cloneElement } from "react";
import { ActionBar as TidalActionBar } from "@workwave-tidal/core/components/ActionBar";
import { cssClasses } from "../../../cssClasses.js";
function ActionBar(props) {
  const { actions, disabled } = props;
  if (!Array.isArray(actions)) return null;
  if (actions.length === 0) return null;
  const limit = actions.length < 3 ? actions.length : 0;
  return /* @__PURE__ */ jsx(ActionBarPlacer, { className: cssClasses.actionBarPlacer, children: /* @__PURE__ */ jsx(TidalActionBar, { limit, disabled, children: actions?.map((action) => {
    const props2 = {
      mode: "default",
      color: "default",
      divider: false
    };
    if (typeof action.props.onClick === "function") {
      props2.onClick = createOnClickWithStopPropagation(action.props.onClick);
    }
    return cloneElement(action, { ...props2, key: action.props.id });
  }) }) });
}
function createOnClickWithStopPropagation(onClick) {
  return (event) => {
    event.stopPropagation();
    onClick?.(event);
  };
}
const ActionBarPlacer = styled(Box, {
  name: "StandardFilePreview",
  slot: "ActionBarPlacer"
})(() => ({
  position: "relative"
}));
export {
  ActionBar
};
//# sourceMappingURL=ActionBar.js.map
