import { jsx } from "react/jsx-runtime";
import {
  AudioFile,
  FolderZip,
  Image,
  InsertDriveFile,
  MovieCreation,
  PictureAsPdf,
  TableChart,
  TextSnippet
} from "@mui/icons-material";
function FilePreviewMimeTypeIcon(props) {
  const { preset } = props;
  switch (preset) {
    case "application/pdf":
      return /* @__PURE__ */ jsx(PictureAsPdf, { sx: (theme) => ({ color: theme.vars.palette.tidalColors.lobsterRed["400"] }) });
    case "text/plain":
    case "application/rtf":
    case "application/msword":
    case "application/vnd.openxmlformats-officedocument.wordprocessingml.document":
      return /* @__PURE__ */ jsx(TextSnippet, { sx: (theme) => ({ color: theme.vars.palette.tidalColors.oceanBlue["400"] }) });
    case "text/csv":
    case "application/vnd.ms-excel":
      return /* @__PURE__ */ jsx(TableChart, { sx: (theme) => ({ color: theme.vars.palette.tidalColors.lightGreen["400"] }) });
    case "application/zip":
      return /* @__PURE__ */ jsx(FolderZip, { sx: (theme) => ({ color: theme.vars.palette.tidalColors.seafoamTeal["400"] }) });
    case "image/bmp":
    case "image/gif":
    case "image/jpeg":
    case "image/png":
    case "image/svg+xml":
    case "image/tiff":
    case "image/vnd.microsoft.icon":
    case "image/vnd.adobe.photoshop":
      return /* @__PURE__ */ jsx(Image, { sx: (theme) => ({ color: theme.vars.palette.tidalColors.pink["400"] }) });
    case "audio/wav":
    case "audio/mpeg":
    case "audio/flac":
      return /* @__PURE__ */ jsx(AudioFile, { sx: (theme) => ({ color: theme.vars.palette.tidalColors.purple["500"] }) });
    case "video/mp4":
    case "video/quicktime":
      return /* @__PURE__ */ jsx(MovieCreation, { sx: (theme) => ({ color: theme.vars.palette.tidalColors.sunnyYellow["400"] }) });
    case "default":
    default:
      return /* @__PURE__ */ jsx(InsertDriveFile, { sx: (theme) => ({ color: theme.vars.palette.grey["500"] }) });
  }
}
export {
  FilePreviewMimeTypeIcon
};
//# sourceMappingURL=FilePreviewMimeTypeIcon.js.map
