import { jsx } from "react/jsx-runtime";
import { Error as ErrorIcon } from "@mui/icons-material";
import { isDev } from "@workwave-tidal/core/base";
import { isValidElement } from "react";
import { Progress } from "../../Progress.js";
import { IconContainer } from "./IconContainer.js";
function Icon(props) {
  const { error, icon, loading } = props;
  if (error) {
    return /* @__PURE__ */ jsx(IconContainer, { children: /* @__PURE__ */ jsx(ErrorIcon, { sx: (theme) => ({ color: theme.vars.palette.tidalColors.lobsterRed["500"] }) }) });
  }
  if (loading) {
    return /* @__PURE__ */ jsx(IconContainer, { children: /* @__PURE__ */ jsx(Progress, { color: "primary", size: "medium", value: props.progress }) });
  }
  if (isValidElement(icon)) {
    return /* @__PURE__ */ jsx(IconContainer, { children: icon });
  }
  if (isDev()) {
    console.warn("The icon provided is not a valid React Element");
  }
  return null;
}
export {
  Icon
};
//# sourceMappingURL=Icon.js.map
