import { jsx } from "react/jsx-runtime";
import { useRef } from "react";
import { Draggable } from "./Draggable.js";
import { useMasonryItemState } from "./hooks/useMasonryItemState.js";
function MasonryItem(props) {
  const { children } = props;
  const childRef = useRef(null);
  const { className, handleDragStart, handleDrag, handleDragStop, isDraggable, style, transformScale } = useMasonryItemState(props);
  return /* @__PURE__ */ jsx(
    Draggable,
    {
      disabled: !isDraggable,
      onStart: handleDragStart,
      onDrag: handleDrag,
      onStop: handleDragStop,
      scale: transformScale,
      children: /* @__PURE__ */ jsx("div", { ref: childRef, style, className, children })
    }
  );
}
export {
  MasonryItem
};
//# sourceMappingURL=MasonryItem.js.map
