import { clamp } from "./clamp.js";
function calculateMasonryItemXY(positionParams, top, left, width, height) {
  const { columns, containerPadding, containerWidth, margin, maxRows, rowHeight } = positionParams;
  const columnWidth = (containerWidth - margin[0] * (columns - 1) - containerPadding[0] * 2) / columns;
  const x = Math.round((left - containerPadding[0]) / (columnWidth + margin[0]));
  const y = Math.round((top - containerPadding[1]) / (rowHeight + margin[1]));
  const nextXY = {
    x: clamp(x, 0, columns - width),
    y: clamp(y, 0, maxRows - height)
  };
  return nextXY;
}
export {
  calculateMasonryItemXY
};
//# sourceMappingURL=calculateMasonryItemXY.js.map
