import { compactLayoutItem } from "./compactLayoutItem.js";
import { getStatics } from "./getStatics.js";
import { sortLayout } from "./sortLayout.js";
function compact(layout, compactType, cols, allowOverlap) {
  const statics = getStatics(layout);
  const sorted = sortLayout(layout, compactType);
  const compactedLayout = Array(layout.length);
  for (let i = 0, len = sorted.length; i < len; i++) {
    let layoutItem = { ...sorted[i] };
    if (!layoutItem.isStatic) {
      layoutItem = compactLayoutItem(statics, layoutItem, compactType, cols, sorted, allowOverlap);
      statics.push(layoutItem);
    }
    compactedLayout[layout.indexOf(sorted[i])] = layoutItem;
  }
  return compactedLayout;
}
export {
  compact
};
//# sourceMappingURL=compact.js.map
