import { getFirstLayoutItemCollision } from "./getFirstLayoutItemCollision.js";
import { getLayoutBottom } from "./getLayoutBottom.js";
import { resolveCompactCollision } from "./resolveCompactCollision.js";
function compactLayoutItem(statics, layoutItem, compactType, cols, fullLayout, allowOverlap) {
  const compactVertical = compactType === "vertical";
  const compactHorizontal = compactType === "horizontal";
  if (compactVertical) {
    layoutItem.y = Math.min(getLayoutBottom(statics), layoutItem.y);
    while (layoutItem.y > 0 && !getFirstLayoutItemCollision(statics, layoutItem)) {
      layoutItem.y -= 1;
    }
  } else if (compactHorizontal) {
    while (layoutItem.x > 0 && !getFirstLayoutItemCollision(statics, layoutItem)) {
      layoutItem.x -= 1;
    }
  }
  let collides;
  while (collides = getFirstLayoutItemCollision(statics, layoutItem)) {
    if (compactHorizontal) {
      resolveCompactCollision(fullLayout, layoutItem, collides.x + collides.width, "x");
    } else {
      resolveCompactCollision(fullLayout, layoutItem, collides.y + collides.height, "y");
    }
    if (compactHorizontal && layoutItem.x + layoutItem.width > cols) {
      layoutItem.x = cols - layoutItem.width;
      layoutItem.y += 1;
      while (layoutItem.x > 0 && !getFirstLayoutItemCollision(statics, layoutItem)) {
        layoutItem.x -= 1;
      }
    }
  }
  layoutItem.y = Math.max(layoutItem.y, 0);
  layoutItem.x = Math.max(layoutItem.x, 0);
  return layoutItem;
}
export {
  compactLayoutItem
};
//# sourceMappingURL=compactLayoutItem.js.map
