import { getFirstLayoutItemCollision } from "./getFirstLayoutItemCollision.js";
import { getStatics } from "./getStatics.js";
function correctLayoutBounds(layout, columns) {
  const nextLayout = layout.slice();
  const potentialCollisions = getStatics(layout);
  for (let i = 0, len = nextLayout.length; i < len; i++) {
    const layoutItem = nextLayout[i];
    if (layoutItem.x + layoutItem.width > columns) {
      layoutItem.x = columns - layoutItem.width;
    }
    if (layoutItem.x < 0) {
      layoutItem.x = 0;
      layoutItem.width = columns;
    }
    if (!layoutItem.isStatic) {
      potentialCollisions.push(layoutItem);
    } else {
      while (getFirstLayoutItemCollision(potentialCollisions, layoutItem)) {
        layoutItem.y += 1;
      }
    }
  }
  return nextLayout;
}
export {
  correctLayoutBounds
};
//# sourceMappingURL=correctLayoutBounds.js.map
