import { getCompactType } from "./getCompactType.js";
function getDefaultMasonryProps(props) {
  const {
    allowOverlap = false,
    autoHeight = true,
    children,
    columns = 12,
    containerPadding = [0, 0],
    initialLayout = [],
    isBounded = false,
    isDraggable = true,
    isResizable = true,
    margin = [10, 10],
    maxRows = Number.POSITIVE_INFINITY,
    preventCollision = false,
    rowHeight = 150,
    style = {},
    transformScale = 1,
    verticalCompact = true
  } = props;
  return {
    allowOverlap,
    autoHeight,
    children,
    columns,
    compactType: getCompactType(props),
    containerPadding,
    initialLayout,
    isBounded,
    isDraggable,
    isResizable,
    margin,
    maxRows,
    preventCollision,
    rowHeight,
    style,
    transformScale,
    verticalCompact
  };
}
export {
  getDefaultMasonryProps
};
//# sourceMappingURL=getDefaultMasonryProps.js.map
