import { getGridColumnWidth } from "./getGridColumnWidth.js";
function getMasonryItemPosition(positionParams, x, y, width, height, dragging) {
  const { containerPadding, margin, rowHeight } = positionParams;
  const colWidth = getGridColumnWidth(positionParams);
  const [marginX, marginY] = margin;
  const [paddingX, paddingY] = containerPadding;
  const widthPx = Number.isFinite(width) ? Math.round(width * colWidth + Math.max(0, width - 1) * marginX) : width;
  const heightPx = Number.isFinite(height) ? Math.round(height * rowHeight + Math.max(0, height - 1) * marginY) : height;
  if (dragging) {
    return {
      top: Math.round(dragging.top),
      left: Math.round(dragging.left),
      width: widthPx,
      height: heightPx
    };
  }
  return {
    top: Math.round((rowHeight + marginY) * y + paddingY),
    left: Math.round((colWidth + marginX) * x + paddingX),
    width: widthPx,
    height: heightPx
  };
}
export {
  getMasonryItemPosition
};
//# sourceMappingURL=getMasonryItemPosition.js.map
