import { hasCollision } from "./hasCollision.js";
function getSizePropByAxis(axis) {
  return axis === "x" ? "width" : "height";
}
function resolveCompactCollision(layout, currentItem, moveToCoord, axis) {
  const sizeProp = getSizePropByAxis(axis);
  const itemIndex = layout.findIndex((l) => l.id === currentItem.id);
  currentItem[axis] += 1;
  for (let i = itemIndex + 1; i < layout.length; i++) {
    const nextItem = layout[i];
    if (nextItem.isStatic) continue;
    if (nextItem.y > currentItem.y + currentItem.height) break;
    if (hasCollision(currentItem, nextItem)) {
      resolveCompactCollision(layout, nextItem, moveToCoord + currentItem[sizeProp], axis);
    }
  }
  currentItem[axis] = moveToCoord;
}
export {
  resolveCompactCollision
};
//# sourceMappingURL=resolveCompactCollision.js.map
