import { Children } from "react";
import { compact } from "./compact.js";
import { correctLayoutBounds } from "./correctLayoutBounds.js";
import { findLayoutItem } from "./findLayoutItem.js";
import { getLayoutBottom } from "./getLayoutBottom.js";
function synchronizeLayoutWithChildren(layout, children, columns, compactType, allowOverlap) {
  const nextLayout = [];
  Children.forEach(children, (child) => {
    if (child?.key == null) return;
    const exists = findLayoutItem(layout, String(child.key));
    if (exists) {
      nextLayout.push(exists);
    } else {
      nextLayout.push({
        height: 1,
        id: String(child.key),
        width: 1,
        x: 0,
        y: getLayoutBottom(layout)
      });
    }
  });
  const correctedLayout = correctLayoutBounds(nextLayout, columns);
  return allowOverlap ? correctedLayout : compact(correctedLayout, compactType, columns, allowOverlap);
}
export {
  synchronizeLayoutWithChildren
};
//# sourceMappingURL=synchronizeLayoutWithChildren.js.map
