import { jsx } from "react/jsx-runtime";
import { createContext, useContext } from "react";
const activeViewContext = createContext(null);
function ActiveViewProvider(props) {
  const { children, view } = props;
  return /* @__PURE__ */ jsx(activeViewContext.Provider, { value: view, children });
}
function useActiveView() {
  const activeView = useContext(activeViewContext);
  if (activeView === null) {
    console.warn("Active view has not been initialized yet");
  }
  return activeView;
}
export {
  ActiveViewProvider,
  activeViewContext,
  useActiveView
};
//# sourceMappingURL=ActiveViewProvider.js.map
