import { jsx } from "react/jsx-runtime";
import { createContext, useMemo } from "react";
const toolbarRailExpandableContext = createContext({
  mode: "expanded",
  setMode: () => {
  },
  placement: "left"
});
function ExpandableRailContextProvider(props) {
  const { children, mode, setMode, placement = "left" } = props;
  const contextValue = useMemo(() => {
    return { mode, setMode, placement };
  }, [mode, setMode, placement]);
  return /* @__PURE__ */ jsx(toolbarRailExpandableContext.Provider, { value: contextValue, children });
}
export {
  ExpandableRailContextProvider,
  toolbarRailExpandableContext
};
//# sourceMappingURL=ExpandableRailContextProvider.js.map
