import { Box, styled } from "@mui/material";
import { cssClasses } from "../../../classes.js";
const Root = styled(Box)(() => ({
  position: "relative",
  [`& .${cssClasses.roundToggleButton}`]: {
    opacity: 0,
    transform: `scale(0.9) translate(-20%, 0)`,
    transition: "transform 0.3s, opacity 0.2s"
  },
  [`&:hover .${cssClasses.roundToggleButton}`]: roundToggleButtonOnRules,
  [`&:focus-within .${cssClasses.roundToggleButton}`]: roundToggleButtonOnRules,
  // this will make hover effect to not work on touch interfaces
  "@media (pointer: coarse)": {
    [`& .${cssClasses.roundToggleButton}`]: roundToggleButtonOnRules
  }
}));
const roundToggleButtonOnRules = {
  opacity: 1,
  transform: `scale(1) translate(0, 0)`,
  transition: "transform 0.3s, opacity 0.2s"
};
export {
  Root
};
//# sourceMappingURL=Root.js.map
