import { jsx } from "react/jsx-runtime";
import { ChevronLeft, ChevronRight } from "@mui/icons-material";
import { Box, IconButton, Tooltip, styled } from "@mui/material";
import { cssClasses } from "../../../classes.js";
import { useToolbar } from "../../../hooks/useToolbar.js";
import { useToolbarRailExpandable } from "../../../hooks/useToolbarRailExpandable.js";
function RoundToggleButton(props) {
  const { color, backgroundColor, collapsedText = "Collapse", expandedText = "Expand", placement } = props;
  const { setViews } = useToolbar();
  const { mode, setMode } = useToolbarRailExpandable();
  const onClick = () => {
    setViews();
    setMode((prev) => prev === "expanded" ? "collapsed" : "expanded");
  };
  const tooltip = mode === "expanded" ? collapsedText : expandedText;
  return /* @__PURE__ */ jsx(RoundToggleButtonPlacer, { color, className: cssClasses.roundToggleButton, placement, children: /* @__PURE__ */ jsx(Tooltip, { placement: "right", title: tooltip, children: /* @__PURE__ */ jsx(
    IconButton,
    {
      size: "small",
      onClick,
      color: "inherit",
      sx: (theme) => ({
        backgroundColor,
        boxShadow: theme.shadows[5],
        border: `1px solid ${theme.palette.common.white}`,
        "&:hover": {
          backgroundColor
        }
      }),
      children: placement === "left" ? mode === "expanded" ? /* @__PURE__ */ jsx(ChevronLeft, {}) : /* @__PURE__ */ jsx(ChevronRight, {}) : mode === "expanded" ? /* @__PURE__ */ jsx(ChevronRight, {}) : /* @__PURE__ */ jsx(ChevronLeft, {})
    }
  ) }) });
}
const RoundToggleButtonPlacer = styled(Box)(({ theme, placement }) => {
  return {
    position: "absolute",
    top: theme.spacing(1),
    zIndex: theme.zIndex.tooltip,
    opacity: 1,
    ...placement === "left" && {
      right: 0,
      translate: "50% 0"
    },
    ...placement === "right" && {
      left: 0,
      translate: "-50% 0"
    }
  };
});
export {
  RoundToggleButton
};
//# sourceMappingURL=RoundToggleButton.js.map
