import { jsx } from "react/jsx-runtime";
import { useTheme } from "@mui/material";
import { KeyboardDoubleArrowLeft, KeyboardDoubleArrowRight } from "@workwave-tidal/core/icons";
import { useToolbar } from "../hooks/useToolbar.js";
import { useToolbarRailExpandable } from "../hooks/useToolbarRailExpandable.js";
import { ExpandableRailListItem } from "./ExpandableRailListItem.js";
function ExpandableRailListItemToggle(props) {
  const { iconWidth = 40, collapsedText = "Collapse", expandedText = "Expand", listItemProps } = props;
  const { setViews } = useToolbar();
  const { placement } = useToolbarRailExpandable();
  const theme = useTheme();
  const { mode, setMode } = useToolbarRailExpandable();
  const iconSx = {
    width: iconWidth,
    paddingLeft: 1,
    height: iconWidth,
    color: theme.vars.palette.common.white,
    translate: "-3px 0"
  };
  const text = mode === "expanded" ? collapsedText : expandedText;
  const leftPlacementIcon = mode === "expanded" ? /* @__PURE__ */ jsx(KeyboardDoubleArrowLeft, { sx: iconSx }) : /* @__PURE__ */ jsx(KeyboardDoubleArrowRight, { sx: iconSx });
  const rightPlacementIcon = mode === "expanded" ? /* @__PURE__ */ jsx(KeyboardDoubleArrowRight, { sx: iconSx }) : /* @__PURE__ */ jsx(KeyboardDoubleArrowLeft, { sx: iconSx });
  return /* @__PURE__ */ jsx(
    ExpandableRailListItem,
    {
      onClick: () => {
        setViews();
        setMode((prev) => prev === "expanded" ? "collapsed" : "expanded");
      },
      primary: text,
      icon: placement === "left" ? leftPlacementIcon : rightPlacementIcon,
      rightAdornment: null,
      listItemProps
    },
    "toggle-expanded"
  );
}
export {
  ExpandableRailListItemToggle
};
//# sourceMappingURL=ExpandableRailListItemToggle.js.map
