import { jsx, jsxs } from "react/jsx-runtime";
import { Box, useTheme } from "@mui/material";
import { useToolbarRailExpandable } from "../hooks/useToolbarRailExpandable.js";
function ExpandableRailLogo(props) {
  const {
    collapsedLogoWidth,
    expandedLogoWidth,
    expandedWidth,
    collapsedLogo = /* @__PURE__ */ jsx("div", {}),
    expandedLogo = /* @__PURE__ */ jsx("div", {})
  } = props;
  const theme = useTheme();
  const { mode } = useToolbarRailExpandable();
  const translateX = mode === "expanded" ? (expandedWidth - collapsedLogoWidth) / 2 : Number.parseInt(theme.spacing(2));
  const scaleUp = expandedLogoWidth / 40;
  const scale = mode === "expanded" ? `${scaleUp}` : 1;
  return /* @__PURE__ */ jsxs(Box, { position: "relative", mt: 2, children: [
    /* @__PURE__ */ jsx(Box, { width: expandedLogoWidth, sx: { opacity: 0 }, children: expandedLogo }),
    /* @__PURE__ */ jsx(
      Box,
      {
        position: "absolute",
        top: 0,
        left: 0,
        width: collapsedLogoWidth,
        sx: { transform: `translateX(${translateX}px) scale(${scale})`, transition: "transform 0.34s ease" },
        children: mode === "expanded" ? expandedLogo : collapsedLogo
      }
    )
  ] });
}
export {
  ExpandableRailLogo
};
//# sourceMappingURL=ExpandableRailLogo.js.map
