import { jsx } from "react/jsx-runtime";
import { Box, ClickAwayListener, Grow, Paper, Popper } from "@mui/material";
import { useAnchor } from "../hooks/useAnchor.js";
import { useToolbar } from "../hooks/useToolbar.js";
import { ActiveViewProvider } from "./ActiveViewProvider.js";
function MenuView(props) {
  const { anchorId, view, placement = "right", children, offsetX = 1, disableWrapper } = props;
  const { isActive, setViews } = useToolbar();
  const handleClose = () => setViews();
  const anchorEl = useAnchor(anchorId);
  const popperPlacement = `${placement}-start`;
  return /* @__PURE__ */ jsx(ActiveViewProvider, { view, children: /* @__PURE__ */ jsx(
    Popper,
    {
      open: isActive(view),
      anchorEl,
      placement: popperPlacement,
      sx: {
        zIndex: (t) => t.zIndex.drawer
      },
      transition: true,
      children: ({ TransitionProps, placement: placement2 }) => /* @__PURE__ */ jsx(
        Grow,
        {
          ...TransitionProps,
          style: {
            transformOrigin: placement2.startsWith("right") ? "left top" : "right top"
          },
          children: /* @__PURE__ */ jsx(Box, { marginX: offsetX, children: /* @__PURE__ */ jsx(ClickAwayListener, { onClickAway: handleClose, children: disableWrapper ? /* @__PURE__ */ jsx("div", { children }) : /* @__PURE__ */ jsx(Paper, { children }) }) })
        }
      )
    }
  ) });
}
export {
  MenuView
};
//# sourceMappingURL=MenuView.js.map
