import { useCallback } from "react";
import { useToolbar } from "../../../hooks/useToolbar.js";
function useToolbarButton(props) {
  const { icon, onClick, selectedIcon, value, selected: userSelected } = props;
  const { isActive, setViews } = useToolbar();
  const selected = userSelected !== void 0 ? userSelected : value ? isActive(value) : void 0;
  const renderedIcon = selected ? selectedIcon : icon;
  const handleOnClick = useCallback(
    (event) => {
      onClick?.(event);
      if (value !== void 0) {
        selected ? setViews() : setViews(value);
      }
    },
    [onClick, setViews, value, selected]
  );
  return {
    icon: renderedIcon,
    onClick: handleOnClick,
    selected
  };
}
export {
  useToolbarButton
};
//# sourceMappingURL=useToolbarButton.js.map
