import { jsx, jsxs } from "react/jsx-runtime";
import { Box } from "@mui/material";
import { ActionBar } from "@workwave-tidal/core/components";
import { useWormhole } from "@workwave-tidal/core/hooks";
import { ToolbarHeaderContainer } from "./components/ToolbarHeaderContainer.js";
import { WormholeIdProvider, useWormholeId } from "./components/WormholeIdProvider.js";
import { toolbarHeaderClasses } from "./cssClasses.js";
function ToolbarHeaderInner(props) {
  const { actionBarProps, children, testId = "ToolbarHeaderInner", divider } = props;
  const wormholeTargetTitle = useWormholeId("title");
  const wormholeTargetAction = useWormholeId("actions");
  const { worms: title } = useWormhole(wormholeTargetTitle);
  const { worms: actions } = useWormhole(wormholeTargetAction);
  return /* @__PURE__ */ jsxs(ToolbarHeaderContainer, { "data-testid": testId, "data-tidal": "ToolbarHeaderInner", divider, children: [
    title,
    /* @__PURE__ */ jsx(Box, { className: toolbarHeaderClasses.actions, children: /* @__PURE__ */ jsx(ActionBar, { ...actionBarProps, children: actions }) }),
    /* @__PURE__ */ jsx("div", { hidden: true, "aria-hidden": true, children })
  ] });
}
function ToolbarHeader(props) {
  return /* @__PURE__ */ jsx(WormholeIdProvider, { children: /* @__PURE__ */ jsx(ToolbarHeaderInner, { ...props }) });
}
export {
  ToolbarHeader
};
//# sourceMappingURL=ToolbarHeader.js.map
