import { jsx, jsxs } from "react/jsx-runtime";
import { Close } from "@mui/icons-material";
import { ActionBarItem } from "@workwave-tidal/core/components/ActionBar";
import { Wormhole } from "@workwave-tidal/core/hooks";
import { useToolbarHeaderActions } from "../hooks/useToolbarHeaderActions.js";
import { useWormholeId } from "./WormholeIdProvider.js";
function ToolbarHeaderActions(props) {
  const { children, disableCloseButton, onClose } = props;
  const target = useWormholeId("actions");
  const { handleOnClose } = useToolbarHeaderActions(onClose);
  return /* @__PURE__ */ jsxs(Wormhole, { target, children: [
    children,
    disableCloseButton ? null : /* @__PURE__ */ jsx(ActionBarItem, { id: "close", mode: "default", icon: /* @__PURE__ */ jsx(Close, {}), label: "Close", onClick: handleOnClose }, "close")
  ] });
}
export {
  ToolbarHeaderActions
};
//# sourceMappingURL=ToolbarHeaderActions.js.map
