import { Box, styled } from "@mui/material";
import { toolbarHeaderClasses } from "../cssClasses.js";
const ToolbarHeaderContainer = styled(Box, {
  name: "ToolbarHeader",
  slot: "Container",
  shouldForwardProp: (p) => p !== "divider"
})(({ theme, divider }) => ({
  display: "flex",
  flexDirection: "row",
  alignItems: "center",
  overflow: "hidden",
  maxWidth: "100%",
  ...divider && {
    borderBottom: `1px solid ${theme.vars.palette.divider}`
  },
  padding: theme.spacing(3),
  paddingRight: theme.spacing(2),
  [`& .${toolbarHeaderClasses.typography}`]: {
    flex: 1,
    minWidth: 0,
    color: theme.vars.palette.text.secondary
  },
  [`& .${toolbarHeaderClasses.actions}`]: {
    flex: 0
  }
}));
export {
  ToolbarHeaderContainer
};
//# sourceMappingURL=ToolbarHeaderContainer.js.map
