import { useToolbar } from "../../../hooks/useToolbar.js";
import { useActiveView } from "../../ActiveViewProvider.js";
const warnNoActiveViewFound = () => {
  console.warn("No active view found");
};
function useToolbarHeaderActions(onClose) {
  const { toggleView } = useToolbar();
  const activeView = useActiveView();
  const handleOnClose = onClose !== void 0 ? onClose : activeView ? () => toggleView(activeView) : warnNoActiveViewFound;
  return {
    handleOnClose
  };
}
export {
  useToolbarHeaderActions
};
//# sourceMappingURL=useToolbarHeaderActions.js.map
