import { jsx } from "react/jsx-runtime";
import { Box, Collapse } from "@mui/material";
import { useRef } from "react";
import { useToolbar } from "../hooks/useToolbar.js";
import { ActiveViewProvider } from "./ActiveViewProvider.js";
const defaultTimeout = {
  enter: 320,
  exit: 120
};
function ToolbarView(props) {
  const { view, children, animate, collapseProps, testId = view, anchorId } = props;
  const { isActive, registerAnchor } = useToolbar();
  const ref = useRef(null);
  if (anchorId) {
    registerAnchor(anchorId, ref.current);
  }
  const showView = isActive(view);
  if (!animate) {
    return showView ? /* @__PURE__ */ jsx(ActiveViewProvider, { view, children: /* @__PURE__ */ jsx(Box, { ref, "data-toolbar-view": view, children }) }) : null;
  }
  return /* @__PURE__ */ jsx(ActiveViewProvider, { view, children: /* @__PURE__ */ jsx(
    Collapse,
    {
      "data-view": view,
      "data-testid": testId,
      sx: { flexShrink: 0, ...collapseProps?.sx },
      orientation: "horizontal",
      timeout: defaultTimeout,
      ...collapseProps,
      mountOnEnter: true,
      unmountOnExit: true,
      in: showView,
      children
    }
  ) });
}
export {
  ToolbarView
};
//# sourceMappingURL=ToolbarView.js.map
