import { isDev } from "@workwave-tidal/core/base";
import { useCallback, useRef } from "react";
function useWarnOnce() {
  const rWarned = useRef(false);
  return useCallback((...messages) => {
    if (!rWarned.current && isDev()) {
      console.warn(...messages);
      rWarned.current = true;
    }
  }, []);
}
export {
  useWarnOnce
};
//# sourceMappingURL=useWarnOnce.js.map
