import type { FabProps, SxProps, Theme, keyframes } from '@mui/material';
import type { ReactElement } from 'react';
export type ConversationFabProps = {
    open?: boolean;
    bounce?: boolean;
    disabled?: boolean;
    draggable?: boolean;
    onClick?: () => void;
    sx?: SxProps<Theme>;
    testId?: string;
    className?: string;
    fabAnimation?: ReturnType<typeof keyframes>;
    slots?: {
        closeIcon?: ReactElement;
        openIcon?: ReactElement;
    };
    slotsProps?: {
        fab?: Omit<FabProps, 'sx' | 'onClick' | 'className'>;
    };
    longPressDelayMilliseconds?: number;
    longPressDurationMilliseconds?: number;
    acceptDragEvent?: (event: MouseEvent | TouchEvent) => boolean;
    /**
     * Position of the FAB in the viewport.
     * @default 'bottom-right'
     */
    fabPosition?: 'top-right' | 'top-left' | 'bottom-right' | 'bottom-left';
    onDragStart?: () => void;
};
//# sourceMappingURL=types.d.ts.map