import type { ChipProps } from '@workwave-tidal/core/components';
import type { ReactNode } from 'react';
import type { FeedbackTexts } from './components/LocaleProvider.js';
export type FeedbackFormState = {
    notes: string;
    suggestions: Record<FeedbackSuggestion['id'], boolean>;
};
type OnFeedbackSubmit = (formState: FeedbackFormState) => Promise<void>;
export type FeedbackProps = {
    /**
     * The title of the feedback
     */
    title: ReactNode;
    suggestions: FeedbackSuggestion[];
    onSubmit: OnFeedbackSubmit;
    onCancel: () => void;
    localeText?: FeedbackTexts;
};
export type FeedbackSuggestion = {
    id: string | number;
    initiallyChecked?: boolean;
} & Pick<ChipProps, 'label' | 'color' | 'testId'>;
export {};
//# sourceMappingURL=types.d.ts.map