import { type PropsWithChildren } from 'react';
import type { ConversationProps } from '../types.js';
export declare const defaultLocaleText: {
    footer: {
        sendActionTooltip: string;
    };
    editorPlaceholderText: string;
    header: {
        minimizeToolTip: string;
        enterFullscreenToolTip: string;
        exitFullscreenToolTip: string;
        clearChatToolTip: string;
        overflowMenuTooltip: string;
    };
    rating: {
        likeTooltip: string;
        dislikeTooltip: string;
    };
    suggestionsControl: {
        trigger: {
            label: string;
        };
        suggestionsPanel: {
            title: string;
        };
    };
    scrollToBottomTooltip: string;
    conversationEmpty: {
        title: string;
    };
};
export type ConversationTexts = typeof defaultLocaleText;
export declare const localeContext: import("react").Context<{
    footer: {
        sendActionTooltip: string;
    };
    editorPlaceholderText: string;
    header: {
        minimizeToolTip: string;
        enterFullscreenToolTip: string;
        exitFullscreenToolTip: string;
        clearChatToolTip: string;
        overflowMenuTooltip: string;
    };
    rating: {
        likeTooltip: string;
        dislikeTooltip: string;
    };
    suggestionsControl: {
        trigger: {
            label: string;
        };
        suggestionsPanel: {
            title: string;
        };
    };
    scrollToBottomTooltip: string;
    conversationEmpty: {
        title: string;
    };
}>;
export declare function ConversationTextsProvider(props: PropsWithChildren<Pick<ConversationProps, 'localeText'>>): import("react/jsx-runtime").JSX.Element;
export declare function useConversationTexts(): {
    footer: {
        sendActionTooltip: string;
    };
    editorPlaceholderText: string;
    header: {
        minimizeToolTip: string;
        enterFullscreenToolTip: string;
        exitFullscreenToolTip: string;
        clearChatToolTip: string;
        overflowMenuTooltip: string;
    };
    rating: {
        likeTooltip: string;
        dislikeTooltip: string;
    };
    suggestionsControl: {
        trigger: {
            label: string;
        };
        suggestionsPanel: {
            title: string;
        };
    };
    scrollToBottomTooltip: string;
    conversationEmpty: {
        title: string;
    };
};
//# sourceMappingURL=LocaleProvider.d.ts.map