import type { SxProps, Theme } from '@mui/material';
import type { GridToolbarExportProps, GridToolbarProps } from '@mui/x-data-grid-pro';
import type { ReactNode } from 'react';
import type { LocaleTexts } from './components/LocaleProvider.js';
export type DataGridToolbarProps = GridToolbarProps & {
    /**
     * data-testid placed in the root element
     *
     * @default 'DataGridToolbar'
     */
    testId?: string;
    /**
     * Additional CSS classes
     */
    className?: string;
    /**
     * Allows defining system overrides and additional CSS styles
     */
    sx?: SxProps<Theme>;
    exportProps?: GridToolbarExportProps;
    localeText?: Partial<LocaleTexts>;
    /**
     * if `true` the select all button will not display
     * and the deselect all button will show even if not all the rows are selected
     * @default `false`
     */
    disableSelectAll?: boolean;
    /**
     * a placeholder component to show when no rows are selected
     * if `undefined` is provided the component will render as some rows are selected
     * @default `undefined`
     */
    noSelectionContent?: ReactNode;
};
//# sourceMappingURL=types.d.ts.map