import { type ReactElement } from 'react';
export type DraggableData = {
    node: HTMLElement;
    x: number;
    y: number;
    deltaX: number;
    deltaY: number;
    lastX?: number;
    lastY?: number;
};
export type DraggableEventHandler = (data: DraggableData) => void;
export type DraggableProps = {
    children: ReactElement;
    disabled?: boolean;
    onStart?: DraggableEventHandler;
    onDrag?: DraggableEventHandler;
    onStop?: DraggableEventHandler;
    scale?: number;
};
export type DraggableCoordinates = {
    x: number;
    y: number;
};
export declare function Draggable(props: DraggableProps): ReactElement<any, string | import("react").JSXElementConstructor<any>>;
//# sourceMappingURL=Draggable.d.ts.map