import type { Dispatch, PropsWithChildren, SetStateAction } from 'react';
import type { CollapseProps } from '@mui/material';
import type { ViewPlacement } from '../../types.js';
import type { ToolbarRailProps } from '../ToolbarRail/ToolbarRail.js';
export type ExpandableRailMode = 'collapsed' | 'expanded';
export type ExpandableRailPlacement = ViewPlacement;
export type ExpandableRailProps = PropsWithChildren<{
    mode: ExpandableRailMode;
    collapsedSize: CollapseProps['collapsedSize'];
    expandedSize: CollapseProps['collapsedSize'];
    setMode: Dispatch<SetStateAction<ExpandableRailMode>>;
    placement?: ExpandableRailPlacement;
    disableRoundToggleButton?: boolean;
} & ToolbarRailProps>;
export type ToolbarRailExpandableContext = {
    mode: ExpandableRailMode;
    placement: ExpandableRailPlacement;
    setMode: Dispatch<SetStateAction<ExpandableRailMode>>;
};
//# sourceMappingURL=types.d.ts.map